2007-12-13  William Rowe <wrowe@rowe-clan.net>

	* README: Struck incubating disclaimer, stdcxx is a top level project

2007-10-16  Martin Sebor  <sebor@roguewave.com>

	* ChangeLog: Generated a single per-project ChangeLog.
	* examples/ChangeLog: Deleted. Superseded by the above.
	* include/ChangeLog: Likewise.
	* src/ChangeLog: Likewise.
	* util/ChangeLog: Likewise.
	* tests/ChangeLog: Likewise.

2007-10-16  Martin Sebor  <sebor@roguewave.com>

	Merged a partial fix for STDCXX-600 from branches/4.2.0.
	* include/exception (exception): Partially reverted fix for STDCXX-262
	committed in rev 583667 due to the binary incompatibility of the change
	both with stdcxx 4.1.x as well as with gcc's libsupc++.

2007-10-16  Martin Sebor  <sebor@roguewave.com>

	Merged a (mostly) binary compatible fix for STDCXX-509 from
	branches/4.2.0:
	* inlcude/limits [_RWSTD_NO_OBJECT_MANGLING] (__rw_flt_denorm_min,
	__rw_flt_infinity, __rw_flt_qNaN, __rw_flt_sNaN, __rw_dbl_denorm_min,
	__rw_dbl_infinity, __rw_dbl_qNaN, __rw_dbl_sNaN, __rw_ldbl_denorm_min,
	__rw_ldbl_infinity, __rw_ldbl_qNaN, __rw_ldbl_sNaN): Declared with C++
	linkage when the config macro is #defined for binary compatibility with
	prior 4.x releases.
	* src/limits_bits.cpp: Same as above for definitions of constants.
	* src/num_get.cpp  [_RWSTD_NO_OBJECT_MANGLING] (__rw_flt_infinity,
	__rw_dbl_infinity, __rw_ldbl_infinity): Same.

2007-10-15 Andrew Black <ablack@roguewave.com>

	STDCXX-109 
	* etc/config/makefile.rules ($(CATFILE)): Make failure to execute
	the gencat utility non-fatal. 

2007-10-16 Travis Vitek <vitek@roguewave.com>

	STDCXX-596
	* 0.printf.cpp (_rw_fmtarray): Check pointer bounds before
	examining the contents to avoid uninitialized memory read.

2007-10-15  Martin Sebor  <sebor@roguewave.com>

	* src/ChangeLog: Updated.
	* include/ChangeLog: Generated.
	* examples/ChangeLog: Ditto.
	* tests/ChangeLog: Ditto.
	* util/ChangeLog: Ditto.

2007-10-15  Martin Sebor  <sebor@roguewave.com>

	* README: Removed the "(pre-release)" bit from the version string
	and added the set of platforms on which 4.2.0 has been tested on.

2007-10-15  Martin Sebor  <sebor@roguewave.com>

	* _config.h: Corrected a typo in a comment and updated the year
	of copyright.

2007-10-15  Martin Sebor  <sebor@roguewave.com>

	* 21.string.io.stdcxx-206.cpp: Added a license header.

2007-10-15  Martin Sebor  <sebor@roguewave.com>

	* NO_OBJECT_MANGLING.cpp: New config test to determine whether
	namespace-scope objects have their types mangled into their
	names (as done by MSVC) or not (other compilers).
	* object_mangling_imp.cpp: Helper file to go with the above.

2007-10-15 Farid Zaripov <farid_zaripov@epam.com>

	* 21.string.io.stdcxx-206.cpp: Perform testing with zero
	and non-zero padding. Perform checking according to
	_RWSTD_NO_EXT_KEEP_WIDTH_ON_FAILUDE macro definition.

2007-10-15 Farid Zaripov <farid_zaripov@epam.com>

	STDCXX-206
	* _ioinsert.cc (__rw_insert): Corrected #ifndef to #ifdef.

2007-10-14  Martin Sebor  <sebor@roguewave.com>

	* 26.valarray.sub.stdcxx-224.cpp: Added regression test for STDCXX-224.

2007-10-14  Marc Betz  <betz@roguewave.com>

	* 1-5.html: Editorial improvements not related to but made
	in the process of resolving STDCXX-574.

2007-10-14  Martin Sebor  <sebor@roguewave.com>

	STDCXX-278
	* valarray.html: Updated example source code to reflect rev 584618.

2007-10-14  Martin Sebor  <sebor@roguewave.com>

	STDCXX-278
	* valarray.cpp (<valarray.h>): Removed a confusing #include directive
	and added the definition of a generic operator<<() for valarray copied
	from the said header.
	(main): Replaced endl with '\n' for efficiency.

2007-10-14  Martin Sebor  <sebor@roguewave.com>

	STDCXX-407
	* frames-contents-all.html: Removed section 1.2.3 - Relationship
	to the Essential Tools Module.
	* 1-1.html: Replaced C++ Standard Library Module with Apache C++
	Standard Library.

2007-10-14  Martin Sebor  <sebor@roguewave.com>

	STDCXX-407
	* tindex.html: Replaced "Rogue Wave" with Apache.
	* frames-contents-all.html: Same.

2007-10-14  Marc Betz  <betz@roguewave.com>

	STDCXX-407
	* copyright.html: Deleted.
	* contact.html: Same.

2007-10-14  Marc Betz  <betz@roguewave.com>

	STDCXX-407
	* copyright.html: Deleted.
	* contact.html: Same.
	* 1-6.html: Same.
	* 1-7.html: Same.

2007-10-14  Marc Betz  <betz@roguewave.com>

	STDCXX-407
	* 40-5.html: Replaced "C++ Standard Library Module" with "Apache C++
	Standard Library."
	* 1-1.html: Same.
	* 33-3.html: Same.
	* 25-5.html: Same.
	* 39-1.html: Same.
	* 1-5.html: Same. Also made the width of the "next" button the same
	as that of the "previous" button. 
	* 32-5.html: Same.
	* 18-3.html: Same. Also made the width of the "next" button the same
	as that of the "previous" button. 
	* 24-4.html: Same.
	* 27-3.html: Same.
	* 41-2.html: Same.
	* 16-3.html: Same.
	* 22-7.html: Same.
	* 36-3.html: Same.
	* noframes.html: Same.
	* 30-2.html: Same.
	* 22-4.html: Same.
	* 42-1.html: Same.
	* 17-2.html: Same.
	* II.html: Same. Also made the width of the "next" button the same
	as that of the "previous" button.
	* 1-3.html: Same.
	* 27-4.html: Same.
	* 24-2.html: Same.
	* 16-1.html: Same.
	* 28-3.html: Same.
	* tindex.html: Same. Removed references to Rogue Wave SourcePro C++
	products and services.
	* booktoc.html: Same.
	* 1.html: Same.
	* 1-2.html: Same.
	* 1-4.html: Same.

2007-10-14  Martin Sebor  <sebor@roguewave.com>

	* 1-1.html: Corrected a link to the Rogue Wave site.
	* 1-4.html: Corrected paths pointing to documentation.

2007-10-14  Marc Betz  <betz@roguewave.com>

	STDCXX-407
	* locale.html: Replaced "C++ Standard Library Module" with "Apache C++
	Standard Library." Also made the width of the "next" button the same
	as that of the "previous" button. 
	* noframes.html: Same.
	* localedefutility.html: Same.

2007-10-11  Martin Sebor  <sebor@roguewave.com>

	STDCXX-509
	* limits_bits.cpp [_RWSTD_NO_INFINITY] (__rw_flt_denorm_min,
	__rw_flt_infinity, __rw_flt_qNaN, __rw_flt_sNaN, __rw_dbl_denorm_min,
	__rw_dbl_infinity, __rw_dbl_qNaN, __rw_dbl_sNaN, __rw_ldbl_denorm_min,
	__rw_ldbl_infinity, __rw_ldbl_qNaN, __rw_ldbl_sNaN): Declared constants
	with "C" linkage corresponding to rev 564059.

2007-10-11  Martin Sebor  <sebor@roguewave.com>

	STDCXX-590
	* _cerrno.h [__linux__] (errno): Unconditionally #defined to
	__errno_location() which is always declared/defined by GNU
	libc, going as far back as Red Hat Linux 8 (libc 2.2.93).

2007-10-11  Martin Sebor  <sebor@roguewave.com>

	STDCXX-589
	* file.cpp [!_RWSTD_NO_PURE_C_HEADERS] (fileno): Relaxed a guard
	around a declaration.

2007-10-11  Martin Sebor  <sebor@roguewave.com>

	STDCXX-588
	* _config-eccp.h (_RWSTD_NO_DEPRECATED_C_HEADERS,
	_RWSTD_NO_PURE_C_HEADERS): #undef'ined config macros for EDG eccp.

2007-10-11  Martin Sebor  <sebor@roguewave.com>

	STDCXX-586
	* WCHAR_T.cpp [_RWSTD_NO_NATIVE_WCHAR_T] (<wchar.h>): Guarded #include
	directive to prevent failures when wchar_t is already known to be a
	fundamental type.

2007-10-04 Travis Vitek <vitek@roguewave.com>

	STDCXX-580
	* strstream.cpp (main): Unfreeze streambuf so destructor
	will deallocate memory.

2007-10-11 Farid Zaripov <farid_zaripov@epam.com>

	* configure.wsf (configure): Removed IncludeDir command
	line option.
	* projects.js (CreateProjectsDefs): Removed /IncludeDir
	option from command line of the configure.wsf script.

2007-09-26 Martin Sebor <sebor@roguewave.com>

	STDCXX-262
	* exception (~exception): Declared after what() to prevent gcc 4
	on Darwin from generating a vtable for the class in exception.o.
	gcc 3.4.6 on FreeBSD 6.2 has no problem either way.
	(~bad_exception): Declared before what() to achieve the same
	effect as above.
	* new (~bad_alloc): Declared before what() for the same reason.

2007-10-10  Martin Sebor  <sebor@roguewave.com>

	* 21.string.io.stdcxx-206.cpp: Regression test for STDCXX-206.

2007-10-10  Martin Sebor  <sebor@roguewave.com>

	* 26.valarray.members.stdcxx-313.cpp: Regression test for STDCXX-313.

2007-10-10  Martin Sebor  <sebor@roguewave.com>

	* 26.valarray.unary.stdcxx-314.cpp: Regression test for STDCXX-314.

2007-10-10  Martin Sebor  <sebor@roguewave.com>

	* 26.valarray.members.stdcxx-318.cpp: Regression test for STCDCXX-318.

2007-10-10 Travis Vitek <vitek@roguewave.com>

	STDCXX-582
	* 0.printf.cpp (test_errno): Deallocate memory allocated
	automatically by rw_snprintfa().

2007-10-05 Farid Zaripov <farid_zaripov@epam.com>

	* _punct.cc (__rw_match_name): Added missing space character.

2007-10-04 Farid Zaripov <farid_zaripov@epam.com>

	STDCXX-575
	* 22.locale.cons.mt.cpp [_MSC_VER] (test_ctors): If
	cat == std::locale::messages, compare combined locale
	with first because of the MSVC doesn't support
	LC_MESSAGES constant.

2007-10-04 Farid Zaripov <farid_zaripov@epam.com>

	* Merged the head of branches/4.2.0

2007-10-04 Farid Zaripov <farid_zaripov@epam.com>

	* 27.stringbuf.xsputn.stdcxx-576.cpp: Regression test for STDCXX-576
	issue.

2007-10-04 Farid Zaripov <farid_zaripov@epam.com>

	* Merged the head of branches/4.2.0

2007-10-03 Farid Zaripov <farid_zaripov@epam.com>

	* 22.locale.moneypunct.cpp (convert): Save the name of the
	original locale using std::string object. Use return instead
	of break to avoid restoring the original locale twice.

2007-10-03 Farid Zaripov <farid_zaripov@epam.com>

	* 23.vector.bool.stdcxx-235.cpp (main): Corrected the
	lines which are testing the operator!=.

2007-10-03 Farid Zaripov <farid_zaripov@epam.com>

	* display.cpp (print_status_plain): Use float arithmetic when
	calculating the percent of the failed assertions to avoid
	overflow of the unsigned int type.

2007-10-01 Farid Zaripov <farid_zaripov@epam.com>

	* Merged the head of branches/4.2.0

2007-10-01 Farid Zaripov <farid_zaripov@epam.com>

	* Merged the head of branches/4.2.0

2007-10-01  Farid Zaripov  <farid_zaripov@epam.com>

	* time_put.cpp (__rw_get_date_fmat): Convert char argument
	of isspace(), isdigit(), ispunct() to unsigned char.
	(__rw_get_time_fmat): Ditto.

2007-10-01  Farid Zaripov  <farid_zaripov@epam.com>

	* locale.cpp [_WIN32] (EnumLocales): New function to
	enumerate system locales.
	(print_locale_names): Obtain list of system locales if
	RWSTD_LOCALE_ROOT environment variable is not defined.

2007-10-01  Farid Zaripov  <farid_zaripov@epam.com>

	* Merged the head of branches/4.2.0

2007-09-26 Travis Vitek <vitek@roguewave.com>

	STDCXX-571
	* 22.locale.numpunct.mt.cpp (run_test): Use C++ locale to
	generate test data. This is to avoid any incompatibilities
	between C and C++ locales.
	(thread_func): Updated to use changed test data types.
	(main): add support for command line options nlocales and
	shared-locale for consistency with other multithreaded locale
	tests.

2007-09-27  Farid Zaripov  <farid_zaripov@epam.com>

	* projects.js (CreateProjectsDefs): Set stdcxx_runtests
	project dependent on stdcxx_utils project (was dependent
	on exec project only).

2007-09-26  Martin Sebor  <sebor@roguewave.com>

	* ctype.cpp (main): Parenthesized a call to ctype::toupper() to avoid
	errors when the symbol is shadowed by a macro defined in libc header(s)
	as happens to be the case with gcc 4 on Darwin.

2007-09-26  Martin Sebor  <sebor@roguewave.com>

	STDCXX-572
	* aliases.cpp (ci_pre_compare): Parenthesized calls to two-argument
	overload of tolower() to avoid errors when the symbol is #defined
	as a macro in libc header(s) as is the case with gcc 4 on Darwin.

2007-09-26  Farid Zaripov  <farid_zaripov@epam.com>

	* locale.cpp [_WIN32]: Add /A:D option in dir command
	to print the directory names only.

2007-09-26  Farid Zaripov  <farid_zaripov@epam.com>

	* 22.locale.moneypunct.mt.cpp (thread_loop_body): Corrected char type
	to wchar_t.

2007-09-26  Farid Zaripov  <farid_zaripov@epam.com>

	* 22.locale.money.get.cpp (set_pattern): New function to translate
	test format to money_base::pattern.
	(do_test): If fmat is not null set pattern using set_pattern().
	(test_get): Test patterns replaced to human-readable form.

2007-09-26  Farid Zaripov  <farid_zaripov@epam.com>

	* _money_get.cc (_C_get): If no characters available during
	parsing sign part of the pattern, then set failbit only when
	positive_sign and negative_sign both are not empty. Else set
	negative sign if positive_sign is not empty and negative_sign
	is empty.

2007-09-26  Farid Zaripov  <farid_zaripov@epam.com>

	* msvc-7.0.config: Added new config variable: LIBS.
	* utilities.js: Ditto.
	* msvcex-8.0.config: Set LIBS=user32.lib (by default
	the VCExpress links with kernel32.lib only).
	* projects.js: Use LIBS config variable instead of
	hardcoded commonLibs.

2007-09-25  Martin Sebor  <sebor@roguewave.com>

	STDCXX-315
	* valarray (atan2): Initialized array elements before assigning
	to them.

2007-09-25  Martin Sebor  <sebor@roguewave.com>

	* 26.valarray.transcend.stdcxx-315.cpp: Added regression test
	for STDCXX-315.

2007-09-25  Andrew Black  <ablack@roguewave.com>
	STDCXX-440
	* exec.cpp (limit_process): Stop itteration over limits structure
	when name element is null, not limit element.  Old behavior
	incorrectly aborted loop when encountering the first limit that
	didn't need to be set.

2007-09-25  Martin Sebor  <sebor@roguewave.com>

	* 26.valarray.sub.stdcxx-309.cpp: Added regression test for STCXX-309.

2007-09-25  Martin Sebor  <sebor@roguewave.com>

	* 26.valarray.binary.stdcxx-237.cpp: Added regression test for
	STCXX-237.

2007-09-25  Dennis Handly <dhandly@cup.hp.com>

	STDCXX-237
	STDCXX-448
	* valarray (ind_numb): Returned 0 when the lengths array is empty.

2007-09-24  Martin Sebor  <sebor@roguewave.com>

	STDCXX-404
	* charmap.h (<iconv.h>): Removed a redundant _MSC_VER guard.
	(open_iconv_to_utf8, open_iconv_to_ext, ic_to_utf8_, ic_to_ext_):
	Guarded declarations with _RWSTD_NO_ICONV instead of _MSC_VER.
	* charmap.cpp (my_iconv_open): Guarded function definition with
	_RWSTD_NO_ICONV instead of _MSC_VER.
	(convert_to_utf8): Defined function unconditionally and guarded
	implementation with _RWSTD_NO_ICONV (defaulting to returning 0
	when the macro is #defined).
	(ic_to_utf8_, ic_to_ext_): Guarded the assignment of variables
	with _RWSTD_NO_ICONV.
	Guarded MSVC-specific behavior with _MSC_VER.

2007-09-24 Travis Vitek <vitek@roguewave.com>

	STDCXX-492
	* string (operator+=): Replace call to append with push_back
	for performance.
	(append): Avoid calling replace() from append if there is
	sufficient buffer space available for performance.
	(append): Simplify append overload, move it to header and then
	inline it.
	(append): Use _RWSTD_SIZE_T to avoid integer overflow problems
	that could lead to heap corruption.
	(push_back): Call replace() instead of append when buffer
	reallocation required. cleanup. avoid integer overflow problem.
	* string.cc (append): Moved append overload to header and make
	it inline. 

2007-09-22  Martin Sebor  <sebor@roguewave.com>

	* 23.list.insert.cpp (InsertRange, InsertRangeOverload): Removed
	an unused local vaiable to silence a gcc warning: unused variable.
	(InsertRangePtrOverload): Removed const qualification from a const
	cast to silence Intel C++ warning warning #191: type qualifier is
	meaningless on cast type.

2007-09-22  Martin Sebor  <sebor@roguewave.com>

	* 23.list.assign.cpp (AssignRangePtrOverload): Removed a pointless
	const qualification from a cast to silence Intel C++ warning #191:
	type qualifier is meaningless on cast type.
	(AssignRangeOverload): Constified a local variable.

2007-09-21  Martin Sebor  <sebor@roguewave.com>

	STDCXX-570
	* complex (pow): Removed inline keyword from the declaration
	of a function template outlined in revision 545847 while fixing
	STDCXX-447.

2007-09-20  Martin Sebor  <sebor@roguewave.com>

	STDCXX-567
	* atomic.s (__rw_atomic_xchg8): Appended the 'b' (byte) prefix
	to the xchg instruction instead of counting on the assembler to
	figure it out from the widths of the operands to prevent an error
	when using the Sun Assembler (which, unlike the GNU assembler,
	doesn't support doing this).

2007-09-20  Martin Sebor  <sebor@roguewave.com>

	* 0.printf.cpp (__PURE_CNAME): Undefined Compaq (now HP) C++ macro
	to bring in ENOMEM from <errno.h> otherwise guarded (and undefined)
	by the compiler's strict implementation of the C++ libc headers in
	response to the -std strict_ansi_errors command line option.
	* 0.process: Ditto for ENOENT, ECHILD, and ESRCH.
	* 18.limits.stdcxx-436.cpp: Same for popen().

2007-09-20 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-560
	* icc-10.0-x64.config: Added ASL header.
	* icc-10.0.config: Ditto.
	* icc-9.0.config: Ditto.
	* icc-9.1-x64.config: Ditto.
	* icc-9.1.config: Ditto.
	* msvc-7.0.config: Ditto.
	* msvc-7.1.config: Ditto.
	* msvc-8.0-x64.config: Ditto.
	* msvc-8.0.config: Ditto.
	* msvc-9.0-x64.config: Ditto.
	* msvc-9.0.config: Ditto.
	* msvcex-8.0.config: Ditto.

2007-09-20 Travis Vitek <vitek@roguewave.com>

	STDCXX-561
	* ANSI_X3.110-1983: Add ASL Header
	* ANSI_X3.4-1968: Same.
	* ASMO_449: Same.
	* BIG5: Same.
	* BIG5-HKSCS: Same.
	* BS_4730: Same.
	* BS_VIEWDATA: Same.
	* CP10007: Same.
	* CP1250: Same.
	* CP1251: Same.
	* CP1252: Same.
	* CP1253: Same.
	* CP1254: Same.
	* CP1255: Same.
	* CP1256: Same.
	* CP1257: Same.
	* CP1258: Same.
	* CP437: Same.
	* CP737: Same.
	* CP775: Same.
	* CP949: Same.
	* CSA_Z243.4-1985-1: Same.
	* CSA_Z243.4-1985-2: Same.
	* CSA_Z243.4-1985-GR: Same.
	* CSN_369103: Same.
	* CWI: Same.
	* DEC-MCS: Same.
	* DIN_66003: Same.
	* DS_2089: Same.
	* EBCDIC-AT-DE: Same.
	* EBCDIC-AT-DE-A: Same.
	* EBCDIC-CA-FR: Same.
	* EBCDIC-DK-NO: Same.
	* EBCDIC-DK-NO-A: Same.
	* EBCDIC-ES: Same.
	* EBCDIC-ES-A: Same.
	* EBCDIC-ES-S: Same.
	* EBCDIC-FI-SE: Same.
	* EBCDIC-FI-SE-A: Same.
	* EBCDIC-FR: Same.
	* EBCDIC-IS-FRISS: Same.
	* EBCDIC-IT: Same.
	* EBCDIC-PT: Same.
	* EBCDIC-UK: Same.
	* EBCDIC-US: Same.
	* ECMA-CYRILLIC: Same.
	* ES: Same.
	* ES2: Same.
	* EUC-JP: Same.
	* EUC-KR: Same.
	* EUC-TW: Same.
	* GB18030: Same.
	* GB2312: Same.
	* GB_1988-80: Same.
	* GBK: Same.
	* GEORGIAN-ACADEMY: Same.
	* GEORGIAN-PS: Same.
	* GOST_19768-74: Same.
	* GREEK-CCITT: Same.
	* GREEK7: Same.
	* GREEK7-OLD: Same.
	* HP-ROMAN8: Same.
	* IBM037: Same.
	* IBM038: Same.
	* IBM1004: Same.
	* IBM1026: Same.
	* IBM1047: Same.
	* IBM256: Same.
	* IBM273: Same.
	* IBM274: Same.
	* IBM275: Same.
	* IBM277: Same.
	* IBM278: Same.
	* IBM280: Same.
	* IBM281: Same.
	* IBM284: Same.
	* IBM285: Same.
	* IBM290: Same.
	* IBM297: Same.
	* IBM420: Same.
	* IBM423: Same.
	* IBM424: Same.
	* IBM437: Same.
	* IBM500: Same.
	* IBM850: Same.
	* IBM851: Same.
	* IBM852: Same.
	* IBM855: Same.
	* IBM857: Same.
	* IBM860: Same.
	* IBM861: Same.
	* IBM862: Same.
	* IBM863: Same.
	* IBM864: Same.
	* IBM865: Same.
	* IBM866: Same.
	* IBM868: Same.
	* IBM869: Same.
	* IBM870: Same.
	* IBM871: Same.
	* IBM874: Same.
	* IBM875: Same.
	* IBM880: Same.
	* IBM891: Same.
	* IBM903: Same.
	* IBM904: Same.
	* IBM905: Same.
	* IBM918: Same.
	* IEC_P27-1: Same.
	* INIS: Same.
	* INIS-8: Same.
	* INIS-CYRILLIC: Same.
	* INVARIANT: Same.
	* ISIRI-3342: Same.
	* ISO-8859-1: Same.
	* ISO-8859-10: Same.
	* ISO-8859-13: Same.
	* ISO-8859-14: Same.
	* ISO-8859-15: Same.
	* ISO-8859-16: Same.
	* ISO-8859-2: Same.
	* ISO-8859-3: Same.
	* ISO-8859-4: Same.
	* ISO-8859-5: Same.
	* ISO-8859-6: Same.
	* ISO-8859-7: Same.
	* ISO-8859-8: Same.
	* ISO-8859-9: Same.
	* ISO-IR-197: Same.
	* ISO-IR-209: Same.
	* ISO-IR-90: Same.
	* ISO_10367-BOX: Same.
	* ISO_10646: Same.
	* ISO_2033-1983: Same.
	* ISO_5427: Same.
	* ISO_5427-EXT: Same.
	* ISO_5428: Same.
	* ISO_646.BASIC: Same.
	* ISO_646.IRV: Same.
	* ISO_6937: Same.
	* ISO_6937-2-25: Same.
	* ISO_6937-2-ADD: Same.
	* ISO_8859-1,GL: Same.
	* ISO_8859-SUPP: Same.
	* IT: Same.
	* JIS_C6220-1969-JP: Same.
	* JIS_C6220-1969-RO: Same.
	* JIS_C6229-1984-A: Same.
	* JIS_C6229-1984-B: Same.
	* JIS_C6229-1984-B-ADD: Same.
	* JIS_C6229-1984-HAND: Same.
	* JIS_C6229-1984-HAND-ADD: Same.
	* JIS_C6229-1984-KANA: Same.
	* JIS_X0201: Same.
	* JOHAB: Same.
	* JUS_I.B1.002: Same.
	* JUS_I.B1.003-MAC: Same.
	* JUS_I.B1.003-SERB: Same.
	* KOI-8: Same.
	* KOI8-R: Same.
	* KOI8-T: Same.
	* KOI8-U: Same.
	* KSC5636: Same.
	* LATIN-GREEK: Same.
	* LATIN-GREEK-1: Same.
	* MAC-CYRILLIC: Same.
	* MAC-IS: Same.
	* MAC-SAMI: Same.
	* MAC-UK: Same.
	* MACINTOSH: Same.
	* MSZ_7795.3: Same.
	* NATS-DANO: Same.
	* NATS-DANO-ADD: Same.
	* NATS-SEFI: Same.
	* NATS-SEFI-ADD: Same.
	* NC_NC00-10: Same.
	* NEXTSTEP: Same.
	* NF_Z_62-010: Same.
	* NF_Z_62-010_1973: Same.
	* NS_4551-1: Same.
	* NS_4551-2: Same.
	* PT: Same.
	* PT2: Same.
	* SAMI: Same.
	* SAMI-WS2: Same.
	* SEN_850200_B: Same.
	* SEN_850200_C: Same.
	* Shift_JIS: Same.
	* T.101-G2: Same.
	* T.61-7BIT: Same.
	* TCVN5712-1: Same.
	* TIS-620: Same.
	* UTF-8: Same.
	* VIDEOTEX-SUPPL: Same.
	* VISCII: Same.
	* af_ZA: Same.
	* am_ET: Same.
	* ar_AE: Same.
	* ar_BH: Same.
	* ar_DZ: Same.
	* ar_EG: Same.
	* ar_IN: Same.
	* ar_IQ: Same.
	* ar_JO: Same.
	* ar_KW: Same.
	* ar_LB: Same.
	* ar_LY: Same.
	* ar_MA: Same.
	* ar_OM: Same.
	* ar_QA: Same.
	* ar_SA: Same.
	* ar_SD: Same.
	* ar_SY: Same.
	* ar_TN: Same.
	* ar_YE: Same.
	* az_AZ: Same.
	* be_BY: Same.
	* bg_BG: Same.
	* bn_IN: Same.
	* br_FR: Same.
	* bs_BA: Same.
	* ca_ES: Same.
	* ca_ES.euro: Same.
	* cs_CZ: Same.
	* cy_GB: Same.
	* da_DK: Same.
	* de_AT: Same.
	* de_AT.euro: Same.
	* de_BE: Same.
	* de_BE.euro: Same.
	* de_CH: Same.
	* de_DE: Same.
	* de_DE.euro: Same.
	* de_LU: Same.
	* de_LU.euro: Same.
	* el_GR: Same.
	* el_GR.euro: Same.
	* en_AU: Same.
	* en_BW: Same.
	* en_CA: Same.
	* en_DK: Same.
	* en_GB: Same.
	* en_HK: Same.
	* en_IE: Same.
	* en_IE.euro: Same.
	* en_IN: Same.
	* en_NZ: Same.
	* en_PH: Same.
	* en_SG: Same.
	* en_US: Same.
	* en_ZA: Same.
	* en_ZW: Same.
	* es_AR: Same.
	* es_BO: Same.
	* es_CL: Same.
	* es_CO: Same.
	* es_CR: Same.
	* es_DO: Same.
	* es_EC: Same.
	* es_ES: Same.
	* es_ES.euro: Same.
	* es_GT: Same.
	* es_HN: Same.
	* es_MX: Same.
	* es_NI: Same.
	* es_PA: Same.
	* es_PE: Same.
	* es_PR: Same.
	* es_PY: Same.
	* es_SV: Same.
	* es_US: Same.
	* es_UY: Same.
	* es_VE: Same.
	* et_EE: Same.
	* eu_ES: Same.
	* eu_ES.euro: Same.
	* fa_IR: Same.
	* fi_FI: Same.
	* fi_FI.euro: Same.
	* fo_FO: Same.
	* fr_BE: Same.
	* fr_BE.euro: Same.
	* fr_CA: Same.
	* fr_CH: Same.
	* fr_FR: Same.
	* fr_FR.euro: Same.
	* fr_LU: Same.
	* fr_LU.euro: Same.
	* ga_IE: Same.
	* ga_IE.euro: Same.
	* gd_GB: Same.
	* gl_ES: Same.
	* gl_ES.euro: Same.
	* gv_GB: Same.
	* he_IL: Same.
	* hi_IN: Same.
	* hr_HR: Same.
	* hu_HU: Same.
	* hy_AM: Same.
	* i18n: Same.
	* id_ID: Same.
	* is_IS: Same.
	* iso14651_t1: Same.
	* it_CH: Same.
	* it_IT: Same.
	* it_IT.euro: Same.
	* iw_IL: Same.
	* ja_JP: Same.
	* ka_GE: Same.
	* kl_GL: Same.
	* ko_KR: Same.
	* kw_GB: Same.
	* lt_LT: Same.
	* lv_LV: Same.
	* mi_NZ: Same.
	* mk_MK: Same.
	* mr_IN: Same.
	* ms_MY: Same.
	* mt_MT: Same.
	* nl_BE: Same.
	* nl_BE.euro: Same.
	* nl_NL: Same.
	* nl_NL.euro: Same.
	* nn_NO: Same.
	* no_NO: Same.
	* oc_FR: Same.
	* pl_PL: Same.
	* POSIX: Same.
	* pt_BR: Same.
	* pt_PT: Same.
	* pt_PT.euro: Same.
	* ro_RO: Same.
	* ru_RU: Same.
	* ru_UA: Same.
	* se_NO: Same.
	* sk_SK: Same.
	* sl_SI: Same.
	* sq_AL: Same.
	* sr_YU: Same.
	* sr_YU.cyrillic: Same.
	* sv_FI: Same.
	* sv_FI.euro: Same.
	* sv_SE: Same.
	* ta_IN: Same.
	* te_IN: Same.
	* tg_TJ: Same.
	* th_TH: Same.
	* ti_ER: Same.
	* ti_ET: Same.
	* tl_PH: Same.
	* tr_TR: Same.
	* translit_circle: Same.
	* translit_cjk_compat: Same.
	* translit_cjk_variants: Same.
	* translit_combining: Same.
	* translit_compat: Same.
	* translit_et: Same.
	* translit_font: Same.
	* translit_fraction: Same.
	* translit_hangul: Same.
	* translit_narrow: Same.
	* translit_neutral: Same.
	* translit_small: Same.
	* translit_wide: Same.
	* tt_RU: Same.
	* uk_UA: Same.
	* ur_PK: Same.
	* uz_UZ: Same.
	* vi_VN: Same.
	* yi_US: Same.
	* zh_CN: Same.
	* zh_HK: Same.
	* zh_SG: Same.
	* zh_TW: Same. 
	* 100: Same.
	* 101: Same.
	* 102: Same.
	* 1026: Same.
	* 103: Same.
	* 104: Same.
	* 1047: Same.
	* 105: Same.
	* 106: Same.
	* 107: Same.
	* 108: Same.
	* 109: Same.
	* 11: Same.
	* 110: Same.
	* 111: Same.
	* 112: Same.
	* 113: Same.
	* 114: Same.
	* 115: Same.
	* 116: Same.
	* 117: Same.
	* 118: Same.
	* 119: Same.
	* 12: Same.
	* 120: Same.
	* 121: Same.
	* 122: Same.
	* 123: Same.
	* 124: Same.
	* 125: Same.
	* 126: Same.
	* 127: Same.
	* 128: Same.
	* 129: Same.
	* 13: Same.
	* 130: Same.
	* 131: Same.
	* 132: Same.
	* 133: Same.
	* 134: Same.
	* 135: Same.
	* 136: Same.
	* 137: Same.
	* 138: Same.
	* 139: Same.
	* 14: Same.
	* 140: Same.
	* 141: Same.
	* 142: Same.
	* 143: Same.
	* 144: Same.
	* 145: Same.
	* 146: Same.
	* 147: Same.
	* 148: Same.
	* 149: Same.
	* 15: Same.
	* 150: Same.
	* 151: Same.
	* 152: Same.
	* 153: Same.
	* 154: Same.
	* 155: Same.
	* 156: Same.
	* 16: Same.
	* 17: Same.
	* 18: Same.
	* 19: Same.
	* 20: Same.
	* 21: Same.
	* 22: Same.
	* 23: Same.
	* 24: Same.
	* 25: Same.
	* 26: Same.
	* 27: Same.
	* 28: Same.
	* 29: Same.
	* 30: Same.
	* 31: Same.
	* 32: Same.
	* 33: Same.
	* 34: Same.
	* 35: Same.
	* 36: Same.
	* 37: Same.
	* 38: Same.
	* 39: Same.
	* 40: Same.
	* 41: Same.
	* 42: Same.
	* 43: Same.
	* 437: Same.
	* 44: Same.
	* 45: Same.
	* 46: Same.
	* 47: Same.
	* 48: Same.
	* 49: Same.
	* 50: Same.
	* 500: Same.
	* 500V1: Same.
	* 51: Same.
	* 52: Same.
	* 53: Same.
	* 54: Same.
	* 55: Same.
	* 56: Same.
	* 57: Same.
	* 58: Same.
	* 59: Same.
	* 60: Same.
	* 61: Same.
	* 62: Same.
	* 63: Same.
	* 64: Same.
	* 65: Same.
	* 66: Same.
	* 67: Same.
	* 68: Same.
	* 69: Same.
	* 70: Same.
	* 71: Same.
	* 72: Same.
	* 73: Same.
	* 74: Same.
	* 75: Same.
	* 76: Same.
	* 77: Same.
	* 78: Same.
	* 79: Same.
	* 80: Same.
	* 81: Same.
	* 82: Same.
	* 83: Same.
	* 84: Same.
	* 85: Same.
	* 850: Same.
	* 851: Same.
	* 852: Same.
	* 855: Same.
	* 857: Same.
	* 86: Same.
	* 860: Same.
	* 861: Same.
	* 862: Same.
	* 863: Same.
	* 865: Same.
	* 869: Same.
	* 87: Same.
	* 88: Same.
	* 89: Same.
	* 90: Same.
	* 904: Same.
	* 91: Same.
	* 92: Same.
	* 93: Same.
	* 94: Same.
	* 95: Same.
	* 96: Same.
	* 97: Same.
	* 98: Same.
	* 99: Same.
	* ANSI_X3.110-1983: Same.
	* ANSI_X3.4-1968: Same.
	* ANSI_X3.4-1986: Same.
	* ARABIC: Same.
	* ARABIC7: Same.
	* ASCII: Same.
	* ASMO-708: Same.
	* ASMO_449: Same.
	* BALTIC: Same.
	* BS_4730: Same.
	* BS_VIEWDATA: Same.
	* CA: Same.
	* CN: Same.
	* CP-AR: Same.
	* CP-GR: Same.
	* CP-HU: Same.
	* CP-IS: Same.
	* CP037: Same.
	* CP038: Same.
	* CP1004: Same.
	* CP1026: Same.
	* CP1047: Same.
	* CP1250: Same.
	* CP1251: Same.
	* CP1252: Same.
	* CP1253: Same.
	* CP1254: Same.
	* CP1255: Same.
	* CP1256: Same.
	* CP1257: Same.
	* CP273: Same.
	* CP274: Same.
	* CP275: Same.
	* CP278: Same.
	* CP280: Same.
	* CP281: Same.
	* CP284: Same.
	* CP285: Same.
	* CP290: Same.
	* CP297: Same.
	* CP367: Same.
	* CP420: Same.
	* CP423: Same.
	* CP424: Same.
	* CP437: Same.
	* CP500: Same.
	* CP819: Same.
	* CP850: Same.
	* CP851: Same.
	* CP852: Same.
	* CP855: Same.
	* CP857: Same.
	* CP860: Same.
	* CP861: Same.
	* CP862: Same.
	* CP863: Same.
	* CP864: Same.
	* CP865: Same.
	* CP868: Same.
	* CP869: Same.
	* CP870: Same.
	* CP871: Same.
	* CP875: Same.
	* CP880: Same.
	* CP891: Same.
	* CP903: Same.
	* CP904: Same.
	* CP905: Same.
	* CP918: Same.
	* CSA7-1: Same.
	* CSA7-2: Same.
	* CSA_T500-1983: Same.
	* CSA_Z243.4-1985-1: Same.
	* CSA_Z243.4-1985-2: Same.
	* CSA_Z243.4-1985-GR: Same.
	* CSN_369103: Same.
	* CUBA: Same.
	* CWI: Same.
	* CWI-2: Same.
	* CYRILLIC: Same.
	* DE: Same.
	* DEC: Same.
	* DEC-MCS: Same.
	* DIN_66003: Same.
	* DK: Same.
	* DS2089: Same.
	* DS_2089: Same.
	* E13B: Same.
	* EBCDIC-AT-DE: Same.
	* EBCDIC-AT-DE-A: Same.
	* EBCDIC-BE: Same.
	* EBCDIC-BR: Same.
	* EBCDIC-CA-FR: Same.
	* EBCDIC-CP-AR1: Same.
	* EBCDIC-CP-AR2: Same.
	* EBCDIC-CP-BE: Same.
	* EBCDIC-CP-CA: Same.
	* EBCDIC-CP-CH: Same.
	* EBCDIC-CP-DK: Same.
	* EBCDIC-CP-ES: Same.
	* EBCDIC-CP-FI: Same.
	* EBCDIC-CP-FR: Same.
	* EBCDIC-CP-GB: Same.
	* EBCDIC-CP-GR: Same.
	* EBCDIC-CP-HE: Same.
	* EBCDIC-CP-IS: Same.
	* EBCDIC-CP-IT: Same.
	* EBCDIC-CP-NL: Same.
	* EBCDIC-CP-NO: Same.
	* EBCDIC-CP-ROECE: Same.
	* EBCDIC-CP-SE: Same.
	* EBCDIC-CP-TR: Same.
	* EBCDIC-CP-US: Same.
	* EBCDIC-CP-WT: Same.
	* EBCDIC-CP-YU: Same.
	* EBCDIC-CYRILLIC: Same.
	* EBCDIC-DK-NO: Same.
	* EBCDIC-DK-NO-A: Same.
	* EBCDIC-ES: Same.
	* EBCDIC-ES-A: Same.
	* EBCDIC-ES-S: Same.
	* EBCDIC-FI-SE: Same.
	* EBCDIC-FI-SE-A: Same.
	* EBCDIC-FR: Same.
	* EBCDIC-GREEK: Same.
	* EBCDIC-INT: Same.
	* EBCDIC-INT1: Same.
	* EBCDIC-IS-FRISS: Same.
	* EBCDIC-IT: Same.
	* EBCDIC-JP-E: Same.
	* EBCDIC-JP-KANA: Same.
	* EBCDIC-PT: Same.
	* EBCDIC-UK: Same.
	* EBCDIC-US: Same.
	* ECMA-114: Same.
	* ECMA-118: Same.
	* ECMA-CYRILLIC: Same.
	* ELOT_928: Same.
	* ES: Same.
	* ES2: Same.
	* FR: Same.
	* FRISS: Same.
	* GB: Same.
	* GB_1988-80: Same.
	* GOST_19768-74: Same.
	* GREEK: Same.
	* GREEK-CCITT: Same.
	* GREEK7: Same.
	* GREEK7-OLD: Same.
	* GREEK8: Same.
	* HEBREW: Same.
	* HP-ROMAN8: Same.
	* HU: Same.
	* IBM037: Same.
	* IBM038: Same.
	* IBM1004: Same.
	* IBM1026: Same.
	* IBM1047: Same.
	* IBM256: Same.
	* IBM273: Same.
	* IBM274: Same.
	* IBM275: Same.
	* IBM277: Same.
	* IBM278: Same.
	* IBM280: Same.
	* IBM281: Same.
	* IBM284: Same.
	* IBM285: Same.
	* IBM290: Same.
	* IBM297: Same.
	* IBM367: Same.
	* IBM420: Same.
	* IBM423: Same.
	* IBM424: Same.
	* IBM437: Same.
	* IBM500: Same.
	* IBM819: Same.
	* IBM850: Same.
	* IBM851: Same.
	* IBM852: Same.
	* IBM855: Same.
	* IBM857: Same.
	* IBM860: Same.
	* IBM861: Same.
	* IBM862: Same.
	* IBM863: Same.
	* IBM864: Same.
	* IBM865: Same.
	* IBM868: Same.
	* IBM869: Same.
	* IBM870: Same.
	* IBM871: Same.
	* IBM875: Same.
	* IBM880: Same.
	* IBM891: Same.
	* IBM903: Same.
	* IBM904: Same.
	* IBM905: Same.
	* IBM918: Same.
	* IEC_P27-1: Same.
	* INIS: Same.
	* INIS-8: Same.
	* INIS-CYRILLIC: Same.
	* INVARIANT: Same.
	* IRV: Same.
	* ISO-8859-1: Same.
	* ISO-8859-10: Same.
	* ISO-8859-15: Same.
	* ISO-8859-2: Same.
	* ISO-8859-3: Same.
	* ISO-8859-4: Same.
	* ISO-8859-5: Same.
	* ISO-8859-6: Same.
	* ISO-8859-7: Same.
	* ISO-8859-8: Same.
	* ISO-8859-9: Same.
	* ISO-IR-100: Same.
	* ISO-IR-101: Same.
	* ISO-IR-109: Same.
	* ISO-IR-110: Same.
	* ISO-IR-111: Same.
	* ISO-IR-121: Same.
	* ISO-IR-122: Same.
	* ISO-IR-123: Same.
	* ISO-IR-126: Same.
	* ISO-IR-127: Same.
	* ISO-IR-13: Same.
	* ISO-IR-138: Same.
	* ISO-IR-139: Same.
	* ISO-IR-14: Same.
	* ISO-IR-141: Same.
	* ISO-IR-142: Same.
	* ISO-IR-143: Same.
	* ISO-IR-144: Same.
	* ISO-IR-146: Same.
	* ISO-IR-147: Same.
	* ISO-IR-148: Same.
	* ISO-IR-15: Same.
	* ISO-IR-150: Same.
	* ISO-IR-151: Same.
	* ISO-IR-152: Same.
	* ISO-IR-153: Same.
	* ISO-IR-154: Same.
	* ISO-IR-155: Same.
	* ISO-IR-156: Same.
	* ISO-IR-157: Same.
	* ISO-IR-17: Same.
	* ISO-IR-170: Same.
	* ISO-IR-179: Same.
	* ISO-IR-18: Same.
	* ISO-IR-19: Same.
	* ISO-IR-2: Same.
	* ISO-IR-21: Same.
	* ISO-IR-27: Same.
	* ISO-IR-37: Same.
	* ISO-IR-4: Same.
	* ISO-IR-47: Same.
	* ISO-IR-49: Same.
	* ISO-IR-50: Same.
	* ISO-IR-51: Same.
	* ISO-IR-54: Same.
	* ISO-IR-55: Same.
	* ISO-IR-57: Same.
	* ISO-IR-6: Same.
	* ISO-IR-69: Same.
	* ISO-IR-8-1: Same.
	* ISO-IR-8-2: Same.
	* ISO-IR-85: Same.
	* ISO-IR-86: Same.
	* ISO-IR-88: Same.
	* ISO-IR-89: Same.
	* ISO-IR-9-1: Same.
	* ISO-IR-9-2: Same.
	* ISO-IR-90: Same.
	* ISO-IR-91: Same.
	* ISO-IR-92: Same.
	* ISO-IR-93: Same.
	* ISO-IR-94: Same.
	* ISO-IR-95: Same.
	* ISO-IR-96: Same.
	* ISO-IR-98: Same.
	* ISO-IR-99: Same.
	* ISO646-CA: Same.
	* ISO646-CA2: Same.
	* ISO646-CN: Same.
	* ISO646-CU: Same.
	* ISO646-DE: Same.
	* ISO646-DK: Same.
	* ISO646-ES: Same.
	* ISO646-ES2: Same.
	* ISO646-FR: Same.
	* ISO646-GB: Same.
	* ISO646-HU: Same.
	* ISO646-IT: Same.
	* ISO646-JP: Same.
	* ISO646-JP-OCR-B: Same.
	* ISO646-KR: Same.
	* ISO646-US: Same.
	* ISO646-YU: Same.
	* ISO6937: Same.
	* ISO_10367-BOX: Same.
	* ISO_2033-1983: Same.
	* ISO_5427: Same.
	* ISO_5427-EXT: Same.
	* ISO_5427.1981: Same.
	* ISO_5428: Same.
	* ISO_5428.1980: Same.
	* ISO_646.BASIC: Same.
	* ISO_646.BASIC.1983: Same.
	* ISO_646.IRV.1983: Same.
	* ISO_646.IRV.1991: Same.
	* ISO_6937: Same.
	* ISO_6937-2-25: Same.
	* ISO_6937-2-ADD: Same.
	* ISO_6937-2.1983: Same.
	* ISO_6937.1992: Same.
	* ISO_8859-1: Same.
	* ISO_8859-1,GL: Same.
	* ISO_8859-1.1987: Same.
	* ISO_8859-10: Same.
	* ISO_8859-10.1993: Same.
	* ISO_8859-2: Same.
	* ISO_8859-2.1987: Same.
	* ISO_8859-3: Same.
	* ISO_8859-3.1988: Same.
	* ISO_8859-4: Same.
	* ISO_8859-4.1988: Same.
	* ISO_8859-5: Same.
	* ISO_8859-5.1988: Same.
	* ISO_8859-6: Same.
	* ISO_8859-6.1987: Same.
	* ISO_8859-7: Same.
	* ISO_8859-7.1987: Same.
	* ISO_8859-8: Same.
	* ISO_8859-8.1988: Same.
	* ISO_8859-9: Same.
	* ISO_8859-9.1989: Same.
	* ISO_8859-SUPP: Same.
	* ISO_9036: Same.
	* IT: Same.
	* JIS_C6220-1969: Same.
	* JIS_C6220-1969-JP: Same.
	* JIS_C6220-1969-RO: Same.
	* JIS_C6229-1984-A: Same.
	* JIS_C6229-1984-B: Same.
	* JIS_C6229-1984-B-ADD: Same.
	* JIS_C6229-1984-HAND: Same.
	* JIS_C6229-1984-HAND-ADD: Same.
	* JIS_C6229-1984-KANA: Same.
	* JIS_X0201: Same.
	* JP: Same.
	* JP-OCR-A: Same.
	* JP-OCR-B: Same.
	* JP-OCR-B-ADD: Same.
	* JP-OCR-HAND: Same.
	* JP-OCR-HAND-ADD: Same.
	* JS: Same.
	* JUS_I.B1.002: Same.
	* JUS_I.B1.003-MAC: Same.
	* JUS_I.B1.003-SERB: Same.
	* KATAKANA: Same.
	* KOI-7: Same.
	* KOI-8: Same.
	* KOI8-R: Same.
	* KOI8-RU: Same.
	* KOI8-U: Same.
	* KSC5636: Same.
	* L1: Same.
	* L2: Same.
	* L3: Same.
	* L4: Same.
	* L5: Same.
	* L6: Same.
	* LATIN-GREEK: Same.
	* LATIN-GREEK-1: Same.
	* LATIN1: Same.
	* LATIN1-2-5: Same.
	* LATIN2: Same.
	* LATIN3: Same.
	* LATIN4: Same.
	* LATIN5: Same.
	* LATIN6: Same.
	* MAC: Same.
	* MAC-IS: Same.
	* MACEDONIAN: Same.
	* MACINTOSH: Same.
	* MS-ANSI: Same.
	* MS-ARAB: Same.
	* MS-CYRL: Same.
	* MS-EE: Same.
	* MS-GREEK: Same.
	* MS-HEBR: Same.
	* MS-TURK: Same.
	* MSZ_7795.3: Same.
	* NAPLPS: Same.
	* NATS-DANO: Same.
	* NATS-DANO-ADD: Same.
	* NATS-SEFI: Same.
	* NATS-SEFI-ADD: Same.
	* NC_NC00-10: Same.
	* NC_NC00-10.81: Same.
	* NEXT: Same.
	* NEXTSTEP: Same.
	* NF_Z_62-010: Same.
	* NF_Z_62-010_1973: Same.
	* NS_4551-1: Same.
	* NS_4551-2: Same.
	* OS2LATIN1: Same.
	* PT: Same.
	* PT2: Same.
	* R8: Same.
	* REF: Same.
	* ROMAN8: Same.
	* SAMI: Same.
	* SEN_850200_B: Same.
	* SEN_850200_C: Same.
	* SERBIAN: Same.
	* ST_SEV_358-88: Same.
	* T.101-G2: Same.
	* T.61-7BIT: Same.
	* T.61-8BIT: Same.
	* UK: Same.
	* US: Same.
	* US-ASCII: Same.
	* VIDEOTEX-SUPPL: Same.
	* WINBALTRIM: Same.
	* X0201: Same.
	* X0201-7: Same.
	* YU: Same.
	* cs_CZ: Same.
	* da_DK: Same.
	* da_EU: Same.
	* de_AT: Same.
	* de_BE: Same.
	* de_CH: Same.
	* de_DE: Same.
	* de_EU: Same.
	* de_LU: Same.
	* el_EU: Same.
	* el_GR: Same.
	* en_AU: Same.
	* en_CA: Same.
	* en_DK: Same.
	* en_EU: Same.
	* en_GB: Same.
	* en_IE: Same.
	* en_NZ: Same.
	* en_US: Same.
	* es_AR: Same.
	* es_BO: Same.
	* es_CL: Same.
	* es_CO: Same.
	* es_DO: Same.
	* es_EC: Same.
	* es_ES: Same.
	* es_EU: Same.
	* es_GT: Same.
	* es_HN: Same.
	* es_MX: Same.
	* es_PA: Same.
	* es_PE: Same.
	* es_PY: Same.
	* es_SV: Same.
	* es_US: Same.
	* es_UY: Same.
	* es_VE: Same.
	* et_EE: Same.
	* eu_ES: Same.
	* fi_EU: Same.
	* fi_FI: Same.
	* fo_FO: Same.
	* fr_BE: Same.
	* fr_CA: Same.
	* fr_CH: Same.
	* fr_EU: Same.
	* fr_FR: Same.
	* fr_LU: Same.
	* ga_EU: Same.
	* ga_IE: Same.
	* gl_ES: Same.
	* he_IL: Same.
	* hr_HR: Same.
	* hu_HU: Same.
	* id_ID: Same.
	* is_EU: Same.
	* is_IS: Same.
	* it_EU: Same.
	* it_IT: Same.
	* iw_IL: Same.
	* kl_GL: Same.
	* lt_LT: Same.
	* lv_LV: Same.
	* nl_BE: Same.
	* nl_EU: Same.
	* nl_NL: Same.
	* no_EU: Same.
	* no_NO: Same.
	* pl_PL: Same.
	* POSIX: Same.
	* pt_BR: Same.
	* pt_EU: Same.
	* pt_PT: Same.
	* ro_RO: Same.
	* ru_RU: Same.
	* sl_SI: Same.
	* sv_EU: Same.
	* sv_FI: Same.
	* sv_SE: Same.
	* tr_TR: Same.

2007-09-20 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-560
	* configure.bat: Added ASL header.
	* generate.bat: Ditto.

2007-09-19  Martin Sebor  <sebor@roguewave.com>

	* rwstderr.msg: Added missing space after the comment character
	to prevent pedantic gencat errors on Linux.

2007-09-19  Martin Sebor  <sebor@roguewave.com>

	STDCXX-406
	* GNUmakefile.lib [Compaq C++] (SOBJS): Explicitly added all object
	files from template repository to the archive when building the lib
	with Compaq (HP) C++ on Tru64 UNIX as documented in the manual:
	http://h30097.www3.hp.com/cplus/ugutmpl.htm#templ_chap

2007-09-19 Farid Zaripov <Farid_Zaripov@epam.com>

	* build.wsf (BuildProject): Remove temporary checks (used
	for investigating of the problem with build on icc).

2007-09-19 Farid Zaripov <Farid_Zaripov@epam.com>

	* 20.temp.buffer.cpp (run_test): Define constant MAX_SIZE = INT_MAX
	for MSVC and ICC/Windows and MAX_SIZE = _RWSTD_PTRDIFF_MAX for other
	platforms.

2007-09-19  Martin Sebor  <sebor@roguewave.com>

	* _messages.cc (do_close): Qualified argument type to work around
	a Sun C++ 5.8 (and prior) bug.

2007-09-19 Farid Zaripov <Farid_Zaripov@epam.com>

	* _messages.h: Reverted changes from r577000 because
	they are obsolete since r577098.
	messages.cpp: Ditto.

2007-09-18  Martin Sebor  <sebor@roguewave.com>

	STDCXX-457
	* path.h: Added the required ASL header.

2007-09-18  Martin Sebor  <sebor@roguewave.com>

	STDCXX-457
	* rwstderr.rc: Added a comment with the required ASL header.
	Comment format according to:
	http://msdn2.microsoft.com/en-us/library/aa380896.aspx

2007-09-18  Martin Sebor  <sebor@roguewave.com>

	* rwstderr.msg: Added the RCS Id keyword.

2007-09-18  Martin Sebor  <sebor@roguewave.com>

	STDCXX-457
	* rwstderr.msg: Added a comment with the required ASL header.

20070-09-18 Travis Vitek <vitek@roguewave.com>

	STDCXX-559
	* index.html: Add ASL header.
	* rw.css: Same.
	* rwbanner.css: Same.

20070-09-18 Travis Vitek <vitek@roguewave.com>

	STDCXX-559
	* 1-1.html: Add ASL header.
	* 1-2.html: Same.
	* 1-3.html: Same.
	* 1-4.html: Same.
	* 1-5.html: Same.
	* 1-6.html: Same.
	* 1-7.html: Same.
	* 1.html: Same.
	* 10-1.html: Same.
	* 10-2.html: Same.
	* 10-3.html: Same.
	* 10.html: Same.
	* 11-1.html: Same.
	* 11-2.html: Same.
	* 11-3.html: Same.
	* 11.html: Same.
	* 12-1.html: Same.
	* 12-2.html: Same.
	* 12-3.html: Same.
	* 12.html: Same.
	* 13-1.html: Same.
	* 13-2.html: Same.
	* 13-3.html: Same.
	* 13-4.html: Same.
	* 13-5.html: Same.
	* 13-6.html: Same.
	* 13-7.html: Same.
	* 13-8.html: Same.
	* 13.html: Same.
	* 14-1.html: Same.
	* 14-2.html: Same.
	* 14-3.html: Same.
	* 14-4.html: Same.
	* 14-5.html: Same.
	* 14-6.html: Same.
	* 14-7.html: Same.
	* 14.html: Same.
	* 15-1.html: Same.
	* 15-2.html: Same.
	* 15-3.html: Same.
	* 15.html: Same.
	* 16-1.html: Same.
	* 16-2.html: Same.
	* 16-3.html: Same.
	* 16-4.html: Same.
	* 16.html: Same.
	* 17-1.html: Same.
	* 17-2.html: Same.
	* 17.html: Same.
	* 18-1.html: Same.
	* 18-2.html: Same.
	* 18-3.html: Same.
	* 18-4.html: Same.
	* 18.html: Same.
	* 19-1.html: Same.
	* 19-2.html: Same.
	* 19.html: Same.
	* 2-1.html: Same.
	* 2-2.html: Same.
	* 2-3.html: Same.
	* 2-4.html: Same.
	* 2-5.html: Same.
	* 2.html: Same.
	* 20-1.html: Same.
	* 20-2.html: Same.
	* 20-3.html: Same.
	* 20.html: Same.
	* 21-1.html: Same.
	* 21-2.html: Same.
	* 21-3.html: Same.
	* 21.html: Same.
	* 22-1.html: Same.
	* 22-2.html: Same.
	* 22-3.html: Same.
	* 22-4.html: Same.
	* 22-5.html: Same.
	* 22-6.html: Same.
	* 22-7.html: Same.
	* 22.html: Same.
	* 23-1.html: Same.
	* 23-2.html: Same.
	* 23-3.html: Same.
	* 23-4.html: Same.
	* 23.html: Same.
	* 24-1.html: Same.
	* 24-2.html: Same.
	* 24-3.html: Same.
	* 24-4.html: Same.
	* 24.html: Same.
	* 25-1.html: Same.
	* 25-2.html: Same.
	* 25-3.html: Same.
	* 25-4.html: Same.
	* 25-5.html: Same.
	* 25-6.html: Same.
	* 25.html: Same.
	* 26-1.html: Same.
	* 26-2.html: Same.
	* 26-3.html: Same.
	* 26-4.html: Same.
	* 26-5.html: Same.
	* 26-6.html: Same.
	* 26-7.html: Same.
	* 26-8.html: Same.
	* 26-9.html: Same.
	* 26.html: Same.
	* 27-1.html: Same.
	* 27-2.html: Same.
	* 27-3.html: Same.
	* 27-4.html: Same.
	* 27.html: Same.
	* 28-1.html: Same.
	* 28-2.html: Same.
	* 28-3.html: Same.
	* 28-4.html: Same.
	* 28-5.html: Same.
	* 28.html: Same.
	* 29-1.html: Same.
	* 29-2.html: Same.
	* 29-3.html: Same.
	* 29.html: Same.
	* 3-1.html: Same.
	* 3-2.html: Same.
	* 3-3.html: Same.
	* 3-4.html: Same.
	* 3-5.html: Same.
	* 3.html: Same.
	* 30-1.html: Same.
	* 30-2.html: Same.
	* 30-3.html: Same.
	* 30-4.html: Same.
	* 30-5.html: Same.
	* 30.html: Same.
	* 31-1.html: Same.
	* 31-2.html: Same.
	* 31-3.html: Same.
	* 31.html: Same.
	* 32-1.html: Same.
	* 32-2.html: Same.
	* 32-3.html: Same.
	* 32-4.html: Same.
	* 32-5.html: Same.
	* 32-6.html: Same.
	* 32.html: Same.
	* 33-1.html: Same.
	* 33-2.html: Same.
	* 33-3.html: Same.
	* 33.html: Same.
	* 34-1.html: Same.
	* 34-2.html: Same.
	* 34-3.html: Same.
	* 34-4.html: Same.
	* 34.html: Same.
	* 35-1.html: Same.
	* 35-2.html: Same.
	* 35-3.html: Same.
	* 35-4.html: Same.
	* 35-5.html: Same.
	* 35-6.html: Same.
	* 35.html: Same.
	* 36-1.html: Same.
	* 36-2.html: Same.
	* 36-3.html: Same.
	* 36-4.html: Same.
	* 36.html: Same.
	* 37-1.html: Same.
	* 37-2.html: Same.
	* 37.html: Same.
	* 38-1.html: Same.
	* 38-2.html: Same.
	* 38-3.html: Same.
	* 38-4.html: Same.
	* 38-5.html: Same.
	* 38.html: Same.
	* 39-1.html: Same.
	* 39-2.html: Same.
	* 39-3.html: Same.
	* 39.html: Same.
	* 4-1.html: Same.
	* 4-2.html: Same.
	* 4-3.html: Same.
	* 4-4.html: Same.
	* 4.html: Same.
	* 40-1.html: Same.
	* 40-2.html: Same.
	* 40-3.html: Same.
	* 40-4.html: Same.
	* 40-5.html: Same.
	* 40.html: Same.
	* 41-1.html: Same.
	* 41-2.html: Same.
	* 41-3.html: Same.
	* 41.html: Same.
	* 42-1.html: Same.
	* 42-2.html: Same.
	* 42-3.html: Same.
	* 42.html: Same.
	* 43-1.html: Same.
	* 43-2.html: Same.
	* 43-3.html: Same.
	* 43-4.html: Same.
	* 43.html: Same.
	* 44-1.html: Same.
	* 44-2.html: Same.
	* 44.html: Same.
	* 45-1.html: Same.
	* 45-2.html: Same.
	* 45-3.html: Same.
	* 45-4.html: Same.
	* 45-5.html: Same.
	* 45.html: Same.
	* 46-1.html: Same.
	* 46.html: Same.
	* 5-1.html: Same.
	* 5-2.html: Same.
	* 5-3.html: Same.
	* 5-4.html: Same.
	* 5.html: Same.
	* 6-1.html: Same.
	* 6-2.html: Same.
	* 6-3.html: Same.
	* 6.html: Same.
	* 7-1.html: Same.
	* 7-2.html: Same.
	* 7-3.html: Same.
	* 7.html: Same.
	* 8-1.html: Same.
	* 8-2.html: Same.
	* 8-3.html: Same.
	* 8-4.html: Same.
	* 8.html: Same.
	* 9-1.html: Same.
	* 9-2.html: Same.
	* 9-3.html: Same.
	* 9.html: Same.
	* acknow.html: Same.
	* booktoc.html: Same.
	* contact.html: Same.
	* copyright.html: Same.
	* frames-banner.html: Same.
	* frames-contents-all.html: Same.
	* frames-contents-chapter.html: Same.
	* frames-displayarea.html: Same.
	* frames-intro-contents.html: Same.
	* frames-intro-text.html: Same.
	* frames-tindex-contents.html: Same.
	* frames-tindex.html: Same.
	* I.html: Same.
	* II.html: Same.
	* III.html: Same.
	* index.html: Same.
	* IV.html: Same.
	* lists.html: Same.
	* noframes.html: Same.
	* tindex.html: Same.
	* V.html: Same.
	* VI.html: Same.
	* VII.html: Same.
	* VIII.html: Same.

20070-09-18 Travis Vitek <vitek@roguewave.com>

	STDCXX-559
	* --distance-type.html: Add ASL header
	* --iterator-category.html: Same. 	
	* 1-1.html: Same.
	* 1-2.html: Same.
	* 1-3.html: Same.
	* 1.html: Same.
	* 2-1.html: Same.
	* 2-10.html: Same.
	* 2-11.html: Same.
	* 2-2.html: Same.
	* 2-3.html: Same.
	* 2-4.html: Same.
	* 2-5.html: Same.
	* 2-6.html: Same.
	* 2-7.html: Same.
	* 2-8.html: Same.
	* 2-9.html: Same.
	* 2.html: Same.
	* A-1.html: Same.
	* A-2.html: Same.
	* A-3.html: Same.
	* A.html: Same.
	* accumulate.html: Same.
	* acknow.html: Same.
	* adjacent-difference.html: Same.
	* adjacent-find.html: Same.
	* advance.html: Same.
	* algorithm-h.html: Same.
	* algorithms.html: Same.
	* allocator.html: Same.
	* associativecontainers.html: Same.
	* auto-ptr.html: Same.
	* B.html: Same.
	* back-insert-iterator.html: Same.
	* bad-alloc.html: Same.
	* bad-cast.html: Same.
	* bad-exception.html: Same.
	* bad-typeid.html: Same.
	* basic-filebuf.html: Same.
	* basic-fstream.html: Same.
	* basic-ifstream.html: Same.
	* basic-ios.html: Same.
	* basic-iostream.html: Same.
	* basic-istream.html: Same.
	* basic-istringstream.html: Same.
	* basic-ofstream.html: Same.
	* basic-ostream.html: Same.
	* basic-ostringstream.html: Same.
	* basic-streambuf.html: Same.
	* basic-string.html: Same.
	* basic-stringbuf.html: Same.
	* basic-stringstream.html: Same.
	* bidirectionaliterators.html: Same.
	* binary-function.html: Same.
	* binary-negate.html: Same.
	* binary-search.html: Same.
	* bind1st.html: Same.
	* bitmasktypes.html: Same.
	* bitset.html: Same.
	* booktoc.html: Same.
	* cerr.html: Same.
	* char-traits.html: Same.
	* cin.html: Same.
	* clog.html: Same.
	* codecvt-byname.html: Same.
	* codecvt.html: Same.
	* collate.html: Same.
	* compare.html: Same.
	* complex-h.html: Same.
	* complex.html: Same.
	* contact.html: Same.
	* containers.html: Same.
	* copy.html: Same.
	* copyright.html: Same.
	* count.html: Same.
	* cout.html: Same.
	* ctype-byname.html: Same.
	* ctype.html: Same.
	* deque-h.html: Same.
	* deque.html: Same.
	* distance.html: Same.
	* divides.html: Same.
	* domain-error.html: Same.
	* equal-range.html: Same.
	* equal-to.html: Same.
	* equal.html: Same.
	* exception-h.html: Same.
	* exception.html: Same.
	* exceptions.html: Same.
	* facets.html: Same.
	* fill.html: Same.
	* find-end.html: Same.
	* find-first-of.html: Same.
	* find-if.html: Same.
	* find.html: Same.
	* for-each.html: Same.
	* forwarditerators.html: Same.
	* fpos.html: Same.
	* frames-banner.html: Same.
	* frames-classes-alpha.html: Same.
	* frames-classes-func.html: Same.
	* frames-displayarea.html: Same.
	* frames-intro-contents.html: Same.
	* frames-intro-text.html: Same.
	* frames-tindex-contents.html: Same.
	* frames-tindex.html: Same.
	* front-insert-iterator.html: Same.
	* fstream-h.html: Same.
	* functional-h.html: Same.
	* functionobjects.html: Same.
	* functoc.html: Same.
	* generate.html: Same.
	* get-temporary-buffer.html: Same.
	* greater-equal.html: Same.
	* greater.html: Same.
	* gslice-array.html: Same.
	* gslice.html: Same.
	* has-facet.html: Same.
	* heapoperations.html: Same.
	* I.html: Same.
	* II.html: Same.
	* III.html: Same.
	* includes.html: Same.
	* index.html: Same.
	* indirect-array.html: Same.
	* inner-product.html: Same.
	* inplace-merge.html: Same.
	* inputiterators.html: Same.
	* insert-iterator.html: Same.
	* insertiterators.html: Same.
	* invalid-argument.html: Same.
	* iomanip-h.html: Same.
	* ios-base--failure.html: Same.
	* ios-base.html: Same.
	* ios-h.html: Same.
	* iosfwd-h.html: Same.
	* iostream-h.html: Same.
	* isalnum.html: Same.
	* isalpha.html: Same.
	* iscntrl.html: Same.
	* isdigit.html: Same.
	* isgraph.html: Same.
	* islower.html: Same.
	* isprint.html: Same.
	* ispunct.html: Same.
	* isspace.html: Same.
	* istream-h.html: Same.
	* istream-iterator.html: Same.
	* istreambuf-iterator.html: Same.
	* istrstream.html: Same.
	* isupper.html: Same.
	* isxdigit.html: Same.
	* iter-swap.html: Same.
	* iterator-h.html: Same.
	* iterator-traits.html: Same.
	* iterator.html: Same.
	* iterators.html: Same.
	* IV.html: Same.
	* length-error.html: Same.
	* less-equal.html: Same.
	* less.html: Same.
	* lexicographical-compare.html: Same.
	* limits-h.html: Same.
	* list-h.html: Same.
	* list.html: Same.
	* lists.html: Same.
	* locale-h.html: Same.
	* locale.html: Same.
	* localedefutility.html: Same.
	* localeutility.html: Same.
	* logic-error.html: Same.
	* logical-and.html: Same.
	* logical-not.html: Same.
	* logical-or.html: Same.
	* lower-bound.html: Same.
	* make-heap.html: Same.
	* map-h.html: Same.
	* map.html: Same.
	* mask-array.html: Same.
	* max-element.html: Same.
	* max.html: Same.
	* mem-fun.html: Same.
	* memory-h.html: Same.
	* merge.html: Same.
	* messages.html: Same.
	* min-element.html: Same.
	* min.html: Same.
	* minus.html: Same.
	* mismatch.html: Same.
	* modulus.html: Same.
	* money-get.html: Same.
	* money-put.html: Same.
	* moneypunct.html: Same.
	* multimap.html: Same.
	* multiplies.html: Same.
	* multiset.html: Same.
	* negate.html: Same.
	* negators.html: Same.
	* new-h.html: Same.
	* next-permutation.html: Same.
	* noframes.html: Same.
	* not-equal-to.html: Same.
	* not1.html: Same.
	* not2.html: Same.
	* nth-element.html: Same.
	* num-get.html: Same.
	* num-put.html: Same.
	* numeric-h.html: Same.
	* numeric-limits.html: Same.
	* numpunct.html: Same.
	* operatordelete.html: Same.
	* operatornew.html: Same.
	* operators.html: Same.
	* ostream-h.html: Same.
	* ostream-iterator.html: Same.
	* ostreambuf-iterator.html: Same.
	* ostrstream.html: Same.
	* out-of-range.html: Same.
	* outputiterators.html: Same.
	* overflow-error.html: Same.
	* pair.html: Same.
	* partial-sort-copy.html: Same.
	* partial-sort.html: Same.
	* partial-sum.html: Same.
	* partition.html: Same.
	* plus.html: Same.
	* pointer-to-binary-function.html: Same.
	* pointer-to-unary-function.html: Same.
	* pop-heap.html: Same.
	* predicates.html: Same.
	* prev-permutation.html: Same.
	* priority-queue.html: Same.
	* ptr-fun.html: Same.
	* push-heap.html: Same.
	* queue-h.html: Same.
	* queue.html: Same.
	* random-shuffle.html: Same.
	* randomaccessiterators.html: Same.
	* range-error.html: Same.
	* raw-storage-iterator.html: Same.
	* remove-copy-if.html: Same.
	* remove-copy.html: Same.
	* remove-if.html: Same.
	* remove.html: Same.
	* replace-copy-if.html: Same.
	* replace-copy.html: Same.
	* replace-if.html: Same.
	* replace.html: Same.
	* return-temporary-buffer.html: Same.
	* reverse-copy.html: Same.
	* reverse-iterator.html: Same.
	* reverse.html: Same.
	* rotate.html: Same.
	* runtime-error.html: Same.
	* search.html: Same.
	* sequences.html: Same.
	* set-difference.html: Same.
	* set-h.html: Same.
	* set-intersection.html: Same.
	* set-symmetric-difference.html: Same.
	* set-union.html: Same.
	* set.html: Same.
	* slice-array.html: Same.
	* slice.html: Same.
	* sort-heap.html: Same.
	* sort.html: Same.
	* sstream-h.html: Same.
	* stable-partition.html: Same.
	* stable-sort.html: Same.
	* stack-h.html: Same.
	* stack.html: Same.
	* stdexcept-h.html: Same.
	* streambuf-h.html: Same.
	* streamiterators.html: Same.
	* string-h.html: Same.
	* string.html: Same.
	* strstream-h.html: Same.
	* strstream.html: Same.
	* strstreambuf.html: Same.
	* swap-ranges.html: Same.
	* swap.html: Same.
	* time-get-byname.html: Same.
	* time-get.html: Same.
	* time-put-byname.html: Same.
	* time-put.html: Same.
	* tindex.html: Same.
	* tolower.html: Same.
	* toupper.html: Same.
	* transform.html: Same.
	* typeinfo-h.html: Same.
	* unary-function.html: Same.
	* unary-negate.html: Same.
	* underflow-error.html: Same.
	* uninitialized-copy.html: Same.
	* uninitialized-fill-n.html: Same.
	* uninitialized-fill.html: Same.
	* unique.html: Same.
	* upper-bound.html: Same.
	* use-facet.html: Same.
	* utility-h.html: Same.
	* valarray-h.html: Same.
	* valarray.html: Same.
	* vector-h.html: Same.
	* vector.html: Same.
	* wcerr.html: Same.
	* wcin.html: Same.
	* wclog.html: Same.
	* wcout.html: Same.
	* wstring.html: Same.

2007-09-18  Martin Sebor  <sebor@roguewave.com>

	* 21.string.cons.cpp (test_cons): Used argument of the appropriate
	type to silence HP aCC pedantic Warning (suggestion) 887: Type 'int'
	is smaller than type 'unsigned long', unwanted widening in value may
	result.

2007-09-18  Martin Sebor  <sebor@roguewave.com>

	* _messages.h (do_open, do_close): Outlined virtual functions
	to avoid code bloat due to compiler emitting their definition
	in every object file where the class is used.
	* _messages.cc: Same.

2007-09-18 Farid Zaripov <Farid_Zaripov@epam.com>

	* _mutex.h: Use #pragma intrinsic only on MSVC
	(ICC doesn't support this #pragma).
	Use _InterlockedIncrement16() and _InterlockedDecrement16()
	intrinsic functions only on MSVC (ICC doesn't support them).

2007-09-18 Farid Zaripov <Farid_Zaripov@epam.com>

	* rw_streambuf.h: Removed 'Unknown' enum member as unused and
	conflicting with Windows API enumerator.

2007-09-18 Farid Zaripov <Farid_Zaripov@epam.com>

	* gencat.cpp [_WIN32] (main): Added checking VS90COMNTOOLS
	environment variable (get ready to use with MSVC 9.0 Orcas).

2007-09-18 Farid Zaripov <Farid_Zaripov@epam.com>

	* exec.cpp [_WIN32]: Added STATUS_INVALID_CRUNTIME_PARAMETER
	to the nt_status_map (detected on x64 Windows).

2007-09-18 Farid Zaripov <Farid_Zaripov@epam.com>

	* 20.temp.buffer.cpp (run_test): Use _RWSTD_LONG_MAX instead
	of _RWSTD_PTRDIFF_MAX because BigStruct parametrized by
	unsigned long type and sizeof (_RWSTD_PTRDIFF_T) can be
	greater that sizeof (unsigned long).

2007-09-18 Farid Zaripov <Farid_Zaripov@epam.com>

	* 22.locale.stdcxx-554.cpp: Removed dependency on rwtest library.

2007-09-18 Farid Zaripov <Farid_Zaripov@epam.com>

	* _messages.h (__rw_cat_open): Declare fnuction as _RWSTD_EXPORT.
	* _messages.h (__rw_get_message): Ditto.
	* _messages.h (__rw_get_locale): Ditto.
	* _messages.h (__rw_cat_close): Ditto.
	* messages.cpp (__rw_cat_open): Ditto.
	* messages.cpp (__rw_get_message): Ditto.
	* messages.cpp (__rw_get_locale): Ditto.
	* messages.cpp (__rw_cat_close): Ditto.

2007-09-18 Farid Zaripov <Farid_Zaripov@epam.com>

	* messages.cpp (__rw_cat_open): Use _RWSTD_MT_CLASS_GUARD instead of
	_RWSTD_MT_STATIC_GUARD to synchronize access to global repository
	of open	catalogs.
	(__rw_get_message): Ditto.
	(__rw_get_locale): Ditto.
	(__rw_cat_close): Ditto.

2007-09-17  Travis Vitek  <vitek@roguewave.com>

	STDCXX-560
	* WCTYPE_T.cpp: Added ASL header.
	* BAD_EXCEPTION_DEFAULT_CTOR.cpp: Same.
	* EXTERN_TEMPLATE.cpp: Same.
	* TYPE_INFO_INEQUALITY.cpp: Same.
	* NEW_HEADER.cpp: Same.
	* implicit_inclusion_imp.c: Same.
	* WCTRANS_T.cpp: Same.
	* STD_TYPE_INFO.cpp: Same.
	* LIB_EXCEPTIONS.cpp: Same.
	* TEMPLATE_ON_RETURN_TYPE.cpp: Same.
	* implicit_inclusion_imp.h: Same.
	* STD_NOTHROW.cpp: Same.
	* OPERATOR_DELETE_ARRAY.cpp: Same.
	* collapse_static_locals.lib.cpp: Same.
	* EXPLICIT_MEMBER_INSTANTIATION.cpp: Same.
	* SETRLIMIT.cpp: Same.
	* IMPLICIT_INSTANTIATION.cpp: Same.
	* NEW_CLASS_TEMPLATE_SYNTAX.cpp: Same.
	* RUNTIME_IN_STD.cpp: Same.
	* GLOBAL_BAD_TYPEID.cpp: Same.
	* BAD_EXCEPTION_COPY_CTOR.cpp: Same.
	* EXCEPTION_ASSIGNMENT.cpp: Same.
	* proclimits.h: Same.
	* BAD_ALLOC_DEFAULT_CTOR.cpp: Same.
	* TYPE_INFO_NAME.cpp: Same.
	* instantiation_with_implicit_inclusion.c: Same.
	* IMPLICIT_INCLUSION.cpp: Same.
	* HONOR_STD.cpp: Same.
	* collapse_template_locals.lib.cpp: Same.
	* EXTERN_C_COMPATIBILITY.cpp: Same.
	* NEWLINE.cpp: Same.
	* SIG_ATOMIC_T.cpp: Same.
	* instantiation_with_implicit_inclusion.h: Same.
	* LCONV_INT_FMAT.cpp: Same.
	* FRIEND_TEMPLATE.cpp: Same.
	* headers.inc: Same.
	* EXTERN_INLINE.cpp: Same.
	* NL_TYPES_H.cpp: Same.
	* NONDEDUCED_CONTEXT.cpp: Same.
	* LONG_LONG.cpp: Same.
	* STD_BAD_EXCEPTION.cpp: Same.
	* EXCEPTION_COPY_CTOR.cpp: Same.
	* GLOBAL_NOTHROW.cpp: Same.
	* TYPENAME.cpp: Same.
	* STRUCT_TM.cpp: Same.
	* STATIC_CONST_MEMBER_EXPR_CONST.cpp: Same.
	* VSNPRINTF_RETURN.cpp: Same.
	* NONCLASS_ARROW_RETURN.cpp: Same.
	* DEPRECATED_LIBC_IN_STD.cpp: Same.
	* DYNAMIC_CAST.cpp: Same.
	* BAD_TYPEID_DEFAULT_CTOR.cpp: Same.
	* EMPTY_MEM_INITIALIZER.cpp: Same.
	* WCSFTIME_WCHAR_T_FMAT.cpp: Same.
	* instantiation_with_implicit_inclusion.cc: Same.
	* DIV_OVERLOADS.cpp: Same.
	* DEPENDENT_TEMPLATE.cpp: Same.
	* STD_TERMINATE.cpp: Same.
	* NO_SIGNALING_NAN.cpp: Same.
	* POD_ZERO_INIT.cpp: Same.
	* NEW_FUNC_TEMPLATE_SYNTAX.cpp: Same.
	* FLOAT.cpp: Same.
	* OPERATOR_DELETE_PLACEMENT.cpp: Same.
	* LOCALE_NAME_FMAT.cpp: Same.
	* STD_UNCAUGHT_EXCEPTION.cpp: Same.
	* MATH_OVERLOADS.cpp: Same.
	* STATIC_CONST_MEMBER_INIT.cpp: Same.
	* LIBC_IN_STD.cpp: Same.
	* EXPLICIT_ARG.cpp: Same.
	* extern_template_imp.h: Same.
	* PART_SPEC_OVERLOAD.cpp: Same.
	* SETLOCALE.cpp: Same.
	* STD_SET_TERMINATE.cpp: Same.
	* instantiation_before_definition.c: Same.
	* GLOBAL_BAD_CAST.cpp: Same.
	* EXCEPTIONS.cpp: Same.
	* EXCEPTION_WHAT.cpp: Same.
	* MBSTATE_T.cpp: Same.
	* instantiation_before_definition.h: Same.
	* BAD_TYPEID_COPY_CTOR.cpp: Same.
	* NL_LANGINFO.cpp: Same.
	* DUMMY_DEFAULT_ARG.cpp: Same.
	* STATICS_IN_TEMPLATE.cpp: Same.
	* NAMESPACE.cpp: Same.
	* STATIC_TEMPLATE_MEMBER_INIT.cpp: Same.
	* MEMBER_TEMPLATE_OVERLOAD.cpp: Same.
	* OPERATOR_DELETE_NOTHROW.cpp: Same.
	* GLOBAL_SET_UNEXPECTED.cpp: Same.
	* OVERLOAD_OF_TEMPLATE_FUNCTION.cpp: Same.
	* STATIC_CAST.cpp: Same.
	* VA_LIST.cpp: Same.
	* TLS.cpp: Same.
	* OPERATOR_DELETE_ARRAY_PLACEMENT.cpp: Same.
	* INSTANTIATE_DEFAULT_ARGS.cpp: Same.
	* STD_BAD_CAST.cpp: Same.
	* OFFSETOF.cpp: Same.
	* thread.h: Same.
	* GLOBAL_EXCEPTION.cpp: Same.
	* GLOBAL_BAD_ALLOC.cpp: Same.
	* EXPLICIT.cpp: Same.
	* EXPORT.cpp: Same.
	* BAD_CAST_WHAT.cpp: Same.
	* TYPE_INFO_DTOR.cpp: Same.
	* EXCEPTION_DTOR.cpp: Same.
	* BAD_EXCEPTION_WHAT.cpp: Same.
	* WCHAR_T.cpp: Same.
	* locale_names.h: Same.
	* INFINITY.cpp: Same.
	* PLACEMENT_DELETE.cpp: Same.
	* TIMEZONE.cpp: Same.
	* DEFAULT_TEMPLATE_ARGS.cpp: Same.
	* OPERATOR_NEW_PLACEMENT.cpp: Same.
	* STD_MBSTATE_T.cpp: Same.
	* NATIVE_WCHAR_T.cpp: Same.
	* MUNMAP.cpp: Same.
	* UNISTD_DECL.cpp: Same.
	* EXCEPTION_SPECIFICATION.cpp: Same.
	* GLOBAL_NOTHROW_T.cpp: Same.
	* EXTERN_FUNCTION_TEMPLATE.cpp: Same.
	* UNAME.cpp: Same.
	* EXPLICIT_MEMBER_SPECIALIZATION.cpp: Same.
	* SPECIALIZATION_ON_RETURN_TYPE.cpp: Same.
	* TEMPLATE_DEFAULT_ARG_CONVERSION.cpp: Same.
	* ICONV.cpp: Same.
	* STD_UNEXPECTED.cpp: Same.
	* TYPE_INFO_BEFORE.cpp: Same.
	* EXPLICIT_INSTANTIATION_BEFORE_DEFINITION.cpp: Same.
	* LCONV.cpp: Same.
	* BAD_CAST_COPY_CTOR.cpp: Same.
	* BAD_ALLOC_WHAT.cpp: Same.
	* EXPLICIT_INSTANTIATION.cpp: Same.
	* EXPORT_KEYWORD.cpp: Same.
	* COLLAPSE_TEMPLATE_STATICS.cpp: Same.
	* EXTERN_MEMBER_TEMPLATE.cpp: Same.
	* BAD_CAST_DTOR.cpp: Same.
	* COLLAPSE_TEMPLATE_LOCALS.cpp: Same.
	* CLASS_PARTIAL_SPEC.cpp: Same.
	* BAD_EXCEPTION_DTOR.cpp: Same.
	* PTR_EXCEPTION_SPEC.cpp: Same.
	* SIZE_T.cpp: Same.
	* NEW_THROWS.cpp: Same.
	* extern_template_before_definition_imp.cpp: Same.
	* CONST_CAST.cpp: Same.
	* NO_DBL_TRAPS.cpp: Same.
	* THREAD_SAFE_EXCEPTIONS.cpp: Same.
	* MATH_EXCEPTION.cpp: Same.
	* THREAD_SAFE_ERRNO.cpp: Same.
	* STD_SET_NEW_HANDLER.cpp: Same.
	* GLOBAL_UNCAUGHT_EXCEPTION.cpp: Same.
	* GLOBAL_TYPE_INFO.cpp: Same.
	* EXPLICIT_CTOR_INSTANTIATION.cpp: Same.
	* REINTERPRET_CAST.cpp: Same.
	* STD_BAD_TYPEID.cpp: Same.
	* FUNC_PARTIAL_SPEC.cpp: Same.
	* BAD_ALLOC_COPY_CTOR.cpp: Same.
	* instantiation_before_definition.cc: Same.
	* OPERATOR_NEW_ARRAY_NOTHROW.cpp: Same.
	* QUIET_NAN.cpp: Same.
	* SPECIALIZED_FRIEND.cpp: Same.
	* BAD_TYPEID_WHAT.cpp: Same.
	* BAD_ALLOC_DTOR.cpp: Same.
	* BAD_CAST_ASSIGNMENT.cpp: Same.
	* EXTERN_TEMPLATE_BEFORE_DEFINITION.cpp: Same.
	* BAD_EXCEPTION_ASSIGNMENT.cpp: Same.
	* collapse_template_statics.lib.cpp: Same.
	* FUNCTION_TRY_BLOCK.cpp: Same.
	* NO_INT_TRAPS.cpp: Same.
	* LIBC_EXCEPTION_SPEC.cpp: Same.
	* EXTERN_C_OVERLOAD.cpp: Same.
	* OPERATOR_NEW_ARRAY.cpp: Same.
	* EXCEPTION_SPECIFICATION_ON_NEW.cpp: Same.
	* DAYLIGHT.cpp: Same.
	* COLLAPSE_STATIC_LOCALS.cpp: Same.
	* STD_EXCEPTION.cpp: Same.
	* TYPE_INFO_EQUALITY.cpp: Same.
	* types.h: Same.
	* CV_VOID_SPECIALIZATIONS.cpp: Same.
	* STD_BAD_ALLOC.cpp: Same.
	* LDBL_PRINTF_PREFIX.cpp: Same.
	* GLOBAL_SET_NEW_HANDLER.cpp: Same.
	* ABS_OVERLOADS.cpp: Same.
	* GLOBAL_BAD_EXCEPTION.cpp: Same.
	* OPERATOR_NEW_NOTHROW.cpp: Same.
	* PUTENV_CONST_CHAR.cpp: Same.
	* THREAD_SAFE_LOCALE.cpp: Same.
	* NO_FOR_LOCAL_SCOPE.cpp: Same.
	* MEMBER_TEMPLATES.cpp: Same.
	* BAD_ALLOC_ASSIGNMENT.cpp: Same.
	* LONG_DOUBLE.cpp: Same.
	* EXCEPTION_DEFAULT_CTOR.cpp: Same.
	* FPOS_T.cpp: Same.
	* OPERATOR_NEW_ARRAY_PLACEMENT.cpp: Same.
	* FUNC.cpp: Same.
	* BAD_TYPEID_DTOR.cpp: Same.
	* PRETTY_FUNCTION.cpp: Same.
	* STD_NOTHROW_T.cpp: Same.
	* EXPLICIT_FUNC_INSTANTIATION.cpp: Same.
	* LIMITS.cpp: Same.
	* WINT_T.cpp: Same.
	* CTYPE_BITS.cpp: Same.
	* STRUCT_TM_IN_WCHAR_H.cpp: Same.
	* extern_template_imp.cpp: Same.
	* implicit_inclusion_imp.cc: Same.
	* GLOBAL_TERMINATE.cpp: Same.
	* extern_inline.lib.cpp: Same.
	* EXTERN_C_EXCEPTIONS.cpp: Same.
	* LLONG_PRINTF_PREFIX.cpp: Same.
	* extern_function_template_imp.cpp: Same.
	* lib_exceptions.lib.cpp: Same.
	* ICONV_CONST_CHAR.cpp: Same.
	* INLINE_MEMBER_TEMPLATES.cpp: Same.
	* GLOBAL_SET_TERMINATE.cpp: Same.
	* GLOBAL_UNEXPECTED.cpp: Same.
	* NESTED_CLASS_ACCESS.cpp: Same.
	* STD_SET_UNEXPECTED.cpp: Same.
	* OPERATOR_DELETE_ARRAY_NOTHROW.cpp: Same.
	* BOOL.cpp: Same.
	* BAD_CAST_DEFAULT_CTOR.cpp: Same.
	* BAD_TYPEID_ASSIGNMENT.cpp: Same.
	* ATOMIC_OPS.cpp: Same.
	* EXPLICIT_INSTANTIATION_WITH_IMPLICIT_INCLUSION.cpp: Same.
	* fun_present_check.cpp: Same.

2007-09-17  Travis Vitek  <vitek@roguewave.com>

	STDCXX-560
	* eccp.config: Added ASL header.

2007-09-17  Travis Vitek  <vitek@roguewave.com>

	STDCXX-560
	* configure.sh: Added ASL header.
	* reliant_cds.config: Same.
	* mipspro.config: Same.
	* gcc.config: Same.
	* como.config: Same.
	* icc.config: Same.
	* xlC_version.sh: Same.
	* runall.sh: Same.
	* run_locale_utils.sh: Same.
	* osf_cxx.config: Same.
	* vacpp.config: Same.

2007-09-17  Martin Sebor  <sebor@roguewave.com>

	STDCXX-20
	* MADVISE.cpp: New config test to determine whether the system call
	madvise() is supported.

2007-09-18  Martin Sebor  <sebor@roguewave.com>

	* LIMITS.cpp [_RWSTD_NO_LIMITS_H] (<limits.h>): Guarded the #include
	directive introduced in revision 575978 to prevent EDG eccp errors
	on Linux caused by the header making use of the #include_next gcc
	extension.

2007-09-17  Martin Sebor  <sebor@roguewave.com>

	STDCXX-547
	* locale_core.cpp (_C_get_std_facet): Used a safe cast to silence
	a Sun C++ 64-bit conversion warning.

2007-09-17  Travis Vitek  <vitek@roguewave.com>

	* 18.limits.stdcxx-436.cpp: Regression test exercising STDCXX-436.

2007-09-17 Farid Zaripov <Farid_Zaripov@epam.com>

	* msvc-7.0.config: Comments extended with information on MSVC 9.0
	(Orcas).
	* msvc-9.0.config: New config file for MSVC 9.0.
	* msvc-9.0-x64.config: New config file for MSVC 9.0 x64 platform.

2007-09-17 Farid Zaripov <Farid_Zaripov@epam.com>

	* build.wsf (BuildProject): Log all available project properties
	if project.UniqueName is inaccessible.

2007-09-17 Farid Zaripov <Farid_Zaripov@epam.com>

	* catalog.cpp (__catfind): Fixed undefined behavior
	when __rw_catlist vector is full and id is not valid.

2007-09-13 Travis Vitek <vitek@roguewave.com>

	STDCXX-436
	* LIMITS.cpp [_WIN32] (main): Include limits.h to get definition
	of MB_LEN_MAX so that we don't have to guess the correct value.
	If we must guess a default on _WIN32, use a known good value.

2007-09-14 Farid Zaripov <Farid_Zaripov@epam.com>

	* 22.locale.messages.cpp: Removed unnecessary #includes.
	* 22.locale.messages.mt.cpp: Ditto.
	Removed generate_catalog() function.
	Used rw_create_catalog() istead of generate_catalog().

2007-09-14 Farid Zaripov <Farid_Zaripov@epam.com>

	* runall.cpp (main): Pass buf to strchr() call instead of target
	(we need char* result instead of const char*).

2007-09-14 Farid Zaripov <Farid_Zaripov@epam.com>

	* 22.locale.stdcxx-554.cpp: Added a regression test for STDCXX-554.

2007-09-14 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-554
	* _messages.h (messages): Removed explicit invoking of the
	messages_base() ctor
	to avoid buffer overrun due to bad code generation on MSVC 7.1.
	* _moneypunct.h (moneypunct): Removed explicit invoking of the
	money_base() ctor
	to avoid buffer overrun due to bad code generation on MSVC 7.1.

2007-09-13  Martin Sebor  <sebor@roguewave.com>

	STDCXX-418
	* basic-filebuf.html: Documented the fd() member function.

2007-09-13 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-543
	* runall.cpp (main): Added ability to pass list of the targets
	using the text file.
	* cmdopt.cpp: Updated usage_text with description of the
	changes above.
	* runall.wsf (runAllExamples): Pass targets using text file
	rather than using command line if the resulting command line
	length would exceed the maximum value.

2007-09-13  Martin Sebor  <sebor@roguewave.com>

	* memattr.cpp (EFAULT): #defined macro when not #defined in system
	headers. Needed by EDG eccp on Linux.
	[Linux] (__USE_BSD): #defined macro when not already #defined to
	bring in declarations of caddr_t, madvise(), and MADV_WILLNEED.
	Also needed by EDG eccp on Linux.

2007-09-13  Martin Sebor  <sebor@roguewave.com>

	STDCXX-394
	* FLOAT.cpp [__EDG__ && !__INTEL_COMPILER] (__FLT_DIG__,
	__FLT_EPSILON__, etc.) #defined gcc 4 intrinsics otherwise
	not recognized by the EDG eccp 3.9 (and prior) vanilla front
	end.

2007-03-14  Farid Zaripov  <Farid_Zaripov@epam.com>

	* 23.associative.stdcxx-16.cpp: Added Farid's regression test
	for STDCXX-16.

2007-09-12  Travis Vitek  <vitek@roguewave.com>

	* 24.operations.stdcxx-234.cpp: change to get regression
	test to correctly compile on gcc and msvc.

2007-09-12  Martin Sebor  <sebor@roguewave.com>

	STDCXX-545
	* vector (vector<bool>::_C_iter): Explicitly defined a copy ctor
	for the nested class to work around a Sun C++ optimizer (ube) ICE
	on x86_64.

2007-09-12  Martin Sebor  <sebor@roguewave.com>

	* _localedef.h (__rw_codecvt_t, __rw_ctype_t, __rw_itoutf8,
	__rw_utf8toucs4,  __rw_mbtowco): Used _RWSTD_UINT8_T instead of plain
	unsigned char to make the expected width of the data type explicit and
	for consistency with the other data types.

2007-09-12 Farid Zaripov <Farid_Zaripov@epam.com>

	* build.wsf (build): Select proper Intel compiler if
	more than one has installed.
	* projectdef.js (InitVSObjects): Get through all installed
	intel compilers when detecting path to the ICProjConvertxx
	utility.
	* utilities.js: Added config variable ICCVER (version of the
	Interl C++ compiler).
	* msvc-7.0.config: Ditto.
	* icc-9.0.config: Ditto.
	* icc-9.1.config: Ditto.
	* icc-10.0.config: Ditto.
	* icc-10.0-x64.config: Ditto.
	* icc-9.1-x64.config: New configuration file for
	64-bit Intel 9.1 compiler.

2007-09-12 Farid Zaripov <Farid_Zaripov@epam.com>

	* generate.bat: New batch file which just invokes
	configure.bat to preserve the user interface to the
	library. This file is deprecated and will be
	removed in 4.3 release.

2007-09-12  Martin Sebor  <sebor@roguewave.com>

	STDCXX-549
	* sunpro.config (CCVER): Removed unnecessary backslashes accepted
	on Solaris from a sed expression to prevent incorrect behavior on
	Linux.

2007-09-12  Martin Sebor  <sebor@roguewave.com>

	STDCXX-547	
	* num_get.cpp (__rw_get_stdio_fmat): Changed the type of the last
	argument so std::streamsize to make it possible to pass in and
	correctly handle 64-bit values and to aid in silencing 64-bit
	conversion warnings at the call site. (Missed this in r574422).

2007-09-07  Mark Brown  <mbrown@inbox.com>

	STDCXX-493
	* string (append): Replaced calls to replace() with calls to append()
	to improve performance.

2007-09-11 Farid Zaripov <Farid_Zaripov@epam.com>

	* build.wsf: Added optional parameter TOPDIR. Replace build
	dir path and src dir path in logs to $(BUILDDIR) and $(TOPDIR)
	respectively.
	(removeLogClutter): New function to remove clutters from build log.
	* generate.wsf (generateBuildBatch): Pass /TOPDIR parameter to
	build.wsf script.

2007-09-11 Farid Zaripov <Farid_Zaripov@epam.com>

	* configure.wsf (configure): Specify exactly one library
	in /NODEFAULTLIB parameter of the linker.
	* projectdef.js (projectCreateVCProject): The same.

2007-09-11 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-517
	* README: Fixed a typo.

2007-09-11 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-516
	* generate.bat: File renamed ...
	* configure.bat: ... to this.
	* README: "generate.bat" text replaced by "configure.bat".

2007-09-11 Farid Zaripov <Farid_Zaripov@epam.com>

	* generate.wsf (readAndCheckArguments): Removed assigning
	of the outDir variable to srcDir value.

2007-09-11 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-517
	* generate.wsf: Detect values for CONFIG and BUILDDIR
	parameters if they are not specified in command line.
	* projectdef.js (InitVSObjects): return value indicating
	the success or failure of the initialization.
	* utilities.js (getCompilerOpts): Set variables to initial
	state before parsing .config file.
	* README: Updated text on CONFIG and BUILDDIR parameters of
	the generate.bat script.

2007-09-11 Farid Zaripov <Farid_Zaripov@epam.com>

	* msvc-7.0.config: Fixed descriptive comment of
	VERSION variable.

2007-09-11 Farid Zaripov <Farid_Zaripov@epam.com>

	* codecvt1.cpp (main): Added output of the error message
	in case of exception caught.

2007-09-11 Farid Zaripov <Farid_Zaripov@epam.com>

	* projectsdef.js (projectCreateVCProject): Set optimization by speed
	instead of optimization by size in release builds.

2007-09-10  Martin Sebor  <sebor@roguewave.com>

	STDCXX-547
	* num_get.cpp (__rw_get_num): Cast a wider type to a narrower one
	to silence Sun C++ 64-bit conversion warnings.
	* num_put.cpp (__rw_get_stdio_fmat): Changed the type of the last
	argument so std::streamsize to make it possible to pass in and
	correctly handle 64-bit values and to aid in silencing 64-bit
	conversion warnings at the call site.
	* punct.cpp (__rw_get_stdio_fmat): Same. Used the %ld formatting
	directive and cast streamsize argument to long before passing it
	to sprintf.

2007-09-10 Farid Zaripov <Farid_Zaripov@epam.com>

	* utilities.js (expandSysMacro): New function to expand
	system macros in string.
	(parseConfig): Expand system macros in config variables.

2007-09-09 Farid Zaripov <Farid_Zaripov@epam.com>

	* projectdef.js (projectCreateVCProject): Enable using of the
	intrinsic functions in release builds.

2007-09-07 Travis Vitek <vitek@roguewave.com>

	STDCXX-436
	* limits.h (MB_LEN_MAX): Redefine MB_LEN_MAX if the current
	value is different from the configured value.
	* climits (MB_LEN_MAX): Ditto.

2007-09-07 Farid Zaripov <Farid_Zaripov@epam.com>

	* src/atomic.asm: New file to define __rw_atomicxxx() functions.
	* i86/atomic.asm: File renamed ...
	* i86/atomic.inc: ... to this.
	* i86_64/atomic.asm: File renamed ...
	* i86_64/atomic.inc: ... to this.
	* projects.js (CreateProjectsDefs): Removed platform dependent files
	array.
	* projectdef.js: InitAsmTool() function moved ...
	* filterdef.js: ... to this. Removed platform dependent files
	processing.

2007-09-07 Farid Zaripov <Farid_Zaripov@epam.com>

	* once.cpp: Moved #pragma's from this file ...
	* export.cpp: ... to this.

2007-09-07 Farid Zaripov <Farid_Zaripov@epam.com>

	* atomic-cxx.S: Updated copyright notice.
	* atomic.s: Ditto.

2007-09-06  Martin Sebor  <sebor@roguewave.com>

	STDCXX-501
	* acc.config (CXXFLAGS, CPPFLAGS, LDFLAGS): Used -AA and aCC's own
	C library headers by default regardless of platform (i.e., PA-RISC
	as well as IPF), unless -Aa is specified in _CXXOPTS.
	* libc_decl.sh (CXXFLAGS): Appended -I/usr/include only when -Aa
	is specified instead of based on the compiler version.

2007-08-09  Martin Sebor  <sebor@roguewave.com>

	* stdexcept (invalid_argument, length_error, underflow_error,
	overflow_error, out_of_range): Declared virtual ctors to prevent
	them from being implicitly defined by the compiler (and to reduce
	the size of object files compiled from translation units that
	#include the header). See also change 553643.
	* invalid_argument.cpp: Defined virtual dtor.
	* length_error.cpp: Same.
	* underflow_error.cpp: Same.
	* overflow_error.cpp: Same.
	* out_of_range.cpp: Same.

2007-09-06  Martin Sebor  <sebor@roguewave.com>

	* _codecvt.h (codecvt, do_always_noconv, do_encoding, do_max_length):
	Outlined codecvt<char, char, mbstate_t> ctor and virtual member
	functions of the codecvt<wchar_t, char, mbstate_t> specialization
	to reduce the size of objects in which these functions end up getting
	emitted by most (all?) compilers.

2007-09-06 Farid Zaripov <Farid_Zaripov@epam.com>

	* projects.js: Added definitions of the platform dependent files.
	* i86/atomic.asm: New file with definitions of the __rw_atomic_xxx()
	functions for Win32 platform.
	* i86_64/atomic.asm: New file with definitions of the
	__rw_atomic_xxx() functions for Windows/x64 platform.
	* _mutex.h: Use new __rw_atomic_xxx() functions if corresponding
	InterlockedXXX() functions are not present.
	[_MSC_VER >= 1400]: Use intrinsic InterlockedXXX() functions
	on MSVC 8 and higher.
	* once.cpp [_WIN32 && _DLL]: Tell linker to export __atomic_xxx()
	functions, defined in .asm files.

2007-09-06 Farid Zaripov <Farid_Zaripov@epam.com>

	* msvc-7.0.config: Added AS config variable.
	* msvc-8.0-x64.config: Ditto.
	* filterdef.js: Added definition of the CustomFileDef class
	(AddFilterFile): Invoke custom init function if current file
	is present in platform dependent file definitions array.
	* projectdef.js (InitAsmTool): New function to init custom build rule
	for .asm files.
	* utilities.js: Read AS configuration variable from the .config file.

2007-09-06  Liviu Nicoara  <nicoara@roguewave.com>

	* rw/_traits.h: added cast to unsigned char
	

2007-09-06 Farid Zaripov <Farid_Zaripov@epam.com>

	* projects.js (CreateProjectsDefs): Added echo path of clvars.bat file
	to see why the system cannot find the path.

2007-09-06 Farid Zaripov <Farid_Zaripov@epam.com>

	* 22.locale.messages.stdcxx-508_542.cpp: File renamed ...
	* 22.locale.messages.stdcxx-542.cpp: ... to this.

2007-09-06 Farid Zaripov <Farid_Zaripov@epam.com>

	* gencat.cpp (main): Resolve ambiguity of overloaded methods.

2007-09-06 Farid Zaripov <Farid_Zaripov@epam.com>

	* build.wsf (BuildProject): Use FullName property instead of FileName
	(to fix problem on ICC).

2007-09-06  Martin Sebor  <sebor@roguewave.com>

	* 24.operations.stdcxx-234.cpp: Added a regression test for STDCXX-234.

2007-09-06  Martin Sebor  <sebor@roguewave.com>

	STDCXX-234
	* _iterbase.h (distance): Corrected function signature according
	to the spec.

2007-08-30  Travis Vitek  <vitek@roguewave.com>

	STDCXX-532
	* 22.locale.codecvt.mt.cpp: New test exercising the thread safety
	of the std::codecvt facet.

2007-09-05 Farid Zaripov <Farid_Zaripov@epam.com>

	* build.wsf (event_ProjectBuildFinished): Read text from all
	buildlog.htm
	files, which is present in output window text.
	(BuildProject): Trying to fix "build.wsf(163, 14) (null): Invalid
	pointer "error; rewritten logic on ICC builds.

2008-08-31  Travis Vitek  <vitek@roguewave.com>

	STDCXX-531
	* 22.locale.messages.mt.cpp: New test exercising the thread safety
	of the std::messages facet.

2007-08-28  Travis Vitek  <vitek@roguewave.com>

	STDCXX-413
	* 22.locale.money.get (do_test): move intl param to front of param
	list to avoid modifying many lines of code unnecessarily.
	(test_get): update to support testing international money format,
	add overload to test both local and international money formats.

2007-09-05 Travis Vitek <vitek@roguewave.com>

	STDCXX-542
	* catalog.cpp (catclose): check bounds before index to avoid out of
	bound access.

2007-09-05 Farid Zaripov <Farid_Zaripov@epam.com>

	* 22.locale.messages.stdcxx-508_542.cpp: New regression test
	for STDCXX-508 and STDCXX-542 issues.

2007-09-05 Farid Zaripov <Farid_Zaripov@epam.com>

	* 22.locale.messages.cpp: Removed generate_catalog() function.
	Used rw_create_catalog() istead of generate_catalog().

2007-09-05 Farid Zaripov <Farid_Zaripov@epam.com>

	* rw_locale.h (rw_create_catalog): New function to generate message catalog.
	* locale.cpp (rw_create_catalog): Ditto.

2007-09-05 Farid Zaripov <Farid_Zaripov@epam.com>

	* GNUmakefile.bin: Added gencat target.
	* projects.js (CreateProjectsDefs): Added gencat utility project.
	* gencat.cpp: New utility for generating the message catalogs.

2007-09-4  Travis Vitek  <vitek@roguewave.com>

	STDCXX-511
	* 22.locale.numpunct.mt.cpp (run_test): Fatal assert if unable to
	create at least one locale.
	22.locale.ctype.mt.cpp (run_test): Ditto.

2007-08-28  Travis Vitek  <vitek@roguewave.com>

	STDCXX-528
	* 22.locale.money.get.mt.cpp: New test exercising the thread safety
	of the std::money_get facet. 

2007-09-04 Farid Zaripov <Farid_Zaripov@epam.com>

	* 22.locale.messages.cpp (test_open_close) [_WIN32]: Don't test file
	descriptor leaking because the catalog functions not uses files on Win32.
	(stress_test) [_WIN32]: Removed appending ".dll" because it will be
	appended by Windows by default.

2007-09-04 Farid Zaripov <Farid_Zaripov@epam.com>

	* 22.locale.messages.cpp (test_get): Corrected condition in "for" loop
	to test all messages.

2007-08-29  Martin Sebor  <sebor@roguewave.com>

	* 27.filebuf.virtuals.stdcxx-522.cpp: Add the real regression
	test for STDCXX-522 (not a symlink to it committed in r570898).

2007-08-29  Martin Sebor  <sebor@roguewave.com>

	* 27.filebuf.virtuals.stdcxx-522.cpp: Deleted a symlink.

2007-08-29  Martin Sebor  <sebor@roguewave.com>

	* 27.filebuf.virtuals.stdcxx-522.cpp: Regression test for STDCXX-522.

2007-08-29  Everton Araujo  <everton.basso@gmail.com>
	    Martin Sebor  <sebor@roguewave.com>

	STDCXX-522
	* fstream.cc (overflow): Prevented writing junk to file when
	the argument is EOF and the internal buffer is empty.

2007-08-29 Farid Zaripov <Farid_Zaripov@epam.com>

	* msvc-7.0.config: Updated comment on ICCCONVERT variable.
	* icc-10.0.config: Set ICCCONVERT=ICProjConvert100.exe.
	* icc-10.0-x64.config: Ditto.
	* projectdef.js (InitVSObjects): Updated the intel conversion
	utility path detection algorithm.

2007-08-29 Farid Zaripov <Farid_Zaripov@epam.com>

	* _config-icc.h: Corrected warning number.

2007-08-28  Martin Sebor  <sebor@roguewave.com>

	* 20.specialized.stdcxx-390.cpp: Regression test for STDCXX-390.

2007-08-28 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-515
	* 27.stringbuf.xsputn.stdcxx-515.cpp: New regression test for STDCXX-515.

2007-08-28 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-515
	* sstream.cc (xsputn): Correct write position after growing the buffer.

2007-08-28 Farid Zaripov <Farid_Zaripov@epam.com>

	* _mutex.h [__ia64 || __x86_64]: Define set of __rw_atomic_xxx()
	functions for types _RWSTD_LONG_LONG and unsigned _RWSTD_LONG_LONG.

2007-08-28 Farid Zaripov <Farid_Zaripov@epam.com>

	* ia64/atomic-64.s: Updated copyright notice.
	* ia64/atomic.s: Ditto.
	* parisc/atomic-64.s: Ditto.
	* parisc/atomic.s: Ditto.
	* sparc/atomic-64.s: Ditto.
	* sparc/atomic.s: Ditto.
	* i86/atomic.s: Updated comments.
	* i86_64/atomic.s: Updated copyright notice and comments.

2007-08-28  Travis Vitek  <vitek@roguewave.com>

	* 22.locale.time.get.mt.cpp: New test exercising the thread safety
	of the std::time_get facet. When compiled against the latest trunk
	the test crashes due to what's most likely a library bug that still
	remains to be analyzed.

2007-08-27 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-462
	* money-put.html: Updated example code according to real example.
	* num-get.html: Ditto.
	* time-get.html: Ditto.

2007-08-27 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-538
	* ATOMIC_OPS.cpp: Determine the argument type of InterlockedIncrement()
	only on Win32 platform.

2007-08-26  Martin Sebor  <sebor@roguewave.com>

	* 23.vector.bool.stdcxx-235.cpp: Regression test for STDCXX-235.

2007-08-25  Martin Sebor  <sebor@roguewave.com>

	* 21.string.stdcxx-162.cpp: Added a regression test for STDCXX-162.

2007-08-25  Travis Vitek  <vitek@roguewave.com>

	STDCXX-530
	* 22.locale.num.get.mt.cpp: New test exercising the thread safety
	of the std::num_get facet.

2007-08-24  Martin Sebor  <sebor@roguewave.com>

	STDCXX-475
	* 18.exception.cpp (induce_exception): Moved local classes
	to namespace scope to work around an Intel C++ 10.0 ICE on
	Linux.

2007-08-23  Martin Sebor  <sebor@roguewave.com>

	STDCXX-344
	* sunpro.config (WARNFLAGS): For Sun C++ 5.7 and beyond, enabled
	diagnostic "tags" in compiler output and used -erroff to silence
	Warning: std::stringstream::rdbuf hides the function std::ios::
	rdbuf(std::streambuf*) and similar.

2007-08-23  Martin Sebor  <sebor@roguewave.com>

	* NOTICE.txt: Updated year of copyright.

2007-08-22  Martin Sebor  <sebor@roguewave.com>

	STDCXX-525
	* mipspro.config (LDLIBS): Added libpthread to the list of libraries
	to link with when pthread is in BUILDMODE to make sure it's after
	libstdcxx on the link line.
	(MULTI_LDFLAGS_POSIX): Removed -lpthread (wasn't last on the link
	line).

2007-08-22  Martin Sebor  <sebor@roguewave.com>

	* README: Changed version to 4.2.0 (pre-release).
	Added Disclaimer to the Index.

2007-08-22 Farid Zaripov <Farid_Zaripov@epam.com>

	* projects.js (CreateProjectsDefs): Set BINDIR env variable before run
	tests (used in rw_locale(), rw_localedef()).

2007-08-22 Farid Zaripov <Farid_Zaripov@epam.com>

	* 21.cwchar.cpp (test_functions) [_MSC_VER]: Prevent invalid parameter
	validation error by setting size to 1.

2007-08-21 Farid Zaripov <Farid_Zaripov@epam.com>

	* 0.char.cpp (test_rw_widen): Added missing parameter in rw_assert().
	(test_rw_narrow): The same.

2007-08-20 Farid Zaripov <Farid_Zaripov@epam.com>

	* dynatype.cpp (copy): applied again changes in r544831 with
	adding comment in source file (the changes prevents error
	"invalid static_cast from type `const dynatype' to type `int'"
	on gcc 3.4.4/Cygwin).

2007-08-20 Farid Zaripov <Farid_Zaripov@epam.com>

	* dynatype.cpp (copy): This change was hasty and fixed in r567733
	(was: reverted unnecessary changes in r544831).

2007-08-17  Martin Sebor  <sebor@roguewave.com>

	* testdefs.h [Intel C++ 10.0 and prior]: Disabled warning #279:
	controlling expression is constant issued for the commonly used
	statement RW_ASSERT(!"not implemented"). Works around Intel C++
	bug described in STDCXX-487.

2007-08-17  Martin Sebor  <sebor@roguewave.com>

	* once.h [_WIN32] (_RWSTD_ONCE_INIT): Defined also for Windows.

2007-08-17  Martin Sebor  <sebor@roguewave.com>

	* once.h (_RWSTD_ONCE_INIT): Defined to PTHREAD_ONCE_INIT.
	[_RWSTD_POSIX_THREADS, _RWSTD_NO_PTHREAD_ONCE] (__rw_once_t,
	_RWSTD_ONCE_INIT): Defined in terms of pthread_mutex_t and
	PTHREAD_MUTEX_INITIALIZER, respectively.
	* once.cpp [_RWSTD_POSIX_THREADS, _RWSTD_NO_PTHREAD_ONCE]
	(__rw_once_t): Defined in terms of pthread_mutex_lock()
	and pthread_mutex_unlock().
	(__rw_once_t): Consistently asserted both preconditions.

2007-08-17  Martin Sebor  <sebor@roguewave.com>

	STDCXX-523
	* locale_classic.cpp (__rw_classic): New. Namespace-scope buffer
	backing the classic locale object.
	(__rw_classic_once_init): New. One-time initialization flag for
	the classic locale object.
	(__rw_init_classic): New. One-time initialization function for
	the classic locale object.
	(classic): Used __rw_once() to initialize the classic locale
	object.

2007-08-16  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.statics.mt.cpp: New test exercising the thread safety
	of [lib.locale.statics].

2007-08-15  Martin Sebor  <sebor@roguewave.com>

	* src/locale.cpp (rw_locales): Fixed up bad formatting introduced
	in r565991.
	* 22.locale.money.put.mt.cpp (thread_func): Ditto.
	* 22.locale.num.put.mt.cpp (put_data): Fixed up indentation and
	formatting. Renamed template parameter for consistency. Added
	a missing template argument.
	(thread_func, run_test): Fixed up formatting.

2007-08-14  Travis Vitek  <vitek@roguewave.com>

	* rw_locale.h (rw_locales): Added new parameter to indicate the
	"C" locale should appear at the front of returned locale list.
	* locale.cpp (rw_locales): Added support for new parameter.
	* testdefs.h: Added convenience macro RW_COUNT_OF that can beused
	to get the number of elements in an array.
	* 22.locale.money.put.mt.cpp (MyIos, MyStreambuf, MyMoneyData):
	Added structures to simplify testing.
	(run_test): Build a table of in/outptus for verification in test
	threads.
	(thread_func): Assert the data written matches expected.
	(main): Add support for --nlocales and --shared-locale command
	line arguments
	* 22.locale.num.put.mt.cpp (MyIos, MyStreambuf, MyNumData): Added
	structures to simplify testing.
	(run_test): Build a table of in/outptus for verification in test
	threads.
	(thread_func): Assert the data written matches expected.
	(main): Add support for --nlocales and --shared-locale command
	line arguments
	* 22.locale.time.put.mt.cpp (run_test, thread_func): Use macro
	RW_COUNT_OF. Remove "C" locale fallback. Eliminate unnecessary
	rdbuf() calls.

2007-08-14  Martin Sebor  <sebor@roguewave.com>

	* EXTERN_C_EXCEPTIONS.cpp: New config test to determine whether
	it's possible to throw exceptions from functions with C language
	linkage.

2007-08-14  Martin Sebor  <sebor@roguewave.com>

	* 18.csetjmp.cpp: New test exercising [support.runtime], header
	<csetjmp>, including STDCXX-513.
	* 18.setjmp.cpp: New test exercising [support.runtime], (deprecated)
	header <setjmp.h>.

2007-08-14  Martin Sebor  <sebor@roguewave.com>

	* GNUmakefile: Added an Apache license header and Rogue Wave
	copyright statement. Shortened pound-comments to not exceed
	72 characters per line.

2007-08-14  Martin Sebor  <sebor@roguewave.com>

	* GNUmakefile.exm: Added Apache license header and a Rogue Wave
	copyright statement.
	* GNUmakefile.exm: Same.
	* GNUmakefile.cfg: Same.
	* GNUmakefile.lib: Same.
	* GNUmakefile.ph: Same.
	* GNUmakefile.bin: Same.
	* GNUmakefile.tst: Same.
	* GNUmakefile.rwt: Same.
	* makefile.common: Same.
	* makefile.rules: Same.
	(makedep): Replaced a TAB with spaces.

2007-08-14  Martin Sebor  <sebor@roguewave.com>

	STDCXX-521
	* makefile.rules (makedep): Set the "local" shell variable depflags
	to the value of $(DEPENDLFAGS) when the GNU make $(value) function
	yields the empty string (as a result of GNU make 3.79 bug).

2007-08-13 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-519
	* fmtflags_manip.cpp (fmtflags_manip): Use value
	initialization to workaround MSVC 7.1 bug.

2007-08-13 Farid Zaripov <Farid_Zaripov@epam.com>

	* char.cpp (rw_widen): Don't write after end of dst.

2007-08-13 Farid Zaripov <Farid_Zaripov@epam.com>

	* char.cpp (rw_widen): Don't write after end of dst.

2007-08-13 Farid Zaripov <Farid_Zaripov@epam.com>

	* _defs.h: Quote assert.h and setjmp.h pathnames
	in order to prevent the corresponding macro
	expanding in the #include directive.

2007-08-12  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.time.put.mt.cpp (thread_func): Fixed up formatting and
	used '\0' and L'\0' in place of char() and wchar_t() for simplicity.
	(run_test): Same. Moved code that can't throw outside a try block.
	Printed out the number of locales in addition to their names.

2007-08-10  Travis Vitek    <vitek@roguewave.com>

	* 22.locale.time.put.mt.cpp (MyIos, MyStreambuf, MyTimeData): Added
	structures to simplify testing.
	(run_test): Build table of in/outputs for verification in test threads.
	(thread_func): Assert that data written matches expected.
	(main): Add command line options for specifying number of locales,
	locale names, and locale usage.

2007-08-12 Farid Zaripov <Farid_Zaripov@epam.com>

	* projectdef.js: Enable RTTI by default.
	* projects.js: Ditto. Disable RTTI for projects
	in NonRTTIProjects array.

2007-08-12 Farid Zaripov <Farid_Zaripov@epam.com>

	* 21.cwchar.cpp: Define long long overloads of get_type_name()
	(fixes compilation problem on MSVC-x64).

2007-08-10 Farid Zaripov <Farid_Zaripov@epam.com>

	* _mutex.h (__rw_atomic_preincrement) [_WIN32]: Cast __x to int& instead of long&
	to use InterlockedIncrement() optimized function instead of generic one using
	critical sections.

2007-08-10 Farid Zaripov <Farid_Zaripov@epam.com>

	* exec.cpp (fttoull) [_WIN32]: New function to convert from
	FILETIME to ULONGLONG.
	(exec_file) [_WIN32]: Get kernel time and user time of the child
	process using GetProcessTimes().
	Map STATUS_FLOAT_STACK_CHECK to SIGSTKFLT signal instead of SIGFPE.

2007-08-10  Farid Zaripov  <faridz@apache.org>

	* num_get.cpp (__rw_ldbl_infinity): Guarded with _RWSTD_NO_LONG_DOUBLE.

2007-08-10  Martin Sebor  <sebor@roguewave.com>

	STDCXX-509
	* num_get.cpp (__rw_flt_infinity, __rw_dbl_infinity,
	__rw_ldbl_infinity): Declared constants with C language
	linkage as in r564059.

2007-08-09 Farid Zaripov <Farid_Zaripov@epam.com>

	* 27.stringbuf.str.stdcxx-514.cpp: New regression test from STDCXX-514 issue.

2007-08-09 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-514
	* sstream.cc (str): Take ownership of the allocated buffer a bit
	later to avoid deallocation of the external buffer.

2007-08-09 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-513
	* csetjmp: #define setjmp macro if it's not #defined.

2007-08-09  Martin Sebor  <sebor@roguewave.com>

	STDCXX-509
	* limits (__rw_flt_denorm_min, __rw_flt_infinity, __rw_flt_qNaN,
	__rw_flt_sNaN, __rw_dbl_denorm_min, __rw_dbl_infinity, __rw_dbl_qNaN,
	__rw_dbl_sNaN, __rw_ldbl_denorm_min, __rw_ldbl_infinity, __rw_ldbl_qNaN,
	__rw_ldbl_sNaN): Declared floating point constants with "C" language
	linkage to prevent "clever" compilers such as MSVC from mangling their
	type into their names and to permit them to be defined with different
	types.
	* limits_bits.cpp (__rw_flt_denorm_min, __rw_flt_infinity,
	__rw_flt_qNaN, __rw_flt_sNaN, __rw_dbl_denorm_min, __rw_dbl_infinity,
	__rw_dbl_qNaN, __rw_dbl_sNaN, __rw_ldbl_denorm_min, __rw_ldbl_infinity,
	__rw_ldbl_qNaN, __rw_ldbl_sNaN): Defined as statically (i.e., at load
	time as opposed to dynamically, at runtime) initialized unions, backed
	by the appropriate byte patterns, with "C" language linkage to permit
	the defintions to have a different type than the declarations.
	(__rw_flt_denorm_min_bits, __rw_flt_infinity_bits, __rw_flt_qNaN_bits,
	__rw_flt_sNaN_bits, __rw_dbl_denorm_min_bits, __rw_dbl_infinity_bits,
	__rw_dbl_qNaN_bits, __rw_dbl_sNaN_bits, __rw_ldbl_denorm_min_bits,
	__rw_ldbl_infinity_bits, __rw_ldbl_qNaN_bits,  __rw_ldbl_sNaN_bits):
	Removed.

2007-08-08 Farid Zaripov <Farid_Zaripov@epam.com>

	* cmdopt.cpp [_WIN32]: Set TICKS_PER_SEC = CLOCKS_PER_SEC.
	* exec.cpp [_WIN32]: Added mappings of the STATUS_STACK_BUFFER_OVERRUN.
	Translate wall time value from 100ns units to clocks.

2007-08-08 Farid Zaripov <Farid_Zaripov@epam.com>

	* exec.cpp [_WIN32]: Added mappings of the STATUS_STACK_OVERFLOW and
	STATUS_INVALID_PARAMETER.

2007-08-08  Martin Sebor  <sebor@roguewave.com>

	* 18.limits.cvqual.cpp (test_limits): Exercised quiet NAN.

2007-08-08  Martin Sebor  <sebor@roguewave.com>

	* limits (_RWSTD_FLT_SNAN, _RWSTD_DBL_SNAN, _RWSTD_LDBL_SNAN):
	Removed macro vestiges.
	(__rw_flt_sNaN, __rw_dbl_sNaN, __rw_ldbl_sNaN): Declared
	unconditionally.

2007-08-08  Martin Sebor  <sebor@roguewave.com>

	* limits (_RWSTD_FLT_INFINITY, _RWSTD_FLT_QNAN, _RWSTD_FLT_SNAN,
	_RWSTD_FLT_DENORM_MIN): Removed macro definitions and replaced
	their uses with the actual symbols).
	(_RWSTD_DBL_INFINITY, _RWSTD_DBL_QNAN, _RWSTD_DBL_SNAN,
	_RWSTD_DBL_DENORM_MIN, _RWSTD_LDBL_INFINITY, _RWSTD_LDBL_QNAN,
	_RWSTD_LDBL_SNAN, _RWSTD_LDBL_DENORM_MIN): Same.

2007-08-07  Martin Sebor  <sebor@roguewave.com>

	* graph.cpp: Simplified in an (unsuccessful) effort to eliminate
	gcc -Winline warnings.
	(stringVector, graph): Used default template arguments for similicity
	and renamed to Distances and Cities, respectively.
	(main): Moved global variables into local scope, changing strings to
	const char arrays for simplicity and efficiency. Replaced std::endl
	with '\n' for efficiency.

2007-08-07  Martin Sebor  <sebor@roguewave.com>

	* dynatype.cpp (get): Outlined to silence gcc -Winline warnings.
	(dynatype, operator=): Same.

2007-08-07  Martin Sebor  <sebor@roguewave.com>

	* once.h: New implementation-private header. Declares __rw_once_t
	and __rw_once() for portable, thread-safe one-time initialization.
	* once.cpp: New. Defines the above.

2007-08-07  Martin Sebor  <sebor@roguewave.com>

	* 23.vector.allocator.cpp: New test exercising the ability of vector
	to be instantiated on a user-defined Allocator with a user-defined
	pointer type.

2007-08-07  Martin Sebor  <sebor@roguewave.com>

	* vector.cc (__rw_insert_range): Used predecrement even with pointers
	instead of preincrement for efficiency when pointer is a user-defined
	type.

2007-08-07 Farid Zaripov <Farid_Zaripov@epam.com>

	* runall.wsf (runAllExamples): Removed quotes around exec.exe. Lowered timeout to 100 ms.

2007-08-07 Farid Zaripov <Farid_Zaripov@epam.com>

	* projects.js (CreateProjectsDefs): Fixed bug with deleting original
	rwtest.dll when solution was generated with /COPYDLL:yes.

2007-08-06  Martin Sebor  <sebor@roguewave.com>

	STDCXX-510
	* locale.cpp (rw_opt_setlocales): Added option help.

2007-08-06  Martin Sebor  <sebor@roguewave.com>

	* ChangeLog: Updated, keeping original TABs.

2007-08-03  Mark Brown  <mark.g.brown@gmail.com>
	    Farid Zaripov  <faridz@apache.org>

	STDCXX-491
	* string (push_back): Moved definition outside the basic_string class
	template and optimized so as to call append() only when reallocation
	is necessary.

2007-08-03  Martin Sebor  <sebor@roguewave.com>

	* cmdopt.cpp (parse_limit_opts): Silenced silly MSVC "performance"
	warnings about converting int to bool.

2007-08-03  Martin Sebor  <sebor@roguewave.com>

	* util.cpp (DEV_NULL): Defined macro.
	(input_name): Used it.

2007-08-03 Farid Zaripov <Farid_Zaripov@epam.com>

	* runall.wsf (runAllExamples): Run command using cmd.exe with
	redirecting stderr to stdout to avoid deadlocks.

2007-08-02  Andrew Black  <ablack@roguewave.com>

	* exec.cpp [_WIN32] (exec_file): Fix incorrect variable name in
	conditionally compiled code, introduced in http://svn.apache.org/viewvc?view=rev&rev=562224

2007-07-26  Martin Sebor  <sebor@roguewave.com>

	* display.h (print_footer): Added an argument for the total number
	of programs processed by the utility.
	* display.cpp (print_target_verbose): Print stdin, stdout, and stderr
	redirectiopn.
	(print_status_verbose): Justified output.
	(print_footer_plain): Printed the total number of programs processed
	by the utility and avoided printing assertion totals unless they're
	valid.
	(print_footer_verbose): Added an argument.
	* target.h (target_opts): Added infname and outfname members.
	* util.h (input_name): Declared.
	* util.cpp (input_name): Defined to parallel output_name().
	* exec.cpp (open_input): Removed.
	(exec_file): Used target_opts::infname and target_opts::outfname.
	* runall.cpp (run_target): Called input_name() and output_name()
	to set the names of files to redirect input and output from and
	to, respectively.
	Avoided printing out assertion totals when they're not valid.

2007-07-31 Farid Zaripov <Farid_Zaripov@epam.com>

	* 22.locale.messages.cpp (test_open_close): Use default locale if loc_name==0.
	(test_get): The same.

2007-07-31 Farid Zaripov <Farid_Zaripov@epam.com>

	* makefile.rules: Removed double exporting of the TMP variable.
	* projects.js: Set TOPDIR env variable before running tests.

2007-07-30 Farid Zaripov <Farid_Zaripov@epam.com>

	* locale.cpp (rw_locales): On error return "C\0" instead of 0.
	[_MSC_VER]: Use _free_dbg() instead of free().

2007-07-30 Farid Zaripov <Farid_Zaripov@epam.com>

	* GNUmakefile.exm: Set TZ environment variable only for examples.
	* makefile.rules: Determine cygwin using PLATFORM variable.
	[CYGWIN]: Add $(BINDIR) to PATH.

2007-07-29  Martin Sebor  <sebor@roguewave.com>

	* display.cpp (print_header): Defined function pointer using
	the array notation just as is done in the declaration of the
	object to work around what looks like a bug in the Intel C++
	compiler on Windows.

2007-07-29 Farid Zaripov <Farid_Zaripov@epam.com>

	* thread.cpp [_WIN32]: Use _beginthreadex() only if _MT defined.

2007-07-27 Farid Zaripov <Farid_Zaripov@epam.com>

	* cwchar: _RWSTD_NO_TM replaced with _RWSTD_NO_STRUCT_TM.
	Added using ::tm after #including _RWSTD_ANSI_C_TIME_H.

2007-07-27 Farid Zaripov <Farid_Zaripov@epam.com>

	* gcc.config [__CYGWIN__]: Added -D_REENTRANT option in
	multithreaded builds. Don't define AS_EXT as .s.
	* atomic.s [__CYGWIN__]: Prepend symbol names by '_'.

2007-07-26  Martin Sebor  <sebor@roguewave.com>

	* display.h (short_st_name): Removed declaration.
	(print_header, print_footer): Added an argument.
	* display.cpp (short_st_name): Moved to the top of file.
	(verbose_st_name): New array to parallel short_st_name.
	(print_argv): New.
	(print_header_plain): Added an (unused) argument.
	(print_header_verbose, print_target_verbose, print_status_verbose):
	New handlers for verbose output.
	(print_target_plain): Asserted a precondition.
	(print_footer_plain): Added an argument and printed out summary
	information.
	(set_output_format): Defined.
	* exec.cpp (open_input): Allowed data_dir to be null.
	* cmdopt.cpp (eval_options): Set defaults to all 0. Handled
	the -v (verbose) option.
	* output.cpp (parse_output): Allowed data_dir to be null.
	* util.cpp (reference_name): Allowed data_dir to be null.
	* target.h (target_opts): Added a verbose member.
	* runall.cpp (merge_argv): Corrected constness of argument.
	(run_target): Added a new argument and incremented summary data.
	(main): Removed default timeout of 10 seconds.
	Called set_output_format().
	Passed argument to print_header() and print_footer().

2007-07-26 Farid Zaripov <Farid_Zaripov@epam.com>

	* utilities.js: Added global variable EXEC_TIMEOUT = 300 seconds.
	* projectdef.js: Removed execTimeout variable, instead used EXEC_TIMEOUT.
	* runall.wsf: Removed /COMPAT option, added /RUNFLAGS option.
	* projects.js: Added proper /RUNFLAGS:... to runExamples, runTests,
	testLocale projects.

2007-07-26 Farid Zaripov <Farid_Zaripov@epam.com>

	* thread.cpp (rw_thread_create) [_WIN32]: Use _beginthreadex() instead of CreateThread().

2007-07-25  Martin Sebor  <sebor@roguewave.com>

	* cmdopt.cpp (eval_options): Added inline comments.

2007-07-25  Martin Sebor  <sebor@roguewave.com>

	* 26.valarray.cassign.cpp: New test exercising [lib.valarray.cassign],
	valarray computed assignment operators.

2007-07-25 Farid Zaripov <Farid_Zaripov@epam.com>

	* 21.string.stdcxx-466.cpp: Corrected tests for find_first_not_of() and find_last_not_of().
	* 21.string.find.first.not.of.cpp: Test updated to reflect changes from r559037.
	* 21.string.find.first.of.cpp: Ditto.
	* 21.string.find.last.not.of.cpp: Ditto.
	* 21.string.find.last.of.cpp: Ditto.

2007-07-25 Farid Zaripov <Farid_Zaripov@epam.com>

	* cmdopt.cpp [_WIN32]: #define RLIMIT_AS (for limit process memory on Windows).
	* exec.cpp (exec_file) [_WIN32]: Create process in suspended state.
	Limit process memory if needed. Set start time as time before resuming process.

2007-07-25 Farid Zaripov <Farid_Zaripov@epam.com>

	* 22.locale.cons.stdcxx-485.cpp: Moved to tests/regress directory.
	* 21.string.replace.stdcxx-175.cpp: Ditto.
	* 21.string.stdcxx-466.cpp: Ditto.

2007-07-24  Travis Vitek  <vitek@roguewave.com>

	STDCXX-502
	* valarray (valarray, operator=): Updated local variable names
	to meet conventions and get test 17.names passing again.

2007-07-24 Farid Zaripov <Farid_Zaripov@epam.com>

	* 21.string.stdcxx-466.cpp: Corrected file name in file header.
	* 21.string.replace.stdcxx-175.cpp: New regression test for STDCXX-175.

2007-07-24 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-175
	* string.cc (replace): Throw std::length_error() if __n2 > max_size().

2007-07-24 Farid Zaripov <Farid_Zaripov@epam.com>

	* string (replace): Corrected function name in _RWSTD_FUNC() macro.
	* string.cc (replace): Ditto.

2007-07-24 Farid Zaripov <Farid_Zaripov@epam.com>

	* 21.string.rfind.stdcxx-466.cpp: Added testing of find(), find_first_of(),
	find_last_of(), find_first_not_of(), find_last_not_of(), compare() methods.
	File renamed ...
	* 21.string.stdcxx-466.cpp: ... to this.

2007-07-24 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-466
	* string.cc (find_first_of): Don't throw std::length_error() if n > max_size().
	(find_first_of): Ditto.
	(find_last_of): Ditto.
	(find_first_not_of): Ditto.
	(find_last_not_of): Ditto.

2007-07-23  Martin Sebor  <sebor@roguewave.com>

	* process.cpp (__PURE_CNAME): Removed Compaq C++ preprocessor guard.
	* thread.cpp (__PURE_CNAME): Removed an #undef (done in <testdefs.h>
	in r558120).

2007-07-23 Farid Zaripov <Farid_Zaripov@epam.com>

	* 27.istream.manip.cpp (test_ws): ws() shouldn't affect the gcount() value;
	if initial state is not good, the result state should be state | failbit.

2007-07-23 Farid Zaripov <Farid_Zaripov@epam.com>

	* 21.string.rfind.stdcxx-466.cpp: New regression test for STDCXX-466.

2007-07-20  Martin Sebor  <sebor@roguewave.com>

	* testdefs.h (__PURE_CNAME): Undefined the Compaq C++ macro #defined
	in response to the -std strict_ansi_errors compiler option in order
	to allow C++ extensions (such POSIX names) to be declared by C++ libc
	headers when building the test driver.

2007-07-19 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-466
	* string.cc (rfind): Don't throw std::length_error() if n > max_size().

2007-07-19 Farid Zaripov <Farid_Zaripov@epam.com>

	* 27.istream.unformatted.get.cpp: Update test according to changes in r423404.

2007-07-19 Farid Zaripov <Farid_Zaripov@epam.com>

	* rw_streambuf.h (MyStreambuf): Init throw_when_ array using when parameter.

2007-07-19  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.ctype.mt.cpp: New test exercising the thread safety
	of the member functions narrow() and widen() of the two required
	specializations of the ctype facet.

2007-07-19 Farid Zaripov <Farid_Zaripov@epam.com>

	* 0.new.cpp: Removed handling of the SIGSEGV signal.
	Skip all tests if _RWSTD_NO_REPLACEABLE_NEW_DELETE macro #defined.

2007-07-19  Martin Sebor  <sebor@roguewave.com>

	* rw_locale.h (rw_get_wchars): Declared a new function to find
	a set of (valid or invalid) wide characters in the current locale.
	* locale.cpp (rw_get_wchars): Defined.

2007-07-19  Martin Sebor  <sebor@roguewave.com>

	* rw_locale.h: Added comments, commented out function formal
	arguments.

2007-07-18  Martin Sebor  <sebor@roguewave.com>

	* locale.cpp (<rw_printf.h>, <errno.h>): Removed #include directives.
	(PATH_MAX): Redefined to 1024 when it's too small or excessively big.
	(<driver.h>): #included for rw_note() and rw_warn().
	(rw_locale): Used the BINDIR macro instead of hardcoding its value.
	(rw_localedef): Same. Also replaced fprintf() with rw_error().
	(rw_locale_root): Used PATH_MAX as index instead of hardcoding
	an arbitrary value.
	(rw_set_locale_root): Same. Replaced rw_fprintf() and perror() with
	rw_note() and rw_error(), respectively.
	(rw_get_mb_chars, rw_find_mb_locale): Replaced rw_fprintf() with
	rw_note() or_rw_warn(), whichever was appropriate, and a hardcoded
	arbitrary value with PATH_MAX.
	(rw_create_locale): Replaced a hardcoded arbitrary value with PATH_MAX
	and fprintf() with rw_error().

2007-07-18  Martin Sebor  <sebor@roguewave.com>

	* printf.cpp (rw_sprintf): Copied the entire string including
	the terminating NUL to the destination buffer.

2007-07-18  Martin Sebor  <sebor@roguewave.com>

	* _ctype.h (ctype<wchar_t>): Moved definitions of public members
	above those of protected virtual functions and removed an outdated
	comment explaining the unusual class layout.

2007-07-18  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.globals.mt.cpp (test_has_facet): Exercised has_facet
	specializations on _byname facets only when not disabled on the
	command line.
	Added comments throughout.

2007-07-17  Martin Sebor  <sebor@roguewave.com>

	* 0.printf.cpp (TEST_SPEC): Removed the const quialifier from
	a local variable declaration to silence the pesky Intel C++
	warning #279: controlling expression is constant.

2007-07-17  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.cons.stdcxx-485.cpp: Called rw_locales() to obtain
	the set of installed locales to use. Introduced a dependency on
	rw_test() required in order to be able to call rw_locales().

2007-07-17  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.cons.stdcxx-485.cpp: New regression test for STDCXX-485.

2007-07-17  Martin Sebor  <sebor@roguewave.com>

	STDCXX-486
	* time_put.cpp (tzset): Added throw() to the declaration.

2007-07-16 Farid Zaripov <Farid_Zaripov@epam.com>

	* wchar.h (swprintf): Avoided declaring function for all MSVC's.

2007-07-13  Martin Sebor  <sebor@roguewave.com>

	STDCXX-485
	* locale_body.cpp (_C_manage): Reset the capacity of the locale
	buffer to the capacity of the statically allocated buffer after
	its size shrinks below that level.

2007-07-13  Martin Sebor  <sebor@roguewave.com>

	* wchar.h (mbrtowc): Changed return type from wchar_t (introduced
	in r554281 to address STDCXX-472) to size_t.

2007-07-13 Farid Zaripov <Farid_Zaripov@epam.com>

	* fmt_bits.cpp (_rw_fmtlasterror): Cast pmsg to const char* to avoid MSVC error.

2007-07-12  Martin Sebor  <sebor@roguewave.com>

	* fmt_defs.h (_rw_fmtlasterror): Declared new function to format
	Windows GetLastError() messages. 
	* fmt_bits.cpp (_rw_fmtlasterror): Defined.
	* printf.cpp (_rw_vasnprintf_ext): Called _rw_fmtlasterror() to process
	the %{E} directive. Set spec.param.int_ to the argument value in the
	the %{m} directive handler to allow it to be referenced in subsequent
	paramno directives.

2007-07-12  Martin Sebor  <sebor@roguewave.com>

	* 0.printf.cpp (test_errno): Exercised %{m} and %{*m} with errno of 0.

2007-07-12  Martin Sebor  <sebor@roguewave.com>

	* makefile.rules (makedep): Quoted the definition of the shell variable
	depflags in case it contains spaces (as it does when using acc.config)
	to correct a regression introduced in r555061 made to address issue
	STDCXX-481.

2007-07-12 Farid Zaripov <Farid_Zaripov@epam.com>

	* exec.cpp [WIN32]: Added map between NT_STATUS values and UNIX signals.
	(exec_file) [WIN32]: Translate exit code to signal value using map.
	* runall.cpp [WIN32]: Removed #include'ing of signal.h and windows.h.

2007-07-11  Martin Sebor  <sebor@roguewave.com>

	* wchar.h (swprintf): Corrected a nonconforming signature, introduced
	in r554281 to address STDCXX-472, to one taking size_t as the second
	argument.
	(mbrlen): Corrected signature to take const char* as the first argument.

2007-07-11  Martin Sebor  <sebor@roguewave.com>

	* acc.config (CXX): Removed the assumption introduced in r543687
	made to addressSTDCXX-434 that the version number is followed by
	a timestamp (or anything at all) since in versions prior to aCC
	6.13 (and whatever the equivalent ends up being on PA), it's not.

2007-07-11 Farid Zaripov <Farid_Zaripov@epam.com>

	* ctype.cpp (do_narrow): Return ch instead of dfault if conversion table not defined.

2007-07-11 Farid Zaripov <Farid_Zaripov@epam.com>

	* runall.wsf: Added processing of FORMAT, NOUT, TRAP status.

2007-07-11 Farid Zaripov <Farid_Zaripov@epam.com>

	* exec.cpp (exec_file) [_WIN32]: Translate STATUS_BREAKPOINT exit code into SIGTRAP.

2007-07-10  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.globals.mt.cpp (opt_facets, opt_no_exceptions): Flags
	flags for the new command line options --enable/disable-<facet>
	and --no-exceptions.
	(test_has_facet, test_use_facet): Disabled/enabbled tests of
	individual facets in response to command line options.
	(run_test): When a facet is explicitly enabled using a command
	line option disabled all the rest that weren't also explicitly
	enabled.
	(main): Added command line options and "handlers."

2007-07-10  Martin Sebor  <sebor@roguewave.com>

	* thread.cpp (rw_get_cpus): Used _SC_NPROCESSORS_ONLN when #defined.

2007-07-10  Martin Sebor  <sebor@roguewave.com>

	* thread.cpp (rw_get_cpus): Used sysconf() to try to determine
	the number of processors programmatically for efficiency before
	invoking a shell script to read system files.

2007-07-10  Martin Sebor  <sebor@roguewave.com>

	STDCXX-482
	* LIMITS.cpp (compute_limits): Used the first argument to pass in
	a pointer to a value for the function to use in integer arithmetic
	involving (signed) overflow which with some aggressive optimizers
	such as Sun Studio 12 aka Sun C++ 5.9 leads to undefined behavior.
	(main): Introduced MKLIMITS() macro for convenience.

2007-07-10  Michael van der Westhuizen <r1mikey@gmail.com>
	    Martin Sebor  <sebor@roguewave.com>

	STDCXX-470
	STDCXX-479
	STDCXX-481
	* sunpro.config (CCMAJOR, CCMINOR): New variables for the major
	and minor version of the compiler.
	(DEPENDFLAGS.cpp, DEPENDFLAGS.S): New variables for compiler options
	to generate makefile dependencies from C++ and assembly source files,
	respectively.
	(wide_flags): Set to -m64 for Sun C++ 5.9 and beyond, and for 5.8
	and prior to -xarch=v9 on SPARC and to -xarch=amd64 on AMD64.
	(narrow_flags): Set to -m32 for Sun C++ 5.9 and beyond, and for C++
	5.8 and prior to -xarch=v8 on SPARC, -xarch=386 on AMD64, and to
	-xarch=generic otherwise.
	* makefile.rules (makedep): Used DEPENDFLAGS$(depsuffix) to set
	compiler options to generate makefile dependencies.
	(depsuffix): Defined a target-specific variable to the suffix of
	the first prerequisite of the %.d pattern rule used to generate
	makefile dependencies.
	(DEPENDFLAGS, DEPENDFLAGS.cpp, DEPENDFLAGS.S, DEPENDFLAGS.s): Set
	appropriately when not defined or empty, and guarded .d: %.cpp and
	%.d: %$(AS_EXT) pattern rules.
	(GNUmakefile.cfg): Commented out make variables whose names do not
	form valid shell variable names (i.e., those containing periods)
	from the gernerated vars.sh file.
	* GNUmakefile (DEPENDFLAGS, DEPENDFLAGS.cpp, DEPENDFLAGS$(AS_EXT):
	Wrote definitions to the generated makefile.in.

2007-07-10 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-508
	* catalog.cpp (catopen): while() loop replaced to for() loop
	with checking for max iterations.

2007-07-10 Farid Zaripov <Farid_Zaripov@epam.com>

	* icc-10.0-x64.config: Added svn:eol-style = native, svn:keywords = Id properties.
	* icc-10.0.config: The same.

2007-07-09 Andrew Black <ablack@roguewave.com>
	* icc-10.0-x64.config: Add (untested) config file for the 64-bit Intel
	10.0 compiler for Windows.
	* icc-10.0.config: Add (untested) config file for the 32-bit Intel
	10.0 compiler for Windows. 

2007-07-09  Martin Sebor  <sebor@roguewave.com>

	* atomic_xchg.cpp (run_test): Documented algorithm used to compute
	the expected value of the shared variable manipulated by threads.

2007-07-09 Farid Zaripov <Farid_Zaripov@epam.com>

	* projects.js (CreateProjectsDefs): Turn on RTTI for rwtest project.

2007-07-09  Martin Sebor  <sebor@roguewave.com>

	* wchar.h (swprintf): Avoided declaring function for MSVC 8 so as
	not to cause a collision with the compiler's own horribly hacked up
	declaration.

2007-07-09 Farid Zaripov <Farid_Zaripov@epam.com>

	* makefile.rules: Set TZ environment variable (needed by examples).

2007-07-09  Martin Sebor  <sebor@roguewave.com>

	* wchar.h (wmemcmp): Corrected declaration introduced in r554281
	to address STDCXX-472.

2007-07-08  Martin Sebor  <sebor@roguewave.com>

	STDCXX-478
	* locale_eq.cpp (operator==): Removed the assumption that the same
	user-defined facets must be stored at the same index in the array
	in order for two locales in which they are installed to compare
	equal.

2007-07-08  Martin Sebor  <sebor@roguewave.com>

	STDCXX-477
	* locale_eq.cpp (operator==): Considered the names of locales when
	all their standard and byname facet masks are the same and all their
	facet pointers are the same.

2007-07-08  Martin Sebor  <sebor@roguewave.com>

	* driver.cpp [Linux] (UTS_RELEASE): Removed conditionally-defined
	helper macro in favor of _RWSTD_LINUX_RELEASE.
	(__x86_64__): Moved check above __amd64__ and other x86 arches
	whose macros are always defined (e.g., __pentiumpro__).

2007-07-08  Martin Sebor  <sebor@roguewave.com>

	* UNAME.cpp (print_os_version): Factored OS-specific code from main
	into here.
	(print_linux_release): New function to determine the release of Linux
	from /etc/xxx-release and #define the _RWSTD_LINUX_RELEASE macro.

2007-07-08  Martin Sebor  <sebor@roguewave.com>

	STDCXX-395
	* etc/config/src/LIMITS.cpp (_RWSTD_WCHAR_T_MAX, _RWSTD_WCHAR_T_MIN,
	_RWSTD_WCHAR_T_SIZE): Renamed to _RWSTD_WCHAR_MAX, _RWSTD_WCHAR_MIN,
	and _RWSTD_WCHAR_SIZE, respectively, for consistency with the libc
	macros.
	* tests/src/locale.cpp: Same.
	* tests/src/char.cpp: Same.
	* tests/src/printf.cpp: Same.
	* tests/localization/22.locale.codecvt.out.cpp: Same.
	* tests/self/0.printf.cpp: Same.
	* include/limits: Same.
	* include/tr1/cstdint: Same.
	* include/ansi/_cwchar.h: Same.
	* src/wctype.cpp: Same.
	* src/wcodecvt.cpp: Same.
	* util/ctype.cpp: Same.
	* util/charmap.cpp: Same.

2007-07-08  Martin Sebor  <sebor@roguewave.com>

	STDCXX-474
	* valarray (slice_array): Renamed the implementation-specific member
	get_slice() to _C_get_slice() to prevent it from clashing with macros
	of the same name in the user namespace.
	(gslice_array): Same.
	(mask_array): Renamed get_array() and get_array_pt() to _C_get_array()
	and _C_get_array_ptr() for the same reason as above.
	(indirect_array): Same.
	(__rw_unary_function, __rw_binary_function): Same.

2007-07-07  Martin Sebor  <sebor@roguewave.com>

	STDCXX-472
	* wchar.h (WCHAR_MAX, WCHAR_MIN): #defined macros when they're not
	#defined in the system header.
	(mbstate_t): Defined typedef when not defined in system header.
	(fwprintf, fwscanf, swprintf, swscanf, vfwprintf, vfwscanf, vwprintf,
	vwscanf, mbrlen, mbrtowc, mbsinit, mbsrtowcs, wcrtomb, wcsrtombs,
	wcschr, wcsrchr, wcsstr, wmemchr, wmemcmp, wmemcpy, wmemmove, wmemset,
	wprintf, wscanf): Declared functions (including C++ overloads wherever
	appropriate) when not declared in system header.

2007-07-07  Martin Sebor  <sebor@roguewave.com>

	STDCXX-125
	* wchar.h (wctob): Added a declaration for wctob() when it's not
	provided in the system header. 

2007-07-06  Martin Sebor  <sebor@roguewave.com>

	* ctype_bits.cpp (_RWSTD_NO_V3_LOCALE): Removed unnecessary guards
	and replaces references to _V3_LOCALE with _STD and std, whichever
	is appropriate.
	* time_get.cpp: Same.
	* iso2022.cpp: Same.
	* wctype.cpp: Same.
	* iso2022.h: Same.
	* locale_bits.cpp: Same.
	* locale_eq.cpp: Same.
	* codecvt.cpp: Same.
	* locale_name.cpp: Same.
	* locale_classic.cpp: Same.
	* locale_core.cpp: Same.
	* wcodecvt.cpp: Same.
	* locale_global.cpp: Same.
	* locale_body.h: Same.
	* locale_combine.cpp: Same.

2007-07-06  Martin Sebor  <sebor@roguewave.com>

	* _facet.h (_V3_LOCALE): Replaced a vestige from stdcxx 2 with _STD.
	(_C_factory_f): Removed unused typedef.

2007-07-06  Martin Sebor  <sebor@roguewave.com>

	STDCXX-469
	* _facet.h (__rw_facet): Declared ctor and dtor protected.

2007-07-06  Martin Sebor  <sebor@roguewave.com>

	* mman.h: Header with declarations of portability helper functions
	for the manipulation of memory mapped files.
	* mman.cpp: Definitions of the said helpers.
	* facet.cpp (__rw_mmap, __rw_unmmap): Moved functions to mman.cpp.

2007-07-06 Farid Zaripov <Farid_Zaripov@epam.com>

	* sstream.cc (xsputn): __off declared as _RWSTD_PTRDIFF_T (was int).

2007-07-06 Farid Zaripov <Farid_Zaripov@epam.com>

	* sstream.cc (xsputn): Allow to pass internal buffer as method parameter.

2007-07-06 Farid Zaripov <Farid_Zaripov@epam.com>

	* 27.stringbuf.virtuals.cpp: #define EOF as unique value;
	(test_virtual): Assign arg0 and ret_expect to Traits::eof() if EOF passed.

2007-07-05  Martin Sebor  <sebor@roguewave.com>

	* use_facet.h (_RWSTD_DEFINE_FACET_FACTORY): Documented macro
	and "constified" a local variable in its definition.

2007-07-05  Martin Sebor  <sebor@roguewave.com>

	* stdexcept (range_error, domain_error, runtime_error): Declared
	virtual destructors instead of relying on the compiler to generate
	them automatically to avoid generating the class vtable in every
	translation unit that uses each of the classes.
	* range_error.cpp: Defined range_error destructor.
	* domain_error.cpp: Defined domain_error destructor.
	* runtime_error.cpp: Defined runtime_error destructor.

2007-07-05  Martin Sebor  <sebor@roguewave.com>

	STDCXX-457
	* limits.c: Updated license statement.
	* valarray.c: Ditto.
	* deque.c: Ditto.
	* rw/_tree.c: Ditto.
	* rw/_algobase.c: Ditto.
	* rw/_heap.c: Ditto.
	* rw/_basic_ios.c: Ditto.
	* rw/_ioinsert.c: Ditto.
	* list.c: Ditto.
	* bitset.c: Ditto.
	* fstream.c: Ditto.
	* istream.c: Ditto.
	* string.c: Ditto.
	* ostream.c: Ditto.
	* sstream.c: Ditto.
	* algorithm.c: Ditto.
	* vector.c: Ditto.
	* streambuf.c: Ditto.

2007-07-05 Farid Zaripov <Farid_Zaripov@epam.com>

	* 0.new.cpp: Catch SIGSEGV signal as SIGABRT.

2007-07-05  Martin Sebor  <sebor@roguewave.com>

	STDCXX-457
	* _moneypunct.c: Updated license statement.
	* _messages.c: Ditto.
	* _numpunct.c: Ditto.
	* _collate.c: Ditto.
	* _money_get.c: Ditto.
	* _time_get.c: Ditto.
	* _num_get.c: Ditto.
	* _money_put.c: Ditto.
	* _ctype.c: Ditto.
	* _time_put.c: Ditto.
	* _num_put.c: Ditto.
	* _codecvt.c: Ditto.
	* _punct.c: Ditto.

2007-07-05 Farid Zaripov <Farid_Zaripov@epam.com>

	* 27.ostream.cpp (test_formatted): Don't check os.width(0) if
	_RWSTD_NO_EXT_KEEP_WIDTH_ON_FAILURE defined.

2007-07-04  Martin Sebor  <sebor@roguewave.com>

	* 27.ostream.cpp (test_flush): Added a comment documenting
	the test for LWG issue 581.

2007-07-04 Farid Zaripov <Farid_Zaripov@epam.com>

	* locale.cpp: Use "dir /B" command on Windows instead of "ls -1"

2007-07-03 Farid Zaripov <Farid_Zaripov@epam.com>

	* 21.string.access.cpp (test_access): Avoid use rw_match() for
	comparing the single characters.
	* 21.string.copy.cpp (test_copy): Ditto.

2007-07-03  Martin Sebor  <sebor@roguewave.com>

	* xbuildgen: Utility to generate cross-build results from multiple
	stdcxx build logs.

2007-07-02  Martin Sebor  <sebor@roguewave.com>

	* sstream (str): Corrected formatting problems.

2007-06-29  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.globals.mt.cpp (<cwchar>): #included for mbstate_t.

2007-06-28  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.cons.mt.cpp: New test exercising the thread safety
	of locale ctors.
	* 22.locale.globals.mt.cpp: New test exercising the thread safety
	of therequired specializations of the std::has_facet and
	std::use_facet function templates.

2007-06-28  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.num.put.cpp (inf_nan_test): New function template
	to exercise the formatting of infinities and, when enabled,
	(quiet) NaNs, including STDCXX-461.

2007-06-28  Martin Sebor  <sebor@roguewave.com>

	STDCXX-461
	* num_put.cpp (__rw_fix_flt): Corrected the formatting of Infinities
	and NaN's when precision exceeds the length of the formatted string.

2007-06-28  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.moneypunct.mt.cpp [_REENTRANT] (main): Set the number
	of nthreads to the greater of the number of processors and 2 (for
	uniprocessor systems) by default.
	* 22.locale.money.put.mt.cpp: Same.
	* 22.locale.numpunct.mt.cpp: Same.
	* 22.locale.num.put.mt.cpp: Same.
	* 22.locale.time.put.mt.cpp: Same.

2007-06-28  Martin Sebor  <sebor@roguewave.com>

	* thread.cpp [Linux] (rw_get_cpus): Avoided invoking system utilities
	such as cat and grep using absolute pathnames since they are installed
	in different directories on different distributions of Linux (e.g.,
	grep is in /bin on Red Hat Linux but in /usr/bin on SuSE).

2007-06-27  Martin Sebor  <sebor@roguewave.com>

	* rw_locale.h (rw_opt_locales): New constant pointing to a
	NUL-separated list of locale names specified by the --locales
	command line option (set by the rw_opt_setlocales handler).
	(rw_opt_setlocales): Callback function invoked in response to
	the --locales=<locale-list> command line option to set the
	rw_opt_locales global variable to a NUL-separated list of
	locale names to exercise.
	* locale.cpp (<cstdio>): Avoided #including C++ header (the C
	header is sufficient and preferable).
	(rw_create_locale): Removed std:: qualification from C library
	names.
	(_rw_locale_names): Static global helper.
	(rw_opt_locales): Defined and initialized to refer to the above.
	(rw_opt_setlocale): Defined.
	* 22.locale.moneypunct.mt.cpp (run_test): Used rw_opt_locales.
	(rw_opt_setlocales): Removed definition.
	* 22.locale.time.put.mt.cpp (rw_opt_nthreads): Initialzed to 1,
	and overwrote in main() with the result of rw_get_cpus() when
	thread safety is being exercised.
	(run_test): Used rw_opt_locales.
	(main): Used rw_opt_setlocales to handle the --locales option.
	* 22.locale.num.put.mt.cpp: Same.
	* 22.locale.numpunct.mt.cpp: Same.
	* 22.locale.money.put.mt.cpp: Same.

2007-06-27  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.moneypunct.mt.cpp: Rewrote so as not to rely on localeconv
	but retrieve the "master" data from the C++ locale instead instead.
	(thread_loop_body): Factored out the body of thread_func here.
	(get_format): Removed.
	(rw_opt_nloops): Reduced from 2000000 to 10000 and set to the number
	of tested locales in non-reentrant configurations to speed things up.
	(rw_opt_setlocales): Callback function to process --locales option.
	(main): Set rw_opt_nthreads to rw_get_cpus() in thread-safe configs.
	(--locale=<arg>): New command line option to specify the names of
	locales to test.

2007-06-27  Martin Sebor  <sebor@roguewave.com>

	* locale.cpp [Solaris] (rw_locales): Avoided all locale names
	starting with "iso_8859_" and the name "common" on SunOS, not
	just iso_8859_1. They're all known to cause setlocale() to
	fail.

2007-06-27 Farid Zaripov <Farid_Zaripov@epam.com>

	* thread.cpp (rw_get_cpus) [_WIN32]: Added Windows version of the function.

2007-06-26  Martin Sebor  <sebor@roguewave.com>

	* rw_thread.h (rw_get_cpus): New function to determine the number
	of processors on the system.
	* thread.cpp (rw_get_cpus): Defined it.
	(rw_thread_pool): Called rw_get_cpus() to set nthreads when the
	argument is equal to SIZE_MAX.

2007-06-26 Farid Zaripov <Farid_Zaripov@epam.com>

	* projects.js (CreateProjectsDefs): Enable RTTI in stdcxx project.

2007-06-26 Farid Zaripov <Farid_Zaripov@epam.com>

	* _iosbase.h: Fixed references to standard.

2007-06-26 Farid Zaripov <Farid_Zaripov@epam.com>

	* 22.locale.ctype.is.cpp: Added svn:eol-style=native property.
	* 22.locale.ctype.narrow.cpp: Ditto.
	* 22.locale.ctype.scan.cpp Ditto.
	* 22.locale.ctype.tolower.cpp Ditto.
	* 22.locale.ctype.toupper.cpp Ditto.
	* 22.locale.money.put.mt.cpp Ditto.
	* 22.locale.moneypunct.cpp Ditto.
	* 22.locale.moneypunct.mt.cpp Ditto.
	* 22.locale.num.put.mt.cpp Ditto.
	* 22.locale.numpunct.mt.cpp Ditto.
	* 22.locale.time.put.mt.cpp Ditto.

2007-06-26 Farid Zaripov <Farid_Zaripov@epam.com>

	* 22.locale.money.put.mt.cpp: Added Ios::ios() invoking ios_base::init(0).
	* 22.locale.num.put.mt.cpp: The same.
	* 22.locale.time.put.mt.cpp: The same.

2007-06-26 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-462
	* moneyput.cpp (main): Create named std::locale object instead of unnamed.
	* num_get.cpp (main): Ditto.
	* time_get.cpp (main): Ditto.

2007-06-25 Farid Zaripov <Farid_Zaripov@epam.com>

	* 22.locale.ctype.is.cpp: Check the pointer before dereferencing of it.
	* 22.locale.ctype.narrow.cpp: Ditto.
	* 22.locale.ctype.scan.cpp: Ditto.
	* 22.locale.ctype.tolower.cpp: Ditto.
	* 22.locale.ctype.toupper.cpp: Ditto.

2007-06-25 Farid Zaripov <Farid_Zaripov@epam.com>

	* projects.js (CreateProjectsDefs): Enable RTTI for all tests.

2007-06-23  Martin Sebor  <sebor@roguewave.com>

	STDCXX-457
	* ascii.cm: Updated license statement and restored
	original contents.
	* C.src: Ditto.

2007-06-23  Martin Sebor  <sebor@roguewave.com>

	STDCXX-457
	* podarray.cc: Updated license statement.
	* podarray.c: Same.
	* version.cpp: Updated copyright.

2007-06-23  Martin Sebor  <sebor@roguewave.com>

	STDCXX-457
	* loc_exception.h: Updated license statement.
	* memchk.h: Same.
	* path.cpp: Same.
	* iconv.cpp: Same.
	* localedef.h: Same.
	* aliases.h: Same.

2007-06-23  Martin Sebor  <sebor@roguewave.com>

	STDCXX-457
	* tr1/array: Updated license statement.
	* ansi/csignal: Same.
	* ansi/cstdio: Same.
	* ansi/cstdarg: Same.
	* ansi/ciso646: Same.
	* ansi/climits: Same.
	* ansi/cstring: Same.
	* ansi/cstddef: Same.
	* ansi/cwctype: Same.
	* ansi/cstdlib: Same.
	* ansi/cctype: Same.
	* ansi/cerrno: Same.
	* ansi/cmath: Same.
	* ansi/ctime: Same.
	* ansi/clocale: Same.
	* ansi/cassert: Same.
	* ansi/csetjmp: Same.
	* ansi/cfloat: Same.
	* iostream: Same.
	* numeric: Same.
	* utility: Same.
	* memory: Same.
	* iterator: Same.
	* functional: Same.
	* istream: Same.
	* algorithm: Same.
	* typeinfo: Same.
	* exception: Same.
	* locale: Same.
	* strstream: Same.
	* new: Same.
	* ios: Same.

2007-06-23  Martin Sebor  <sebor@roguewave.com>

	STDCXX-457
	* loc/_time_get.cc: Updated license statement.
	* loc/_convenience.h: Same.
	* loc/_moneypunct.h: Same.
	* loc/_messages.h: Same.
	* loc/_numpunct.h: Same.
	* loc/_money_put.cc: Same.
	* loc/_facet.h: Same.
	* loc/_collate.h: Same.
	* loc/_codecvt.cc: Same.
	* loc/_punct.cc: Same.
	* loc/_moneypunct.cc: Same.
	* loc/_numpunct.cc: Same.
	* loc/_collate.cc: Same.
	* loc/_ctype.cc: Same.
	* loc/_time_put.cc: Same.
	* loc/_num_put.h: Same.
	* loc/_codecvt.h: Same.
	* loc/_punct.h: Same.
	* rw/_iosfailure.h: Same.
	* rw/_relops.h: Same.
	* rw/_heap.cc: Same.
	* rw/_file.h: Same.
	* rw/_funcbase.h: Same.
	* rw/_error.h: Same.
	* rw/_basic_ios.cc: Same.
	* rw/_bitmask.h: Same.
	* rw/_iosfwd.h: Same.
	* rw/_tree.cc: Same.
	* rw/_exception.h: Same.
	* rw/_typetraits.h: Same.
	* rw/_algobase.cc: Same.
	* rw/_heap.h: Same.
	* rw/_rawiter.h: Same.
	* rw/_allocator.h: Same.
	* rw/_math.h: Same.
	* rw/_new.h: Same.
	* ansi/_cmath.h: Same.
	* ansi/_ctime.h: Same.
	* ansi/_clocale.h: Same.
	* ansi/limits.h: Same.
	* ansi/_cassert.h: Same.
	* ansi/_csetjmp.h: Same.
	* ansi/float.h: Same.
	* ansi/_cwchar.h: Same.
	* ansi/stddef.h: Same.
	* ansi/wctype.h: Same.
	* ansi/stdlib.h: Same.
	* ansi/stdio.h: Same.
	* ansi/_cctype.h: Same.
	* ansi/_cstdarg.h: Same.
	* ansi/_cerrno.h: Same.
	* ansi/math.h: Same.
	* ansi/time.h: Same.
	* ansi/locale.h: Same.
	* ansi/assert.h: Same.
	* ansi/setjmp.h: Same.
	* ansi/wchar.h: Same.
	* ansi/_cfloat.h: Same.
	* ansi/_cstring.h: Same.
	* ansi/_cstddef.h: Same.
	* ansi/_cwctype.h: Same.
	* ansi/signal.h: Same.
	* ansi/_cstdio.h: Same.
	* ansi/ctype.h: Same.
	* ansi/stdarg.h: Same.
	* ansi/errno.h: Same.
	* vector_spec.h: Same.
	* deque.cc: Same.
	* ostream.cc: Same.
	* list.cc: Same.
	* limits.cc: Same.
	* deque_spec.h: Same.
	* list_spec.h: Same.

2007-06-23  Martin Sebor  <sebor@roguewave.com>

	STDCXX-457
	* catalog.h: Updated license statement.
	* access.h: Same.
	* use_facet.h: Same.
	* iso2022.h: Same.
	* setlocale.h: Same.
	* version.cpp: Same.
	* iosdata.h: Same.
	* locale_body.h: Same.
	* strtol.h: Same.

2007-06-23  Martin Sebor  <sebor@roguewave.com>

	STDCXX-457
	* rwstdmessages.h: Updated license statement.
	* replace.h: Same.
	* codecvte.h: Same.
	* examples.h: Same.
	* valarray.h: Same.
	* memfunref.h: Same.
	* alg3.h: Same.
	* widwork.h: Same.
	* stocks.h: Same.
	* teller.h: Same.

2007-06-23  Martin Sebor  <sebor@roguewave.com>

	STDCXX-457
	* 2.smartptr.shared.cpp: Updated license statement.
	* 2.smartptr.weak.cpp: Same.
	* 27.objects.cpp: Same.
	* rw_alarm.h: Same.
	* rw_printf.h: Same.
	* environ.h: Same.
	* valcmp.h: Same.
	* cmdopt.h: Same.
	* opt_lines.h: Same.
	* opt_diags.cpp: Same.
	* opt_types.h: Same.
	* opt_lines.cpp: Same.
	* opt_diags.h: Same.
	* opt_types.cpp: Same.
	* any.cpp: Same.
	* 21.cctype.cpp: Same.
	* 21.string.access.cpp: Same.
	* 0.new.cpp: Same.
	* 23.deque.iterators.cpp: Same.
	* 19.cerrno.cpp: Same.

2007-06-23  Martin Sebor  <sebor@roguewave.com>

	STDCXX-457
	* icecream.cpp: Updated license statement.
	* graph.cpp: Same.
	* complx.cpp: Same.
	* calc.cpp: Same.
	* stocks.cpp: Same.
	* radix.cpp: Same.
	* sieve.cpp: Same.
	* spell.cpp: Same.
	* alg1.cpp: Same.
	* alg2.cpp: Same.
	* widwork.cpp: Same.
	* alg3.cpp: Same.
	* alg4.cpp: Same.
	* concord.cpp: Same.
	* teller.cpp: Same.
	* alg5.cpp: Same.
	* alg6.cpp: Same.
	* tele.cpp: Same.
	* alg7.cpp: Same.
	* heap_ops.cpp: Same.
	* toupper.cpp: Same.
	* rotate.cpp: Same.
	* map.cpp: Same.
	* mismatch.cpp: Same.
	* search.cpp: Same.
	* find_end.cpp: Same.
	* includes.cpp: Same.
	* partial_sort.cpp: Same.
	* messages.cpp: Same.
	* transform.cpp: Same.
	* codecvt1.cpp: Same.
	* replace.cpp: Same.
	* partial_sum.cpp: Same.
	* lex_compare.cpp: Same.
	* max.cpp: Same.
	* strstreambuf.cpp: Same.
	* set_diff.cpp: Same.
	* fill.cpp: Same.
	* set_intr.cpp: Same.
	* setex.cpp: Same.
	* bitset.cpp: Same.
	* distance.cpp: Same.
	* random_shuffle.cpp: Same.
	* auto_ptr.cpp: Same.
	* time_get.cpp: Same.
	* remove.cpp: Same.
	* has_facet.cpp: Same.
	* funct_ob.cpp: Same.
	* slice.cpp: Same.
	* mutex.cpp: Same.
	* stringbuf.cpp: Same.
	* stack.cpp: Same.
	* string.cpp: Same.
	* complex.cpp: Same.
	* ul_bound.cpp: Same.
	* isalnum.cpp: Same.
	* swap.cpp: Same.
	* ifstream.cpp: Same.
	* istreambuf_iterator.cpp: Same.
	* valarray.cpp: Same.
	* ostreambuf_iterator.cpp: Same.
	* collate.cpp: Same.
	* adj_diff.cpp: Same.
	* count.cpp: Same.
	* multimap.cpp: Same.
	* negator.cpp: Same.
	* multiset.cpp: Same.
	* pnt2fnct.cpp: Same.
	* indirect_array.cpp: Same.
	* locale.cpp: Same.
	* moneypunct.cpp: Same.
	* wostream.cpp: Same.
	* advance.cpp: Same.
	* vector.cpp: Same.
	* deque.cpp: Same.
	* accumulate.cpp: Same.
	* equal.cpp: Same.
	* copyex.cpp: Same.
	* list.cpp: Same.
	* reverse.cpp: Same.
	* num_get.cpp: Same.
	* permutation.cpp: Same.
	* find.cpp: Same.
	* moneyput.cpp: Same.
	* ctype.cpp: Same.
	* queue.cpp: Same.
	* strstream.cpp: Same.
	* max_elem.cpp: Same.
	* sort.cpp: Same.
	* mask_array.cpp: Same.
	* num_put.cpp: Same.
	* istringstream.cpp: Same.
	* generate.cpp: Same.
	* slice_array.cpp: Same.
	* nthelem.cpp: Same.
	* gslice_array.cpp: Same.
	* istrstream.cpp: Same.
	* rwexcept.cpp: Same.
	* fstream.cpp: Same.
	* set_union.cpp: Same.
	* for_each.cpp: Same.
	* unique.cpp: Same.
	* gslice.cpp: Same.
	* use_facet.cpp: Same.
	* filebuf.cpp: Same.
	* memfunref.cpp: Same.
	* istream1.cpp: Same.
	* binders.cpp: Same.
	* stream_iterator.cpp: Same.
	* wstringstream.cpp: Same.
	* memfunc.cpp: Same.
	* find_first_of.cpp: Same.
	* equal_range.cpp: Same.
	* inner_product.cpp: Same.
	* insert_iterator.cpp: Same.
	* priority_queue.cpp: Same.
	* partition.cpp: Same.
	* set_sym_diff.cpp: Same.

2007-06-23  Martin Sebor  <sebor@roguewave.com>

	STDCXX-457
	* ti_istream.cpp: Updated license statement.
	* ti_stringbuf.cpp: Same.
	* ti_string.cpp: Same.
	* ti_wmoney_put.cpp: Same.
	* ctype_bits.cpp: Same.
	* ti_ostream.cpp: Same.
	* memory.cpp: Same.
	* ti_wstreambuf.cpp: Same.
	* ti_collate.cpp: Same.
	* ti_insert_dbl.cpp: Same.
	* strtol.cpp: Same.
	* ti_wistream.cpp: Same.
	* ti_wnumpunct.cpp: Same.
	* ti_moneypunct.cpp: Same.
	* ti_wostream.cpp: Same.
	* time_get.cpp: Same.
	* iso2022.cpp: Same.
	* ti_winsert_int.cpp: Same.
	* limits.cpp: Same.
	* ti_numpunct.cpp: Same.
	* ti_wcollate.cpp: Same.
	* ti_wmoney_get.cpp: Same.
	* ti_money_put.cpp: Same.
	* ti_winsert_ptr.cpp: Same.
	* ti_num_put.cpp: Same.
	* ti_streambuf.cpp: Same.
	* ti_ios.cpp: Same.
	* locale_core.cpp: Same.
	* ti_wstring.cpp: Same.
	* typeinfo.cpp: Same.
	* assert.cpp: Same.
	* ti_winsert_dbl.cpp: Same.
	* ti_wtime_put.cpp: Same.
	* ti_wnum_put.cpp: Same.
	* ios_bits.cpp: Same.
	* ti_wios.cpp: Same.
	* rwstderr.cpp: Same.
	* locale_bits.cpp: Same.
	* random.cpp: Same.
	* ti_money_get.cpp: Same.
	* ti_time_put.cpp: Same.
	* ti_wmoneypunct.cpp: Same.
	* locale_eq.cpp: Same.
	* strstream.cpp: Same.
	* version.cpp: Same.
	* ti_wstringbuf.cpp: Same.
	* num_put.cpp: Same.
	* codecvt.cpp: Same.
	* vecbool.cpp: Same.
	* ios.cpp: Same.
	* ti_num_get.cpp: Same.
	* catalog.cpp: Same.
	* ti_wmessages.cpp: Same.
	* locale_name.cpp: Same.
	* locale_classic.cpp: Same.
	* ti_messages.cpp: Same.
	* ti_insert_int.cpp: Same.
	* locale_global.cpp: Same.
	* ti_wtime_get.cpp: Same.
	* ti_wnum_get.cpp: Same.
	* limits_bits.cpp: Same.
	* ti_insert_ptr.cpp: Same.
	* ti_time_get.cpp: Same.
	* locale_combine.cpp: Same.

2007-06-22  Martin Sebor  <sebor@roguewave.com>

	* 30-3.html: Added a note about the effects of ios::out creating
	a file when it doesn't exist.

2007-06-22 Farid Zaripov <Farid_Zaripov@epam.com>

	* _error.h(__rw_free_what_buf): Removed inline in declaration.
	* exception.cpp(__rw_free_what_buf): The same.

2007-06-22 Farid Zaripov <Farid_Zaripov@epam.com>

	* projects.js (CreateProjectsDefs): Set TZ environment variable before run examples.

2007-06-22 Farid Zaripov <Farid_Zaripov@epam.com>

	* _error.h: Put _RWSTD_EXPORT before the return type for
	consistency between declaration and definition.

2007-06-22 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-454
	* _error.h: Added declaration of the __rw_free_what_buf.
	* exception.cpp (__rw_free_what_buf): Added _RWSTD_EXPORT to prototype.
	Added assertion on __rw_what_refcnt value.
	(_C_assign): If whatstr == __rw_what_buf, just reuse it without allocation
	of the new buffer.
	* rwexcept.cpp: Use __rw_free_what_buf() instead of delete[].

2007-06-22 Farid Zaripov <Farid_Zaripov@epam.com>

	* build.wsf (build): Limit infinite loop by 60 seconds.

2007-06-21  Farid Zaripov  <Farid_Zaripov@epam.com>

	* 18.exception.cpp (RW_SETJMP, RW_LONGJMP): Corrected logic errors
	introduced in r548112 and used setjmp() and longjmp() as opposed to
	sigsetjmp() and siglongjmp() except on Linux.

2007-06-21 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-293
	* exception.cpp (__rw_throw): Don't delete allocated what string because of
	__rw_throw_proc() takes ownership and must delete what string.

2007-06-21 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-293
	* exception.cpp (__rw_free_what_buf): New function to free buffer, allocated by __rw_vfmtwhat().
	Used __rw_free_what_buf() instead of delete[].

2007-06-21 Farid Zaripov <Farid_Zaripov@epam.com>

	* projects.js (CreateProjectsDefs): Added path to rwstdmessages.dll before run examples.

2007-06-21 Farid Zaripov <Farid_Zaripov@epam.com>

	* rwstdmessages.cpp (_rw_messages_version): Added missing '}'.
	* rwstdmessages.dll: Updated to valid WIN32 dll file.

2007-06-21 Farid Zaripov <Farid_Zaripov@epam.com>

	* time_manip.in: New input file for the time_manip.cpp example.

2007-06-19  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.numpunct.mt.cpp (<ios>): Removed #include directive.
	(run_test): Set LC_ALL rather than just LC_NUMERIC in order to
	get reliable results from mbstowcs().

2007-06-19  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.moneypunct.mt.cpp: New test exercising the thread safety
	of all four required specializations of the std::moneypunct facet.

2007-06-19  Martin Sebor  <sebor@roguewave.com>

	* punct.cpp (_RWSTD_NO_V3_LOCALE): Removed a dead guard.
	(_RWSTD_SIZE_T): Replaced with size_t throughout.
	Removed the :: scope resolution operator from references
	to C library functions.

2007-06-19  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.numpunct.mt.cpp: New test exercising the thread safety
	of the numpunct facet.

2007-06-19  Martin Sebor  <sebor@roguewave.com>

	* LOCALE_NAME_FMAT.cpp (test_locale_names, nlocales): Moved...
	* locale_names.h: ...to here so that it could be reused elsewhere.
	* THREAD_SAFE_LOCALE.cpp: New test to determine whether each thread
	has its own C locale environment that's independent of those of all
	other threads or whether the C locale facility is process global,
	i.e., shared among all threads.

2007-06-19 Farid Zaripov <Farid_Zaripov@epam.com>

	* configure.wsf (cleanQuit): New function to clean and quit.
	(configure): Use cleanQuit() instead of WScript.Quit().

2007-06-19 Farid Zaripov <Farid_Zaripov@epam.com>

	* build.wsf (build): Fix the "Call was Rejected By Callee" error.

2007-06-19 Farid Zaripov <Farid_Zaripov@epam.com>

	* proclimits.h: New file with process limit functions
	* NEW_THROWS.cpp: #included "proclimits.h"
	* GLOBAL_BAD_ALLOC.cpp: Ditto
	* STD_BAD_ALLOC.cpp: Ditto

2007-06-18  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.money.put.mt.cpp: New test exercising the thread safety
	of the money_put facet (including moneypunct).

2007-06-18  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.num.put.mt.cpp: New test exercising the thread safety
	of the required specializations of the num_put facet (including
	numpunct).

2007-06-18  Martin Sebor  <sebor@roguewave.com>

	STDCXX-4
	* 22.locale.time.put.mt.cpp: Test exercising the thread safety
	of the required specializations of the std::time_put facet.

2007-06-18  Martin Sebor  <sebor@roguewave.com>

	* 26.valarray.sub.stdcxx-448.cpp: Regression test for STDCXX-448.

2007-06-17  Scott Zhong  <scottz@roguewave.com>

	* 22.locale.ctype.is.cpp: Test exercising ctype::is()
	* 22.locale.ctype.narrow.cpp: Test exercising ctype::narrow().
	* 22.locale.ctype.scan.cpp: Test exercising the ctype::scan_xxx()
	family of functions.
	* 22.locale.ctype.tolower.cpp: Test exercising ctype::tolower().
	* 22.locale.ctype.toupper.cpp: Test exercising ctype::toupper().

2007-06-17  Scott Zhong  <scottz@roguewave.com>
	    Martin Sebor <sebor@roguewave.com>

	* rw_locale.h (rw_create_locale): New helper function to invoke
	the stdcxx localedef utility to create a stdcxx locale.
	* locale.cpp ((rw_create_locale): Defined.

2007-06-17  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.codecvt.out.cpp (mb_char_array_t, get_mb_char,
	find_mb_locale): Removed/replaced...
	(rw_mbchar_array_t, rw_find_mb_locale): ...with these replacement
	type and functions defined in the test driver.

2007-06-17  Martin Sebor  <sebor@roguewave.com>

	* rw_locale.h (rw_mbchar_array_t, rw_get_mb_chars, rw_find_mb_locale):
	New type and helper functions to retrieve locales that use multibyte
	encodings (where MB_CUR_MAX > 1).

2007-06-17  Martin Sebor  <sebor@roguewave.com>

	* 21.string.push_back.mt.cpp [!_RWSTD_REENTRANT](rw_opt_nthreads): Set
	to 1 in "single-threaded" builds.
	(thread_func, run_test): Removed gratuitous output.
	(run_test): Added rw_error() calls checking the successful creation
	of thread pools.

2007-06-17  Martin Sebor  <sebor@roguewave.com>

	* 21.string.cons.mt.cpp [!_RWSTD_REENTRANT](rw_opt_nthreads): Set
	to 1 in "single-threaded" builds.
	(run_test): Added rw_error() calls checking the successful creation
	of thread pools.

2007-06-17  Martin Sebor  <sebor@roguewave.com>

	* rw_thread.h: Added comments.

2007-06-17  Martin Sebor  <sebor@roguewave.com>

	* thread.cpp [!_RWSTD_REENTRANT] (rw_thread_pool): When not reentrant
	 (in non-thread safe builds) emulated the creation of a single thread
	and then waiting for it to finish by simply calling the thread
	procedure to simplify the logic in each test.

2007-06-17  Martin Sebor  <sebor@roguewave.com>

	* 18.exception.cpp (RW_JMP_BUF, RW_LONGJMP, RW_SETJMP): New macros
	to hide calls to siglongjmp() and sigsetjmp() on Linux while making
	calls to longjmp() and setjmp() everywhere else.
	(induce_exception): Used size_t instead of unsigned long
	as an argument to operator new().
	(SIGABRT_handler, test_terminate_handler, test_unexpected_handler):
	Used RW_LONGJMP() instead of plain longjmp().
	(test_runtime, run_test): Used RW_SETJMP() instead of plain setjmp().
	(run_test): Called test_effects() last to defer potential problems
	due to the tests returning (jumping) out of the handlers.

2007-06-17  Martin Sebor  <sebor@roguewave.com>

	* 0.printf.cpp (test_dec): Exercised long and long long formatting.
	(test_nested_format): Added comments.

2007-06-13  Martin Sebor  <sebor@roguewave.com>

	* 21.string.cons.mt.cpp: New test exercising the thread safety
	of a small subset of basic_string ctors and assignment operators.

2007-06-13 Farid Zaripov <Farid_Zaripov@epam.com>

	* money_manip.in: New input file for the money_manip.cpp example.

2007-06-13 Farid Zaripov <Farid_Zaripov@epam.com>

	* 27.stringbuf.members.stdcxx-427.cpp: new test from STDCXX-427 issue

2007-06-13 Farid Zaripov <Farid_Zaripov@epam.com>

	* runall.wsf (parseStatus): Parse OUTPUT status.
	(runAllExamples): Use OUTPUT status as successful result.

2007-06-13 Farid Zaripov <Farid_Zaripov@epam.com>

	* dynatype.out: Corrected example expected output.

2007-06-13 Farid Zaripov <Farid_Zaripov@epam.com>

	* except.out: Renamed...
	* failure.out: ...to this (see http://svn.apache.org/viewvc?view=rev&rev=544238).
	* insert_wchar.out: Added svn:eol-style=native property. Removed svn:keywords property.
	* mbsrtowcs.out: Ditto.
	* fmtflags_manip.out: Ditto.
	* wstringstream.out: Ditto.

2007-06-12 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-429
	* _config.h: #include "_config-msvc.h" only on MSVC.
	* _config-msvcrt.h: New file with configuration definitions of the MSVC CRT.
	* _config-icc.h [_WIN{32,64}]: #include "_config-msvcrt.h",
	added #pragma's to silence bogus warnings.
	* _config-msvc.h: #include "_config-msvcrt.h",
	MSVC CRT specific definitions moved to _config-msvcrt.h.

2007-06-12 Farid Zaripov <Farid_Zaripov@epam.com>

	* dynatype.out: Added svn:eol-style=native property.

2007-06-12 Farid Zaripov <Farid_Zaripov@epam.com>

	* runall.wsf (parseStatus): Increased width of the NAME column,
	according to http://svn.apache.org/viewvc?view=rev&rev=545641.

2007-06-12 Farid Zaripov <Farid_Zaripov@epam.com>

	* sstream (str): Method definition moved outside of the class definition.

2007-06-12 Farid Zaripov <Farid_Zaripov@epam.com>

	* cwchar: Added missing ';' in using declarations.

2007-06-11  Martin Sebor  <sebor@roguewave.com>

	* GNUmakefile.cfg (sane): Printed out the library version
	for which the config header is being generated.
	clean): Removed $(LOGFILE) from the list of files to remove
	by the target.

2007-06-08  Andrew Black  <ablack@roguewave.com>

STDCXX-440
	* GNUmakefile.exm (RUNFLAGS): Add --ulimit:as switch to limit examples
	to allocating 256 MB of memory (total)
	* GNUmakefile.tst (RUNFLAGS): Add --ulimit:as switch to limit tests to
	allocating 1 GB of memory (total)

2007-06-11  Martin Sebor  <sebor@roguewave.com>

	* money_manip.cpp (main): Corrected a trivial typo in a comment.

2007-06-09  Martin Sebor  <sebor@roguewave.com>

	STDCXX-446
	STDCXX-447
	* complex (pow, operator>>, operator<<): Removed inline definitions.
	* complex.cc (pow, operator>>, operator<<): Defined out-of-line and
	exported.
	* complex.c: #included complex.cc.
	* export.cpp (<complex>, complex.cc): #included.

2007-06-09  Martin Sebor  <sebor@roguewave.com>

	* dynatype.out: Expected output of tutorial/dynatype.cpp.

2007-06-09  Martin Sebor  <sebor@roguewave.com>

	* GNUmakefile (.DEFAULT): Recursed into $BUILDDIR/include.
	* GNUmakefile.cfg (realclean): Avoided removing config.h
	but cleaned out all object files.

2007-06-08  Martin Sebor  <sebor@roguewave.com>

	* display.cpp (print_header_plain, print_target_plain): Increased
	the width of the first column (NAME) to 30 characters.
	* output.cpp (check_test, check_test_compat): Set the state
	of targets that produce an empty output file to ST_NO_OUTPUT.

2007-06-08  Martin Sebor  <sebor@roguewave.com>

	* src/wctype.cpp (do_widen): Explicitly specified template argument
	list to work around HP aCC 3 and 5 bug resulting in Error 331: Illegal
	cast expression; cannot cast expression type '<no type>' to 'wchar_t'.
	See STDCXX-445.

2007-06-08 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-427
	* sstream (str): Function updated according to 27.7.1.2, p1

2007-06-07  Martin Sebor  <sebor@roguewave.com>

	STDCXX-439
	* vacpp.config (LDFLAGS): Added -Wl,-bh:5 to silence ld warning
	0711-224 (Duplicate symbol) for shared library linking with IBM
	VisualAge C++ 6.0.

2007-06-07  Martin Sebor  <sebor@roguewave.com>

	* vacpp.config (OPTMZ_CXXFLAGS): Replaced -qinline with the equivalent
	-Q for consistency with other single-letter options and documented.

2007-06-07  Martin Sebor  <sebor@roguewave.com>

	* _ctype.h (do_toupper, do_tolower, do_widen, do_narrow): Outlined
	virtual member functions of ctype<wchar_t> since they can almost
	never be inlined anyway.
	* wctype.cpp: Same.

2007-06-07  Martin Sebor  <sebor@roguewave.com>

	* xlC_version.sh: Added a comment listing known versions and PTF
	dates they correspond to.

2007-06-07  Martin Sebor  <sebor@roguewave.com>

	* xlC_version.sh: Restored detailed script output from stdcxx 4.1.3
	for VAC++ 6.0 (i.e., to include the last component) inadvertently
	removed in r518779.

2007-06-06  Martin Sebor  <sebor@roguewave.com>

	STDCXX-271
	* string (_RWSTD_NO_STRING_OUTLINED_MEMBER_TEMPLATES): New convenience
	macro #defined in response to the various conditions previously tested
	throughout the header and .cc file.
	(__rw_replace, __rw_replace_aux, replace): Guarded global and member
	functions with said macro.
	Replaced guards for specific version(s) of MSVC with the config macro
	_RWSTD_NO_MEMBER_TEMPLATES (tested by artificially defining the macro
	on the command line).
	* string.cc (__rw_replace, __rw_replace_aux, replace): Same as above.

2007-06-06 Farid Zaripov <Farid_Zaripov@epam.com>

	* GLOBAL_BAD_ALLOC.cpp: Use size_t type in new() instead of unsigned long.
	* STD_BAD_ALLOC.cpp: Ditto.

2007-06-06 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-422
	* GNUmakefile.lib [CYGWIN]: changed name of the library to libstd${BUILDTYPE}-X.Y.Z.dll
	* makefile.rules [CYGWIN]: add $(LIBDIR) to PATH

2007-06-06 Farid Zaripov <Farid_Zaripov@epam.com>

	* dynatype.cpp (copy): static_cast to const T& instead of T
	to avoid error on gcc 3.4.4/Cygwin: invalid static_cast from
	type `const dynatype' to type `int'.

2007-06-06 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-188
	* typeinfo.cpp: use ::_C_name or std::_C_name depending on _RWSTD_NO_STD_TYPE_INFO macro

2007-06-06 Farid Zaripov <Farid_Zaripov@epam.com>

	* 23.bitset.cons.stdcxx-297.cpp: new test from STDCXX-297 issue

2007-06-06 Farid Zaripov <Farid_Zaripov@epam.com>

	* 23.list.cons.stdcxx-268.cpp: new test from STDCXX-268 issue

2007-06-06 Farid Zaripov <Farid_Zaripov@epam.com>

	* 23.deque.special.stdcxx-127.cpp: new test from STDCXX-127 issue

2007-06-06 Farid Zaripov <Farid_Zaripov@epam.com>

	* 23.list.special.stdcxx-334.cpp: new test from STDCXX-334 issue

2007-06-06 Farid Zaripov <Farid_Zaripov@epam.com>

	* 23.list.insert.stdcxx-331.cpp: new test from STDCXX-331 issue

2007-06-05  Martin Sebor  <sebor@roguewave.com>

	* insert_wchar.cpp (main): Parenthesized a call to isalnum() to prevent
	macro expension in case the function happens to be (illegally) shadowed
	by a macro.

2007-06-05  Martin Sebor  <sebor@roguewave.com>

	* acc.config: Silenced excessively noisy remarks for aCC 6.10
	and beyond (causing build logs to exceed 15MB in size).

2007-06-05 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-188
	* typeinfo.cpp: silenced warning: _C_name was declared
	but never referenced

2007-06-05 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-105
	* README: Extended VisualStudio Setup Instructions;
	added VisualStudio Test Suite Build Instructions.

2007-06-04  Martin Sebor  <sebor@roguewave.com>

	* stdexcept.cpp: Removed output file (exact output depends on
	the compiler and on the location of stdcxx headers).

2007-06-04  Martin Sebor  <sebor@roguewave.com>

	* 18-4.html: Updated example program to match the latest code
	and added possible output.

2007-06-04  Martin Sebor  <sebor@roguewave.com>

	* exceptn.cpp: Moved...
	* stdexcept.cpp: ...to this.

2007-06-04  Martin Sebor  <sebor@roguewave.com>

	* exceptn.cpp: Renamed...
	* failure.cpp: ...to this.

2007-06-03  Martin Sebor  <sebor@roguewave.com>

	STDCXX-135
	* 0.printf.cpp (test_string): Added a test for the format being
	the empty string ("").

2007-06-01  Martin Sebor  <sebor@roguewave.com>

	STDCXX-434
	* acc.config (CCVER): Adjusted to the change in HP aCC -V output
	by searching for "A.NN.NN" as suggested by Dennis Handly.

2007-06-01  Martin Sebor  <sebor@roguewave.com>

	STDCXX-433
	* string.h (strpbrk): Added declaration and definition when
	the function is not declared in the system string.h header.

2007-06-01  Martin Sebor  <sebor@roguewave.com>

	STDCXX-432
	* _config.h (_config-eccp.h): Avoided #including when using HP aCC.
	* exception.cpp (stdarg.h): Used _RWSTD_EDG_ECCP to guard against
	inclusion when using EDG eccp based compilers including HP aCC 6.

2007-06-01  Martin Sebor  <sebor@roguewave.com>

	STDCXX-431
	* string.h (memchr): Added declaration and definition when
	the function is not declared in the system string.h header.

2007-05-31 Farid Zaripov <Farid_Zaripov@epam.com>

	* build.wsf (getBuildLog): New function to extract data from BuildLog.htm;
	(event_ProjectBuildStarted): Added checking function parameter != null;
	(event_ProjectBuildFinished): If Cfg == null find path to the BuildLog.htm
	in Output window;
	(BuildProject): Invoke event_ProjectBuildStarted() and
	event_ProjectBuildFinished() on ICC.
	* utilities.js (stipTags): Remove additional html tags from buildlog.

2007-05-30  Martin Sebor  <sebor@roguewave.com>

	* gcc.config: Made formatting consistent (4 space indents
	everywhere, at most 78 characters per line).

2007-05-30  Martin Sebor  <sebor@roguewave.com>

	STDCXX-369
	* gcc.config (LDSOFLAGS): For gcc 3.3 and prior added -shared-libgcc.

2007-05-30  Andrew Black  <ablack@roguewave.com>

	STDCXX-117
	* aliases.cpp [_RWSTD_NO_NL_LANGINFO] (<langinfo.h>): Guarded 
	against inclusion when the header is detected to be missing at 
	configuration time.
	* charmap.cpp [_RWSTD_NO_ICONV] (<iconv.h>): Ditto.
	* charmap.h [_RWSTD_NO_ICONV] (<iconv.h>): Ditto.
	* locale.cpp [_RWSTD_NO_ICONV] (<iconv.h>): Ditto.
	[_RWSTD_NO_NL_LANGINFO] (<langinfo.h>): Ditto.

2007-05-29 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-378
	* dynatype.cpp: Restored dynatype::operator T&(); dynatype::operator T() const
	renamed to dynatype::operator const T&() const.

2007-05-29 Farid Zaripov <Farid_Zaripov@epam.com>

	* generate.wsf (Echo) : Try/catched the output to the StdOut
	to prevent the error: generate.wsf(90, 6) (null): The handle is invalid.

2007-05-28  Martin Sebor  <sebor@roguewave.com>

	STDCXX-402
	* strtol.cpp (__rw_strtoul, __rw_strtol, __rw_strtoull, __rw_strtoll):
	Asserted preconditions.
	(LLong, ULLong): New convenience typedefs at namespace scope.
	(__rw_strtoull, __rw_strtoll): Corrected off by one errors.

2007-05-28  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.num.get.cpp (do_test): Disabled grouping tests when
	rw_opt_no_grouping is non-zero in response to the --no-grouping
	command line option.
	(test_llong, test_ullong): Better exercised long long parsing,
	including STDCXX-402.

2007-05-25  Martin Sebor  <sebor@roguewave.com>

	STDCXX-426
	* 21.cwchar.cpp (test_file_functions): Opened a new file for I/O
	instead of reusing stdout and called fwide() first before any prior
	output since 7.19.2, p5 of C99 prohibits wide character I/O functions
	from being called on a byte-oriented stream.

2007-05-25  Martin Sebor  <sebor@roguewave.com>

	* fmtflags_manip.cpp: New example program demonstrating
	an implementation of a user-defined manipulator for convenient
	and exception-safe setting and restoring of stream formatting
	flags. Prompted by the following Usenet thread:
	http://groups.google.com/group/comp.lang.c++/browse_frm/thread/acfa77336a6137cd/50e116d0a0c889ad
	* fmtflags_manip.out: Expected example output.

2007-05-25 Farid Zaripov <Farid_Zaripov@epam.com>

	* _config-msvc.h: MSVC specific #pragma's decorated with #ifndef _INTEL_COMPILER;
	added #pragma's to disable ICC warnings.

2007-05-25 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-378
	* dynatype.cpp: Removed dynatype::operator T&() to resolve
	ambiguity between user defined conversions on MSVC.

2007-05-25 Farid Zaripov <Farid_Zaripov@epam.com>

	* dynatype.cpp: Updated copyright notice;
	(main): Fixed missprint (v1 replaced with v3).

2007-05-24  Martin Sebor  <sebor@roguewave.com>

	* alg_test.h (InputIter): Outlined member functions too big for
	the gcc inliner to handle (causing noise for -Winline warnings).
	(OutputIter): Ditto.

2007-05-23 Farid Zaripov <Farid_Zaripov@epam.com>

	* 22.locale.codecvt.length.cpp: Added checking result of the rw_locales()
	before dereferencing.
	* 22.locale.codecvt.out.cpp: Ditto.
	* 22.locale.ctype.cpp: Ditto.
	* 22.locale.messages.cpp: Ditto.
	* 22.locale.moneypunct.cpp: Ditto.
	* 22.locale.num.put.cpp: Ditto.
	* 22.locale.time.get.cpp: Ditto.
	* 22.locale.num.get.cpp: Ditto. Corrected len parameter of the rw_widen().
	* 0.inputiter.cpp [_MSC_VER]: Disabled GUI window from abort().
	* 0.outputiter.cpp [_MSC_VER]: Ditto.
	* 21.cwchar.cpp [_MSC_VER]: Disabled GUI window with error from
	CRT assertion fail.

2007-05-23 Farid Zaripov <Farid_Zaripov@epam.com>

	* projects.js (CreateProjectDefs): Add path of the bin directory to PATH
	envirobment variable before invoking runall.wsf script.
	* runall.wsf: Removed LIBDIR option as unused. Removed libdllFolder and
	libFileName variables as unused.

2007-05-23  Martin Sebor  <sebor@roguewave.com>

	* _array.h (ctor): Removed redundant (ill-formed?) template
	argument list from the definition of __rw_array destructor.

2007-05-22  Martin Sebor  <sebor@roguewave.com>

	STDCXX-4
	* 22.locale.moneypunct.cpp: New test exercising locale.moneypunct.

2007-05-22  Martin Sebor  <sebor@roguewave.com>

	* mbsrtowcs.cpp (main): Corrected typo in hardcoded input.
	* mbsrtowcs.out: Corrected typos in expected output.

2007-05-22  Martin Sebor  <sebor@roguewave.com>

	STDCXX-424
	* _array.h (dtor): Simplified and implemented without
	relying on resize() for efficiency.
	(resize): Avoided calling trivial inline functions.

2007-05-21  Martin Sebor  <sebor@roguewave.com>

	STDCXX-296
	* insert_wchar.cpp: New example program demonstrating an implementation
	of an inserter operator overloaded for arrays of wchar_t that performs
	codeset conversion from arrays of wchar_t to mutlibyte characters.
	* insert_wchar.out: Expected output of the example program.

2007-05-18  Eric Lemings  <lemings@roguewave.com>

	STDCXX-358
	* environ.cpp (rw_putenv): Handled unsetenv() on Darwin the same
	as on FreeBSD: the function is declared to return void on both.

2007-05-18  Martin Sebor  <sebor@roguewave.com>

	STDCXX-421
	* run_locale_utils.sh: When installed, invoked Bash on AIX instead
	of the default system shell (/bin/sh -> /usr/bin/sh) to work around
	a bug (?) that prevents it from trapping SIGHUP (and invoking the
	signal handler).
	Removed binary locale database at each stage of testing instead
	of waiting until the end of the process to reduce the amount of
	wasted disk space.
	Replaced [ "$var" = "" ] syntax with the more concise [ -z "$var" ].
	Incorporated the name of the locale being tested in the name of the
	temporary directory.

2007-05-18  Martin Sebor  <sebor@roguewave.com>

	* makefile.rules (run): To avoid filling up disk space with junk files left
	behind by bad programs, created and set TMP to a temporary directory before
	running the programs, and then removed it when done.

2007-05-16  Martin Sebor  <sebor@roguewave.com>

	* mbsrtowcs.cpp: NUL-terminated destination sequence before
	writing it out to stdout.

2007-05-15  Martin Sebor  <sebor@roguewave.com>

	STDCXX-417
	* atomic.s (TYPE_DIR): New macro conditionally defined to the .type
	directive for GNU as on ELF targets.

2007-05-15  Martin Sebor  <sebor@roguewave.com>

	STDCXX-416
	* stdexcept (logic_error): Declared dtor.
	* logic_error.cpp: New file.
	(logic_error): Defined class dtor

2007-05-15  Martin Sebor  <sebor@roguewave.com>

	* codecvt.html: Added a note to do_length() clarifying the relationship
	(or the lack thereof) between it and the C Standard Library function
	mbsrtowcs(). See the following thread:
	http://groups.google.com/group/comp.lang.c++/tree/browse_frm/thread/85ffe366e1d65734

2007-05-15 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-339
	* NONDEDUCED_CONTEXT.cpp: Removed _RWSTD_NO_INLINE_MEMBER_TEMPLATES
	config macro and all workarounds for it. Updated copyright notice.
	* bitset: Ditto
	* deque: Ditto
	* iomanip: Ditto
	* list: Ditto
	* _locale.h: Ditto
	* map: Ditto
	* queue: Ditto
	* _algobase.h: Ditto
	* _defs.h: Ditto
	* _pair.h: Ditto
	* _tree.h: Ditto
	* set: Ditto
	* string: Ditto
	* string.cc: Ditto
	* vector: Ditto
	* 25.random.shuffle.cpp: Ditto
	* 23.deque.modifiers.cpp: Ditto
	* 23.vector.cons.cpp: Ditto
	* 23.vector.modifiers.cpp: Ditto
	* rw_allocator.h: Ditto
	* 20.pairs.cpp: Ditto

2007-05-15 Farid Zaripov <Farid_Zaripov@epam.com>

	* value.cpp (xinit) Removed as unused.

2007-05-14 Farid Zaripov <Farid_Zaripov@epam.com>

	* summary.js (checkForFailures, readBuildLog): Added check to avoid
	JScript runtime error: Input past end of file Project.
	* utilities.js (stripTags): Remove "</pre>" from build log.

2007-05-12  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.money.get.cpp (PunctData): New base class for the test
	Punct facet.
	(Punct): Derived from PunctData.
	(narrow, widen): Removed.
	(do_test): Used PunctData instead of Punct. User the testuite helpers
	rw_expand() and rw_narrow() instead of narrow() and widen(). Used the
	%{*Ac} directive to format either narrow and wide character strings.
	(test_memfun): Renamed...
	(test_get): ...to this and used PunctData instead of Punct.
	(test_long_double, test_string): Called test_get().

2007-05-12  Martin Sebor  <sebor@roguewave.com>

	STDCXX-411
	* money-get.html: Updated example program to (closely) match
	the latest version of the program in svn and to match shown
	output.

2007-05-12  Martin Sebor  <sebor@roguewave.com>

	* money_get.cpp (main): Removed a redundant template argument
	for brevity and introduced a typedef for better readability.

2007-05-12  Martin Sebor  <sebor@roguewave.com>

	* money_get.cpp: Made example more interesting by using thousands
	separators and more decimal places than two in input, and by making
	it possible to specify all parameters on the command line.
	Simplified the invocation of money_get::get() by taking advantage
	of the implicit conversion from ios to istreambuf_iterator.
	* money_get.out: Adjusted to match the above changes.

2007-05-12  Martin Sebor  <sebor@roguewave.com>

	* moneyget.out: Renamed...
	* money_get.out: ...to this to complete rev 537480.

2007-05-12  Martin Sebor  <sebor@roguewave.com>

	* moneyget.cpp: Renamed...
	* money_get.cpp: ...to this to match the name of the facet
	and (as closely as reasonable) the documentation page in
	the Class Reference.

2007-05-10  Martin Sebor  <sebor@roguewave.com>

	STDCXX-409
	* eccp.config (BUILDDIR): Set to the CWD if not defined on the command
	line to avoid setting the template directory to a bogus directory.

2007-05-10  Martin Sebor  <sebor@roguewave.com>

	* gen_list (de_DE.UTF-8, en_US.UTF-8, fr_FR.UTF-8, ru_RU.UTF-8,
	zh_CN.UTF-8): Added UTF-8 locales.

2007-05-09  Martin Sebor  <sebor@roguewave.com>

	STDCXX-407
	* stdlibug/1-4.html: Removed reference to Rogue Wave wherever
	they're not relevant/appropriate anymore and replaced with
	Apache stdcxx or similar as necessary.
	* stdlibug/1-1.html: Same.
	* stdlibug/tindex.html: Same.
	* stdlibug/33-3.html: Same.
	* stdlibug/34-2.html: Same.
	* stdlibug/1-5.html: Same.
	* stdlibug/copyright.html: Same.
	* stdlibug/40-3.html: Same.
	* stdlibug/46-1.html: Same.
	* stdlibug/1-2.html: Same.
	* stdlibug/44-1.html: Same.
	* stdlibug/noframes.html: Same.
	* stdlibug/30-2.html: Same.
	* stdlibug/booktoc.html: Same.
	* stdlibug/46.html: Same.
	* stdlibug/contact.html: Same.
	* stdlibug/frames-contents-chapter.html: Same.
	* stdlibug/VIII.html: Same.
	* stdlibref/basic-ofstream.html: Same.
	* stdlibref/ios-base.html: Same.
	* stdlibref/localeutility.html: Same.
	* stdlibref/count.html: Same.
	* stdlibref/lists.html: Same.
	* stdlibref/basic-filebuf.html: Same.
	* stdlibref/basic-ifstream.html: Same.
	* stdlibref/2-1.html: Same.
	* stdlibref/codecvt-byname.html: Same.
	* stdlibref/basic-fstream.html: Same.
	* stdlibref/1-3.html: Same.
	* stdlibref/A-3.html: Same.
	* stdlibref/localedefutility.html: Same.
	* stdlibref/partial-sort.html: Same.

2007-05-09  Martin Sebor  <sebor@roguewave.com>

	STDCXX-407
	* index.html: Renamed "Rogue Wave Standard Stylesheet"
	to "Apache stdcxx Stylesheet."
	* stdlibug/22-2.html: Same.
	* stdlibug/42-2.html: Same.
	* stdlibug/25-1.html: Same.
	* stdlibug/14-4.html: Same.
	* stdlibug/45-1.html: Same.
	* stdlibug/34-4.html: Same.
	* stdlibug/17.html: Same.
	* stdlibug/26-6.html: Same.
	* stdlibug/29.html: Same.
	* stdlibug/3-1.html: Same.
	* stdlibug/1-7.html: Same.
	* stdlibug/11-2.html: Same.
	* stdlibug/31-2.html: Same.
	* stdlibug/14-1.html: Same.
	* stdlibug/34-1.html: Same.
	* stdlibug/14.html: Same.
	* stdlibug/40-5.html: Same.
	* stdlibug/23-4.html: Same.
	* stdlibug/43-4.html: Same.
	* stdlibug/26-3.html: Same.
	* stdlibug/26.html: Same.
	* stdlibug/frames-intro-text.html: Same.
	* stdlibug/29-2.html: Same.
	* stdlibug/38.html: Same.
	* stdlibug/35-6.html: Same.
	* stdlibug/38-5.html: Same.
	* stdlibug/frames-intro-contents.html: Same.
	* stdlibug/1-4.html: Same.
	* stdlibug/4-3.html: Same.
	* stdlibug/7-2.html: Same.
	* stdlibug/20-2.html: Same.
	* stdlibug/11.html: Same.
	* stdlibug/40-2.html: Same.
	* stdlibug/23-1.html: Same.
	* stdlibug/43-1.html: Same.
	* stdlibug/23.html: Same.
	* stdlibug/32-4.html: Same.
	* stdlibug/15-3.html: Same.
	* stdlibug/35.html: Same.
	* stdlibug/35-3.html: Same.
	* stdlibug/18-2.html: Same.
	* stdlibug/38-2.html: Same.
	* stdlibug/1-1.html: Same.
	* stdlibug/9.html: Same.
	* stdlibug/8-4.html: Same.
	* stdlibug/frames-banner.html: Same.
	* stdlibug/12-1.html: Same.
	* stdlibug/20.html: Same.
	* stdlibug/32-1.html: Same.
	* stdlibug/32.html: Same.
	* stdlibug/24-3.html: Same.
	* stdlibug/13-6.html: Same.
	* stdlibug/44.html: Same.
	* stdlibug/27-2.html: Same.
	* stdlibug/I.html: Same.
	* stdlibug/tindex.html: Same.
	* stdlibug/2-3.html: Same.
	* stdlibug/5-2.html: Same.
	* stdlibug/8-1.html: Same.
	* stdlibug/6.html: Same.
	* stdlibug/21-1.html: Same.
	* stdlibug/41-1.html: Same.
	* stdlibug/acknow.html: Same.
	* stdlibug/30-4.html: Same.
	* stdlibug/13-3.html: Same.
	* stdlibug/41.html: Same.
	* stdlibug/33-3.html: Same.
	* stdlibug/16-2.html: Same.
	* stdlibug/22-6.html: Same.
	* stdlibug/36-2.html: Same.
	* stdlibug/19-1.html: Same.
	* stdlibug/25-5.html: Same.
	* stdlibug/39-1.html: Same.
	* stdlibug/45-5.html: Same.
	* stdlibug/28-4.html: Same.
	* stdlibug/3.html: Same.
	* stdlibug/3-5.html: Same.
	* stdlibug/V.html: Same.
	* stdlibug/9-3.html: Same.
	* stdlibug/10-1.html: Same.
	* stdlibug/30-1.html: Same.
	* stdlibug/22-3.html: Same.
	* stdlibug/42-3.html: Same.
	* stdlibug/25-2.html: Same.
	* stdlibug/14-5.html: Same.
	* stdlibug/45-2.html: Same.
	* stdlibug/28-1.html: Same.
	* stdlibug/18.html: Same.
	* stdlibug/26-7.html: Same.
	* stdlibug/lists.html: Same.
	* stdlibug/3-2.html: Same.
	* stdlibug/6-1.html: Same.
	* stdlibug/frames-contents-all.html: Same.
	* stdlibug/11-3.html: Same.
	* stdlibug/31-3.html: Same.
	* stdlibug/14-2.html: Same.
	* stdlibug/34-2.html: Same.
	* stdlibug/17-1.html: Same.
	* stdlibug/15.html: Same.
	* stdlibug/37-1.html: Same.
	* stdlibug/26-4.html: Same.
	* stdlibug/27.html: Same.
	* stdlibug/29-3.html: Same.
	* stdlibug/39.html: Same.
	* stdlibug/frames-tindex-contents.html: Same.
	* stdlibug/1-5.html: Same.
	* stdlibug/4-4.html: Same.
	* stdlibug/7-3.html: Same.
	* stdlibug/copyright.html: Same.
	* stdlibug/20-3.html: Same.
	* stdlibug/12.html: Same.
	* stdlibug/40-3.html: Same.
	* stdlibug/23-2.html: Same.
	* stdlibug/43-2.html: Same.
	* stdlibug/24.html: Same.
	* stdlibug/26-1.html: Same.
	* stdlibug/32-5.html: Same.
	* stdlibug/46-1.html: Same.
	* stdlibug/36.html: Same.
	* stdlibug/35-4.html: Same.
	* stdlibug/18-3.html: Same.
	* stdlibug/38-3.html: Same.
	* stdlibug/1-2.html: Same.
	* stdlibug/4-1.html: Same.
	* stdlibug/frames-tindex.html: Same.
	* stdlibug/index.html: Same.
	* stdlibug/12-2.html: Same.
	* stdlibug/21.html: Same.
	* stdlibug/32-2.html: Same.
	* stdlibug/15-1.html: Same.
	* stdlibug/35-1.html: Same.
	* stdlibug/33.html: Same.
	* stdlibug/24-4.html: Same.
	* stdlibug/VII.html: Same.
	* stdlibug/13-7.html: Same.
	* stdlibug/45.html: Same.
	* stdlibug/27-3.html: Same.
	* stdlibug/2-4.html: Same.
	* stdlibug/5-3.html: Same.
	* stdlibug/8-2.html: Same.
	* stdlibug/7.html: Same.
	* stdlibug/21-2.html: Same.
	* stdlibug/30.html: Same.
	* stdlibug/41-2.html: Same.
	* stdlibug/24-1.html: Same.
	* stdlibug/30-5.html: Same.
	* stdlibug/13-4.html: Same.
	* stdlibug/44-1.html: Same.
	* stdlibug/42.html: Same.
	* stdlibug/16-3.html: Same.
	* stdlibug/22-7.html: Same.
	* stdlibug/36-3.html: Same.
	* stdlibug/19-2.html: Same.
	* stdlibug/25-6.html: Same.
	* stdlibug/39-2.html: Same.
	* stdlibug/28-5.html: Same.
	* stdlibug/2-1.html: Same.
	* stdlibug/4.html: Same.
	* stdlibug/noframes.html: Same.
	* stdlibug/VI.html: Same.
	* stdlibug/10-2.html: Same.
	* stdlibug/30-2.html: Same.
	* stdlibug/13-1.html: Same.
	* stdlibug/33-1.html: Same.
	* stdlibug/22-4.html: Same.
	* stdlibug/25-3.html: Same.
	* stdlibug/14-6.html: Same.
	* stdlibug/45-3.html: Same.
	* stdlibug/28-2.html: Same.
	* stdlibug/19.html: Same.
	* stdlibug/26-8.html: Same.
	* stdlibug/1.html: Same.
	* stdlibug/3-3.html: Same.
	* stdlibug/6-2.html: Same.
	* stdlibug/9-1.html: Same.
	* stdlibug/22-1.html: Same.
	* stdlibug/42-1.html: Same.
	* stdlibug/14-3.html: Same.
	* stdlibug/34-3.html: Same.
	* stdlibug/17-2.html: Same.
	* stdlibug/16.html: Same.
	* stdlibug/37-2.html: Same.
	* stdlibug/26-5.html: Same.
	* stdlibug/28.html: Same.
	* stdlibug/booktoc.html: Same.
	* stdlibug/II.html: Same.
	* stdlibug/1-6.html: Same.
	* stdlibug/11-1.html: Same.
	* stdlibug/31-1.html: Same.
	* stdlibug/13.html: Same.
	* stdlibug/40-4.html: Same.
	* stdlibug/23-3.html: Same.
	* stdlibug/43-3.html: Same.
	* stdlibug/25.html: Same.
	* stdlibug/26-2.html: Same.
	* stdlibug/32-6.html: Same.
	* stdlibug/29-1.html: Same.
	* stdlibug/37.html: Same.
	* stdlibug/35-5.html: Same.
	* stdlibug/18-4.html: Same.
	* stdlibug/38-4.html: Same.
	* stdlibug/1-3.html: Same.
	* stdlibug/4-2.html: Same.
	* stdlibug/7-1.html: Same.
	* stdlibug/frames-displayarea.html: Same.
	* stdlibug/III.html: Same.
	* stdlibug/IV.html: Same.
	* stdlibug/20-1.html: Same.
	* stdlibug/10.html: Same.
	* stdlibug/40-1.html: Same.
	* stdlibug/12-3.html: Same.
	* stdlibug/22.html: Same.
	* stdlibug/32-3.html: Same.
	* stdlibug/15-2.html: Same.
	* stdlibug/35-2.html: Same.
	* stdlibug/34.html: Same.
	* stdlibug/18-1.html: Same.
	* stdlibug/38-1.html: Same.
	* stdlibug/13-8.html: Same.
	* stdlibug/46.html: Same.
	* stdlibug/27-4.html: Same.
	* stdlibug/contact.html: Same.
	* stdlibug/2-5.html: Same.
	* stdlibug/5-4.html: Same.
	* stdlibug/8.html: Same.
	* stdlibug/8-3.html: Same.
	* stdlibug/21-3.html: Same.
	* stdlibug/31.html: Same.
	* stdlibug/41-3.html: Same.
	* stdlibug/24-2.html: Same.
	* stdlibug/13-5.html: Same.
	* stdlibug/44-2.html: Same.
	* stdlibug/43.html: Same.
	* stdlibug/27-1.html: Same.
	* stdlibug/16-4.html: Same.
	* stdlibug/36-4.html: Same.
	* stdlibug/39-3.html: Same.
	* stdlibug/frames-contents-chapter.html: Same.
	* stdlibug/2-2.html: Same.
	* stdlibug/5-1.html: Same.
	* stdlibug/5.html: Same.
	* stdlibug/10-3.html: Same.
	* stdlibug/30-3.html: Same.
	* stdlibug/13-2.html: Same.
	* stdlibug/40.html: Same.
	* stdlibug/33-2.html: Same.
	* stdlibug/16-1.html: Same.
	* stdlibug/22-5.html: Same.
	* stdlibug/36-1.html: Same.
	* stdlibug/25-4.html: Same.
	* stdlibug/14-7.html: Same.
	* stdlibug/45-4.html: Same.
	* stdlibug/28-3.html: Same.
	* stdlibug/26-9.html: Same.
	* stdlibug/VIII.html: Same.
	* stdlibug/2.html: Same.
	* stdlibug/3-4.html: Same.
	* stdlibug/6-3.html: Same.
	* stdlibug/9-2.html: Same.
	* stdlibref/iterators.html: Same.
	* stdlibref/operatornew.html: Same.
	* stdlibref/strstream-h.html: Same.
	* stdlibref/swap.html: Same.
	* stdlibref/negators.html: Same.
	* stdlibref/stdexcept-h.html: Same.
	* stdlibref/uninitialized-fill.html: Same.
	* stdlibref/frames-intro-contents.html: Same.
	* stdlibref/insert-iterator.html: Same.
	* stdlibref/ctype-byname.html: Same.
	* stdlibref/invalid-argument.html: Same.
	* stdlibref/algorithms.html: Same.
	* stdlibref/frames-banner.html: Same.
	* stdlibref/replace-copy.html: Same.
	* stdlibref/back-insert-iterator.html: Same.
	* stdlibref/get-temporary-buffer.html: Same.
	* stdlibref/range-error.html: Same.
	* stdlibref/time-get-byname.html: Same.
	* stdlibref/set.html: Same.
	* stdlibref/mem-fun.html: Same.
	* stdlibref/num-get.html: Same.
	* stdlibref/stack-h.html: Same.
	* stdlibref/locale.html: Same.
	* stdlibref/frames-tindex-contents.html: Same.
	* stdlibref/ios-h.html: Same.
	* stdlibref/next-permutation.html: Same.
	* stdlibref/divides.html: Same.
	* stdlibref/unary-negate.html: Same.
	* stdlibref/advance.html: Same.
	* stdlibref/min-element.html: Same.
	* stdlibref/istreambuf-iterator.html: Same.
	* stdlibref/inner-product.html: Same.
	* stdlibref/noframes.html: Same.
	* stdlibref/1.html: Same.
	* stdlibref/not2.html: Same.
	* stdlibref/II.html: Same.
	* stdlibref/partition.html: Same.
	* stdlibref/predicates.html: Same.
	* stdlibref/modulus.html: Same.
	* stdlibref/unique.html: Same.
	* stdlibref/multiplies.html: Same.
	* stdlibref/2.html: Same.

2007-05-09  Martin Sebor  <sebor@roguewave.com>

	STDCXX-407
	* stdlibref/new-h.html: Renamed "Rogue Wave Standard Stylesheet"
	to "Apache stdcxx Stylesheet."
	* stdlibref/2-11.html: Same.
	* stdlibref/front-insert-iterator.html: Same.
	* stdlibref/char-traits.html: Same.
	* stdlibref/B.html: Same.
	* stdlibref/queue.html: Same.
	* stdlibref/reverse-iterator.html: Same.
	* stdlibref/negate.html: Same.
	* stdlibref/string.html: Same.
	* stdlibref/messages.html: Same.
	* stdlibref/numpunct.html: Same.
	* stdlibref/logical-and.html: Same.
	* stdlibref/indirect-array.html: Same.
	* stdlibref/bad-cast.html: Same.
	* stdlibref/bad-typeid.html: Same.
	* stdlibref/locale-h.html: Same.
	* stdlibref/deque-h.html: Same.
	* stdlibref/frames-intro-text.html: Same.
	* stdlibref/minus.html: Same.
	* stdlibref/istream-iterator.html: Same.
	* stdlibref/sequences.html: Same.
	* stdlibref/lower-bound.html: Same.
	* stdlibref/wstring.html: Same.
	* stdlibref/basic-ofstream.html: Same.
	* stdlibref/equal-range.html: Same.
	* stdlibref/sstream-h.html: Same.
	* stdlibref/ostrstream.html: Same.
	* stdlibref/ios-base--failure.html: Same.
	* stdlibref/find-first-of.html: Same.
	* stdlibref/complex.html: Same.
	* stdlibref/2-9.html: Same.
	* stdlibref/random-shuffle.html: Same.
	* stdlibref/algorithm-h.html: Same.
	* stdlibref/find-if.html: Same.
	* stdlibref/iterator-h.html: Same.
	* stdlibref/prev-permutation.html: Same.
	* stdlibref/adjacent-find.html: Same.
	* stdlibref/isupper.html: Same.
	* stdlibref/cerr.html: Same.
	* stdlibref/1-1.html: Same.
	* stdlibref/merge.html: Same.
	* stdlibref/ios-base.html: Same.
	* stdlibref/2-6.html: Same.
	* stdlibref/search.html: Same.
	* stdlibref/valarray-h.html: Same.
	* stdlibref/gslice.html: Same.
	* stdlibref/return-temporary-buffer.html: Same.
	* stdlibref/logical-not.html: Same.
	* stdlibref/basic-istringstream.html: Same.
	* stdlibref/use-facet.html: Same.
	* stdlibref/A-1.html: Same.
	* stdlibref/plus.html: Same.
	* stdlibref/localeutility.html: Same.
	* stdlibref/isxdigit.html: Same.
	* stdlibref/basic-string.html: Same.
	* stdlibref/compare.html: Same.
	* stdlibref/sort.html: Same.
	* stdlibref/I.html: Same.
	* stdlibref/count.html: Same.
	* stdlibref/utility-h.html: Same.
	* stdlibref/iterator.html: Same.
	* stdlibref/tindex.html: Same.
	* stdlibref/isdigit.html: Same.
	* stdlibref/outputiterators.html: Same.
	* stdlibref/ostreambuf-iterator.html: Same.
	* stdlibref/toupper.html: Same.
	* stdlibref/2-3.html: Same.
	* stdlibref/bidirectionaliterators.html: Same.
	* stdlibref/runtime-error.html: Same.
	* stdlibref/time-put-byname.html: Same.
	* stdlibref/operatordelete.html: Same.
	* stdlibref/nth-element.html: Same.
	* stdlibref/unary-function.html: Same.
	* stdlibref/valarray.html: Same.
	* stdlibref/lexicographical-compare.html: Same.
	* stdlibref/bad-exception.html: Same.
	* stdlibref/acknow.html: Same.
	* stdlibref/fill.html: Same.
	* stdlibref/uninitialized-fill-n.html: Same.
	* stdlibref/isprint.html: Same.
	* stdlibref/bitset.html: Same.
	* stdlibref/inputiterators.html: Same.
	* stdlibref/underflow-error.html: Same.
	* stdlibref/partial-sum.html: Same.
	* stdlibref/insertiterators.html: Same.
	* stdlibref/bind1st.html: Same.
	* stdlibref/binary-function.html: Same.
	* stdlibref/queue-h.html: Same.
	* stdlibref/cout.html: Same.
	* stdlibref/replace.html: Same.
	* stdlibref/iter-swap.html: Same.
	* stdlibref/wcerr.html: Same.
	* stdlibref/min.html: Same.
	* stdlibref/greater.html: Same.
	* stdlibref/money-put.html: Same.
	* stdlibref/lists.html: Same.
	* stdlibref/domain-error.html: Same.
	* stdlibref/exception.html: Same.
	* stdlibref/map-h.html: Same.
	* stdlibref/money-get.html: Same.
	* stdlibref/num-put.html: Same.
	* stdlibref/less.html: Same.
	* stdlibref/inplace-merge.html: Same.
	* stdlibref/replace-copy-if.html: Same.
	* stdlibref/not1.html: Same.
	* stdlibref/collate.html: Same.
	* stdlibref/logic-error.html: Same.
	* stdlibref/overflow-error.html: Same.
	* stdlibref/basic-filebuf.html: Same.
	* stdlibref/iterator-traits.html: Same.
	* stdlibref/associativecontainers.html: Same.
	* stdlibref/priority-queue.html: Same.
	* stdlibref/pointer-to-binary-function.html: Same.
	* stdlibref/copyright.html: Same.
	* stdlibref/isalnum.html: Same.
	* stdlibref/transform.html: Same.
	* stdlibref/list.html: Same.
	* stdlibref/exceptions.html: Same.
	* stdlibref/max.html: Same.
	* stdlibref/multimap.html: Same.
	* stdlibref/remove.html: Same.
	* stdlibref/1-2.html: Same.
	* stdlibref/wcout.html: Same.
	* stdlibref/basic-stringstream.html: Same.
	* stdlibref/sort-heap.html: Same.
	* stdlibref/2-7.html: Same.
	* stdlibref/frames-tindex.html: Same.
	* stdlibref/index.html: Same.
	* stdlibref/slice-array.html: Same.
	* stdlibref/A-2.html: Same.
	* stdlibref/pointer-to-unary-function.html: Same.
	* stdlibref/set-h.html: Same.
	* stdlibref/find.html: Same.
	* stdlibref/ctype.html: Same.
	* stdlibref/fstream-h.html: Same.
	* stdlibref/numeric-h.html: Same.
	* stdlibref/remove-if.html: Same.
	* stdlibref/distance.html: Same.
	* stdlibref/pair.html: Same.
	* stdlibref/set-intersection.html: Same.
	* stdlibref/adjacent-difference.html: Same.
	* stdlibref/moneypunct.html: Same.
	* stdlibref/numeric-limits.html: Same.
	* stdlibref/remove-copy-if.html: Same.
	* stdlibref/2-4.html: Same.
	* stdlibref/streambuf-h.html: Same.
	* stdlibref/bad-alloc.html: Same.
	* stdlibref/bitmasktypes.html: Same.
	* stdlibref/basic-ostringstream.html: Same.
	* stdlibref/basic-stringbuf.html: Same.
	* stdlibref/reverse-copy.html: Same.
	* stdlibref/functional-h.html: Same.
	* stdlibref/isspace.html: Same.
	* stdlibref/basic-ifstream.html: Same.
	* stdlibref/string-h.html: Same.
	* stdlibref/slice.html: Same.
	* stdlibref/2-1.html: Same.
	* stdlibref/list-h.html: Same.
	* stdlibref/ostream-iterator.html: Same.
	* stdlibref/vector.html: Same.
	* stdlibref/time-put.html: Same.
	* stdlibref/time-get.html: Same.
	* stdlibref/auto-ptr.html: Same.
	* stdlibref/isalpha.html: Same.
	* stdlibref/raw-storage-iterator.html: Same.
	* stdlibref/find-end.html: Same.
	* stdlibref/clog.html: Same.
	* stdlibref/islower.html: Same.
	* stdlibref/vector-h.html: Same.
	* stdlibref/generate.html: Same.
	* stdlibref/ptr-fun.html: Same.
	* stdlibref/isgraph.html: Same.
	* stdlibref/wcin.html: Same.
	* stdlibref/codecvt-byname.html: Same.
	* stdlibref/functoc.html: Same.
	* stdlibref/fpos.html: Same.
	* stdlibref/reverse.html: Same.
	* stdlibref/max-element.html: Same.
	* stdlibref/2-10.html: Same.
	* stdlibref/A.html: Same.
	* stdlibref/basic-fstream.html: Same.
	* stdlibref/gslice-array.html: Same.
	* stdlibref/for-each.html: Same.
	* stdlibref/not-equal-to.html: Same.
	* stdlibref/codecvt.html: Same.
	* stdlibref/logical-or.html: Same.
	* stdlibref/partial-sort-copy.html: Same.
	* stdlibref/push-heap.html: Same.
	* stdlibref/tolower.html: Same.
	* stdlibref/has-facet.html: Same.
	* stdlibref/rotate.html: Same.
	* stdlibref/upper-bound.html: Same.
	* stdlibref/booktoc.html: Same.
	* stdlibref/out-of-range.html: Same.
	* stdlibref/basic-streambuf.html: Same.
	* stdlibref/basic-ios.html: Same.
	* stdlibref/iscntrl.html: Same.
	* stdlibref/allocator.html: Same.
	* stdlibref/iosfwd-h.html: Same.
	* stdlibref/accumulate.html: Same.
	* stdlibref/basic-istream.html: Same.
	* stdlibref/strstream.html: Same.
	* stdlibref/streamiterators.html: Same.
	* stdlibref/complex-h.html: Same.
	* stdlibref/--iterator-category.html: Same.
	* stdlibref/functionobjects.html: Same.
	* stdlibref/1-3.html: Same.
	* stdlibref/basic-iostream.html: Same.
	* stdlibref/2-8.html: Same.
	* stdlibref/frames-displayarea.html: Same.
	* stdlibref/III.html: Same.
	* stdlibref/wclog.html: Same.
	* stdlibref/IV.html: Same.
	* stdlibref/uninitialized-copy.html: Same.
	* stdlibref/A-3.html: Same.
	* stdlibref/ispunct.html: Same.
	* stdlibref/binary-negate.html: Same.
	* stdlibref/equal-to.html: Same.
	* stdlibref/swap-ranges.html: Same.
	* stdlibref/make-heap.html: Same.
	* stdlibref/contact.html: Same.
	* stdlibref/istrstream.html: Same.
	* stdlibref/randomaccessiterators.html: Same.
	* stdlibref/ostream-h.html: Same.
	* stdlibref/stable-sort.html: Same.
	* stdlibref/forwarditerators.html: Same.
	* stdlibref/frames-classes-func.html: Same.
	* stdlibref/localedefutility.html: Same.
	* stdlibref/2-5.html: Same.
	* stdlibref/multiset.html: Same.
	* stdlibref/length-error.html: Same.
	* stdlibref/less-equal.html: Same.
	* stdlibref/operators.html: Same.
	* stdlibref/iomanip-h.html: Same.
	* stdlibref/heapoperations.html: Same.
	* stdlibref/set-union.html: Same.
	* stdlibref/exception-h.html: Same.
	* stdlibref/set-difference.html: Same.
	* stdlibref/limits-h.html: Same.
	* stdlibref/basic-ostream.html: Same.
	* stdlibref/frames-classes-alpha.html: Same.
	* stdlibref/memory-h.html: Same.
	* stdlibref/set-symmetric-difference.html: Same.
	* stdlibref/2-2.html: Same.
	* stdlibref/deque.html: Same.
	* stdlibref/mismatch.html: Same.
	* stdlibref/facets.html: Same.
	* stdlibref/equal.html: Same.
	* stdlibref/iostream-h.html: Same.
	* stdlibref/cin.html: Same.
	* stdlibref/map.html: Same.
	* stdlibref/partial-sort.html: Same.
	* stdlibref/stable-partition.html: Same.
	* stdlibref/strstreambuf.html: Same.
	* stdlibref/typeinfo-h.html: Same.
	* stdlibref/binary-search.html: Same.
	* stdlibref/istream-h.html: Same.
	* stdlibref/greater-equal.html: Same.
	* stdlibref/--distance-type.html: Same.
	* stdlibref/remove-copy.html: Same.
	* stdlibref/containers.html: Same.
	* stdlibref/stack.html: Same.
	* stdlibref/includes.html: Same.
	* stdlibref/replace-if.html: Same.
	* stdlibref/mask-array.html: Same.
	* stdlibref/pop-heap.html: Same.
	* stdlibref/copy.html: Same.

2007-05-08  Martin Sebor  <sebor@roguewave.com>

	* gcc.config (PICFLAGS): Avoided clever tricks in conditional
	to avoid failing to match Cygwin.

2007-05-08  Martin Sebor  <sebor@roguewave.com>

	* stdlibref/frames-banner.html: Made stdcxx index page replace
	the whole page instead of just a single frame.
	* stdlibug/frames-banner.html: Same.

2007-05-08  Martin Sebor  <sebor@roguewave.com>

	* stdlibref/frames-banner.html: Added an image of Apache logo
	and a link to the stdcxx project web page to make it easier
	for users to navigate to the site.
	* stdlibug/frames-banner.html: Same.

2007-05-08  Martin Sebor  <sebor@roguewave.com>

	STDCXX-407
	* B.html: Removed references to "Rogue Wave extensions."
	* frames-intro-contents.html: Same.
	* noframes.html: Same.
	* IV.html: Same.

2007-05-06  Martin Sebor  <sebor@roguewave.com>

	* stdlibug/22-2.html: Inserted Google Analytics tracking code
	using the sed script below:
	/<\/BODY>/ {
	$!N
	s/<\/BODY>\n<\/HTML>/\n\n<!-- Google Analytics tracking code -->\n<script src="http:\/\/www.google-analytics.com\/urchin.js" type="text\/javascript">\n<\/script>\n<script type="text\/javascript">\n    _uacct = "UA-1775151-1";\n    urchinTracker();\n<\/script>\n<!-- end of Google Analytics tracking code -->\n\n<\/BODY>\n<\/HTML>/
	}

	* stdlibug/42-2.html: Same.
	* stdlibug/25-1.html: Same.
	* stdlibug/14-4.html: Same.
	* stdlibug/45-1.html: Same.
	* stdlibug/34-4.html: Same.
	* stdlibug/17.html: Same.
	* stdlibug/26-6.html: Same.
	* stdlibug/29.html: Same.
	* stdlibug/3-1.html: Same.
	* stdlibug/1-7.html: Same.
	* stdlibug/11-2.html: Same.
	* stdlibug/31-2.html: Same.
	* stdlibug/14-1.html: Same.
	* stdlibug/34-1.html: Same.
	* stdlibug/14.html: Same.
	* stdlibug/40-5.html: Same.
	* stdlibug/23-4.html: Same.
	* stdlibug/43-4.html: Same.
	* stdlibug/26-3.html: Same.
	* stdlibug/26.html: Same.
	* stdlibug/frames-intro-text.html: Same.
	* stdlibug/29-2.html: Same.
	* stdlibug/38.html: Same.
	* stdlibug/35-6.html: Same.
	* stdlibug/38-5.html: Same.
	* stdlibug/frames-intro-contents.html: Same.
	* stdlibug/1-4.html: Same.
	* stdlibug/4-3.html: Same.
	* stdlibug/7-2.html: Same.
	* stdlibug/20-2.html: Same.
	* stdlibug/11.html: Same.
	* stdlibug/40-2.html: Same.
	* stdlibug/23-1.html: Same.
	* stdlibug/43-1.html: Same.
	* stdlibug/23.html: Same.
	* stdlibug/32-4.html: Same.
	* stdlibug/15-3.html: Same.
	* stdlibug/35.html: Same.
	* stdlibug/35-3.html: Same.
	* stdlibug/18-2.html: Same.
	* stdlibug/38-2.html: Same.
	* stdlibug/1-1.html: Same.
	* stdlibug/9.html: Same.
	* stdlibug/8-4.html: Same.
	* stdlibug/12-1.html: Same.
	* stdlibug/20.html: Same.
	* stdlibug/32-1.html: Same.
	* stdlibug/32.html: Same.
	* stdlibug/24-3.html: Same.
	* stdlibug/13-6.html: Same.
	* stdlibug/44.html: Same.
	* stdlibug/27-2.html: Same.
	* stdlibug/I.html: Same.
	* stdlibug/tindex.html: Same.
	* stdlibug/2-3.html: Same.
	* stdlibug/5-2.html: Same.
	* stdlibug/8-1.html: Same.
	* stdlibug/6.html: Same.
	* stdlibug/21-1.html: Same.
	* stdlibug/41-1.html: Same.
	* stdlibug/acknow.html: Same.
	* stdlibug/30-4.html: Same.
	* stdlibug/13-3.html: Same.
	* stdlibug/41.html: Same.
	* stdlibug/33-3.html: Same.
	* stdlibug/16-2.html: Same.
	* stdlibug/22-6.html: Same.
	* stdlibug/36-2.html: Same.
	* stdlibug/19-1.html: Same.
	* stdlibug/25-5.html: Same.
	* stdlibug/39-1.html: Same.
	* stdlibug/45-5.html: Same.
	* stdlibug/28-4.html: Same.
	* stdlibug/3.html: Same.
	* stdlibug/3-5.html: Same.
	* stdlibug/V.html: Same.
	* stdlibug/9-3.html: Same.
	* stdlibug/10-1.html: Same.
	* stdlibug/30-1.html: Same.
	* stdlibug/22-3.html: Same.
	* stdlibug/42-3.html: Same.
	* stdlibug/25-2.html: Same.
	* stdlibug/14-5.html: Same.
	* stdlibug/45-2.html: Same.
	* stdlibug/28-1.html: Same.
	* stdlibug/18.html: Same.
	* stdlibug/26-7.html: Same.
	* stdlibug/lists.html: Same.
	* stdlibug/3-2.html: Same.
	* stdlibug/6-1.html: Same.
	* stdlibug/frames-contents-all.html: Same.
	* stdlibug/11-3.html: Same.
	* stdlibug/31-3.html: Same.
	* stdlibug/14-2.html: Same.
	* stdlibug/34-2.html: Same.
	* stdlibug/17-1.html: Same.
	* stdlibug/15.html: Same.
	* stdlibug/37-1.html: Same.
	* stdlibug/26-4.html: Same.
	* stdlibug/27.html: Same.
	* stdlibug/29-3.html: Same.
	* stdlibug/39.html: Same.
	* stdlibug/frames-tindex-contents.html: Same.
	* stdlibug/1-5.html: Same.
	* stdlibug/4-4.html: Same.
	* stdlibug/7-3.html: Same.
	* stdlibug/copyright.html: Same.
	* stdlibug/20-3.html: Same.
	* stdlibug/12.html: Same.
	* stdlibug/40-3.html: Same.
	* stdlibug/23-2.html: Same.
	* stdlibug/43-2.html: Same.
	* stdlibug/24.html: Same.
	* stdlibug/26-1.html: Same.
	* stdlibug/32-5.html: Same.
	* stdlibug/46-1.html: Same.
	* stdlibug/36.html: Same.
	* stdlibug/35-4.html: Same.
	* stdlibug/18-3.html: Same.
	* stdlibug/38-3.html: Same.
	* stdlibug/1-2.html: Same.
	* stdlibug/4-1.html: Same.
	* stdlibug/12-2.html: Same.
	* stdlibug/21.html: Same.
	* stdlibug/32-2.html: Same.
	* stdlibug/15-1.html: Same.
	* stdlibug/35-1.html: Same.
	* stdlibug/33.html: Same.
	* stdlibug/24-4.html: Same.
	* stdlibug/VII.html: Same.
	* stdlibug/13-7.html: Same.
	* stdlibug/45.html: Same.
	* stdlibug/27-3.html: Same.
	* stdlibug/2-4.html: Same.
	* stdlibug/5-3.html: Same.
	* stdlibug/8-2.html: Same.
	* stdlibug/7.html: Same.
	* stdlibug/21-2.html: Same.
	* stdlibug/30.html: Same.
	* stdlibug/41-2.html: Same.
	* stdlibug/24-1.html: Same.
	* stdlibug/30-5.html: Same.
	* stdlibug/13-4.html: Same.
	* stdlibug/44-1.html: Same.
	* stdlibug/42.html: Same.
	* stdlibug/16-3.html: Same.
	* stdlibug/22-7.html: Same.
	* stdlibug/36-3.html: Same.
	* stdlibug/19-2.html: Same.
	* stdlibug/25-6.html: Same.
	* stdlibug/39-2.html: Same.
	* stdlibug/28-5.html: Same.
	* stdlibug/2-1.html: Same.
	* stdlibug/4.html: Same.
	* stdlibug/noframes.html: Same.
	* stdlibug/VI.html: Same.
	* stdlibug/10-2.html: Same.
	* stdlibug/30-2.html: Same.
	* stdlibug/13-1.html: Same.
	* stdlibug/33-1.html: Same.
	* stdlibug/22-4.html: Same.
	* stdlibug/25-3.html: Same.
	* stdlibug/14-6.html: Same.
	* stdlibug/45-3.html: Same.
	* stdlibug/28-2.html: Same.
	* stdlibug/19.html: Same.
	* stdlibug/26-8.html: Same.
	* stdlibug/1.html: Same.
	* stdlibug/3-3.html: Same.
	* stdlibug/6-2.html: Same.
	* stdlibug/9-1.html: Same.
	* stdlibug/22-1.html: Same.
	* stdlibug/42-1.html: Same.
	* stdlibug/14-3.html: Same.
	* stdlibug/34-3.html: Same.
	* stdlibug/17-2.html: Same.
	* stdlibug/16.html: Same.
	* stdlibug/37-2.html: Same.
	* stdlibug/26-5.html: Same.
	* stdlibug/28.html: Same.
	* stdlibug/booktoc.html: Same.
	* stdlibug/II.html: Same.
	* stdlibug/1-6.html: Same.
	* stdlibug/11-1.html: Same.
	* stdlibug/31-1.html: Same.
	* stdlibug/13.html: Same.
	* stdlibug/40-4.html: Same.
	* stdlibug/23-3.html: Same.
	* stdlibug/43-3.html: Same.
	* stdlibug/25.html: Same.
	* stdlibug/26-2.html: Same.
	* stdlibug/32-6.html: Same.
	* stdlibug/29-1.html: Same.
	* stdlibug/37.html: Same.
	* stdlibug/35-5.html: Same.
	* stdlibug/18-4.html: Same.
	* stdlibug/38-4.html: Same.
	* stdlibug/1-3.html: Same.
	* stdlibug/4-2.html: Same.
	* stdlibug/7-1.html: Same.
	* stdlibug/III.html: Same.
	* stdlibug/IV.html: Same.
	* stdlibug/20-1.html: Same.
	* stdlibug/10.html: Same.
	* stdlibug/40-1.html: Same.
	* stdlibug/12-3.html: Same.
	* stdlibug/22.html: Same.
	* stdlibug/32-3.html: Same.
	* stdlibug/15-2.html: Same.
	* stdlibug/35-2.html: Same.
	* stdlibug/34.html: Same.
	* stdlibug/18-1.html: Same.
	* stdlibug/38-1.html: Same.
	* stdlibug/13-8.html: Same.
	* stdlibug/46.html: Same.
	* stdlibug/27-4.html: Same.
	* stdlibug/2-5.html: Same.
	* stdlibug/5-4.html: Same.
	* stdlibug/8.html: Same.
	* stdlibug/8-3.html: Same.
	* stdlibug/21-3.html: Same.
	* stdlibug/31.html: Same.
	* stdlibug/41-3.html: Same.
	* stdlibug/24-2.html: Same.
	* stdlibug/13-5.html: Same.
	* stdlibug/44-2.html: Same.
	* stdlibug/43.html: Same.
	* stdlibug/27-1.html: Same.
	* stdlibug/16-4.html: Same.
	* stdlibug/36-4.html: Same.
	* stdlibug/39-3.html: Same.
	* stdlibug/frames-contents-chapter.html: Same.
	* stdlibug/2-2.html: Same.
	* stdlibug/5-1.html: Same.
	* stdlibug/5.html: Same.
	* stdlibug/10-3.html: Same.
	* stdlibug/30-3.html: Same.
	* stdlibug/13-2.html: Same.
	* stdlibug/40.html: Same.
	* stdlibug/33-2.html: Same.
	* stdlibug/16-1.html: Same.
	* stdlibug/22-5.html: Same.
	* stdlibug/36-1.html: Same.
	* stdlibug/25-4.html: Same.
	* stdlibug/14-7.html: Same.
	* stdlibug/45-4.html: Same.
	* stdlibug/28-3.html: Same.
	* stdlibug/26-9.html: Same.
	* stdlibug/VIII.html: Same.
	* stdlibug/2.html: Same.
	* stdlibug/3-4.html: Same.
	* stdlibug/6-3.html: Same.
	* stdlibug/9-2.html: Same.
	* stdlibref/iterators.html: Same.
	* stdlibref/new-h.html: Same.
	* stdlibref/2-11.html: Same.
	* stdlibref/B.html: Same.
	* stdlibref/char-traits.html: Same.
	* stdlibref/front-insert-iterator.html: Same.
	* stdlibref/queue.html: Same.
	* stdlibref/reverse-iterator.html: Same.
	* stdlibref/negate.html: Same.
	* stdlibref/operatornew.html: Same.
	* stdlibref/string.html: Same.
	* stdlibref/messages.html: Same.
	* stdlibref/numpunct.html: Same.
	* stdlibref/strstream-h.html: Same.
	* stdlibref/logical-and.html: Same.
	* stdlibref/swap.html: Same.
	* stdlibref/indirect-array.html: Same.
	* stdlibref/bad-cast.html: Same.
	* stdlibref/negators.html: Same.
	* stdlibref/bad-typeid.html: Same.
	* stdlibref/locale-h.html: Same.
	* stdlibref/deque-h.html: Same.
	* stdlibref/frames-intro-text.html: Same.
	* stdlibref/stdexcept-h.html: Same.
	* stdlibref/minus.html: Same.
	* stdlibref/istream-iterator.html: Same.
	* stdlibref/sequences.html: Same.
	* stdlibref/uninitialized-fill.html: Same.
	* stdlibref/lower-bound.html: Same.
	* stdlibref/wstring.html: Same.
	* stdlibref/basic-ofstream.html: Same.
	* stdlibref/equal-range.html: Same.
	* stdlibref/frames-intro-contents.html: Same.
	* stdlibref/ostrstream.html: Same.
	* stdlibref/sstream-h.html: Same.
	* stdlibref/ios-base--failure.html: Same.
	* stdlibref/2-9.html: Same.
	* stdlibref/complex.html: Same.
	* stdlibref/find-first-of.html: Same.
	* stdlibref/random-shuffle.html: Same.
	* stdlibref/algorithm-h.html: Same.
	* stdlibref/find-if.html: Same.
	* stdlibref/iterator-h.html: Same.
	* stdlibref/prev-permutation.html: Same.
	* stdlibref/isupper.html: Same.
	* stdlibref/adjacent-find.html: Same.
	* stdlibref/insert-iterator.html: Same.
	* stdlibref/cerr.html: Same.
	* stdlibref/ctype-byname.html: Same.
	* stdlibref/1-1.html: Same.
	* stdlibref/merge.html: Same.
	* stdlibref/ios-base.html: Same.
	* stdlibref/2-6.html: Same.
	* stdlibref/search.html: Same.
	* stdlibref/return-temporary-buffer.html: Same.
	* stdlibref/invalid-argument.html: Same.
	* stdlibref/gslice.html: Same.
	* stdlibref/valarray-h.html: Same.
	* stdlibref/logical-not.html: Same.
	* stdlibref/algorithms.html: Same.
	* stdlibref/basic-istringstream.html: Same.
	* stdlibref/use-facet.html: Same.
	* stdlibref/A-1.html: Same.
	* stdlibref/replace-copy.html: Same.
	* stdlibref/plus.html: Same.
	* stdlibref/localeutility.html: Same.
	* stdlibref/isxdigit.html: Same.
	* stdlibref/basic-string.html: Same.
	* stdlibref/compare.html: Same.
	* stdlibref/sort.html: Same.
	* stdlibref/I.html: Same.
	* stdlibref/count.html: Same.
	* stdlibref/utility-h.html: Same.
	* stdlibref/iterator.html: Same.
	* stdlibref/tindex.html: Same.
	* stdlibref/isdigit.html: Same.
	* stdlibref/outputiterators.html: Same.
	* stdlibref/ostreambuf-iterator.html: Same.
	* stdlibref/toupper.html: Same.
	* stdlibref/2-3.html: Same.
	* stdlibref/bidirectionaliterators.html: Same.
	* stdlibref/runtime-error.html: Same.
	* stdlibref/time-put-byname.html: Same.
	* stdlibref/operatordelete.html: Same.
	* stdlibref/nth-element.html: Same.
	* stdlibref/unary-function.html: Same.
	* stdlibref/valarray.html: Same.
	* stdlibref/lexicographical-compare.html: Same.
	* stdlibref/bad-exception.html: Same.
	* stdlibref/acknow.html: Same.
	* stdlibref/fill.html: Same.
	* stdlibref/uninitialized-fill-n.html: Same.
	* stdlibref/isprint.html: Same.
	* stdlibref/back-insert-iterator.html: Same.
	* stdlibref/bitset.html: Same.
	* stdlibref/inputiterators.html: Same.
	* stdlibref/underflow-error.html: Same.
	* stdlibref/partial-sum.html: Same.
	* stdlibref/insertiterators.html: Same.
	* stdlibref/bind1st.html: Same.
	* stdlibref/get-temporary-buffer.html: Same.
	* stdlibref/binary-function.html: Same.
	* stdlibref/queue-h.html: Same.
	* stdlibref/cout.html: Same.
	* stdlibref/replace.html: Same.
	* stdlibref/iter-swap.html: Same.
	* stdlibref/wcerr.html: Same.
	* stdlibref/range-error.html: Same.
	* stdlibref/min.html: Same.
	* stdlibref/time-get-byname.html: Same.
	* stdlibref/greater.html: Same.
	* stdlibref/set.html: Same.
	* stdlibref/money-put.html: Same.
	* stdlibref/lists.html: Same.
	* stdlibref/domain-error.html: Same.
	* stdlibref/exception.html: Same.
	* stdlibref/map-h.html: Same.
	* stdlibref/money-get.html: Same.
	* stdlibref/mem-fun.html: Same.
	* stdlibref/num-put.html: Same.
	* stdlibref/less.html: Same.
	* stdlibref/inplace-merge.html: Same.
	* stdlibref/num-get.html: Same.
	* stdlibref/replace-copy-if.html: Same.
	* stdlibref/not1.html: Same.
	* stdlibref/collate.html: Same.
	* stdlibref/logic-error.html: Same.
	* stdlibref/overflow-error.html: Same.
	* stdlibref/stack-h.html: Same.
	* stdlibref/basic-filebuf.html: Same.
	* stdlibref/iterator-traits.html: Same.
	* stdlibref/locale.html: Same.
	* stdlibref/associativecontainers.html: Same.
	* stdlibref/frames-tindex-contents.html: Same.
	* stdlibref/priority-queue.html: Same.
	* stdlibref/pointer-to-binary-function.html: Same.
	* stdlibref/isalnum.html: Same.
	* stdlibref/copyright.html: Same.
	* stdlibref/list.html: Same.
	* stdlibref/transform.html: Same.
	* stdlibref/ios-h.html: Same.
	* stdlibref/exceptions.html: Same.
	* stdlibref/next-permutation.html: Same.
	* stdlibref/max.html: Same.
	* stdlibref/multimap.html: Same.
	* stdlibref/remove.html: Same.
	* stdlibref/1-2.html: Same.
	* stdlibref/basic-stringstream.html: Same.
	* stdlibref/wcout.html: Same.
	* stdlibref/sort-heap.html: Same.
	* stdlibref/2-7.html: Same.
	* stdlibref/slice-array.html: Same.
	* stdlibref/pointer-to-unary-function.html: Same.
	* stdlibref/A-2.html: Same.
	* stdlibref/find.html: Same.
	* stdlibref/set-h.html: Same.
	* stdlibref/ctype.html: Same.
	* stdlibref/fstream-h.html: Same.
	* stdlibref/numeric-h.html: Same.
	* stdlibref/divides.html: Same.
	* stdlibref/remove-if.html: Same.
	* stdlibref/distance.html: Same.
	* stdlibref/pair.html: Same.
	* stdlibref/set-intersection.html: Same.
	* stdlibref/unary-negate.html: Same.
	* stdlibref/remove-copy-if.html: Same.
	* stdlibref/numeric-limits.html: Same.
	* stdlibref/moneypunct.html: Same.
	* stdlibref/adjacent-difference.html: Same.
	* stdlibref/advance.html: Same.
	* stdlibref/2-4.html: Same.
	* stdlibref/min-element.html: Same.
	* stdlibref/streambuf-h.html: Same.
	* stdlibref/bad-alloc.html: Same.
	* stdlibref/bitmasktypes.html: Same.
	* stdlibref/basic-ostringstream.html: Same.
	* stdlibref/basic-stringbuf.html: Same.
	* stdlibref/reverse-copy.html: Same.
	* stdlibref/isspace.html: Same.
	* stdlibref/functional-h.html: Same.
	* stdlibref/istreambuf-iterator.html: Same.
	* stdlibref/basic-ifstream.html: Same.
	* stdlibref/inner-product.html: Same.
	* stdlibref/string-h.html: Same.
	* stdlibref/2-1.html: Same.
	* stdlibref/slice.html: Same.
	* stdlibref/list-h.html: Same.
	* stdlibref/ostream-iterator.html: Same.
	* stdlibref/vector.html: Same.
	* stdlibref/time-put.html: Same.
	* stdlibref/noframes.html: Same.
	* stdlibref/auto-ptr.html: Same.
	* stdlibref/time-get.html: Same.
	* stdlibref/isalpha.html: Same.
	* stdlibref/raw-storage-iterator.html: Same.
	* stdlibref/islower.html: Same.
	* stdlibref/clog.html: Same.
	* stdlibref/find-end.html: Same.
	* stdlibref/vector-h.html: Same.
	* stdlibref/generate.html: Same.
	* stdlibref/ptr-fun.html: Same.
	* stdlibref/isgraph.html: Same.
	* stdlibref/1.html: Same.
	* stdlibref/codecvt-byname.html: Same.
	* stdlibref/wcin.html: Same.
	* stdlibref/functoc.html: Same.
	* stdlibref/fpos.html: Same.
	* stdlibref/reverse.html: Same.
	* stdlibref/max-element.html: Same.
	* stdlibref/2-10.html: Same.
	* stdlibref/basic-fstream.html: Same.
	* stdlibref/A.html: Same.
	* stdlibref/not2.html: Same.
	* stdlibref/gslice-array.html: Same.
	* stdlibref/for-each.html: Same.
	* stdlibref/not-equal-to.html: Same.
	* stdlibref/codecvt.html: Same.
	* stdlibref/logical-or.html: Same.
	* stdlibref/partial-sort-copy.html: Same.
	* stdlibref/push-heap.html: Same.
	* stdlibref/has-facet.html: Same.
	* stdlibref/tolower.html: Same.
	* stdlibref/rotate.html: Same.
	* stdlibref/booktoc.html: Same.
	* stdlibref/upper-bound.html: Same.
	* stdlibref/II.html: Same.
	* stdlibref/out-of-range.html: Same.
	* stdlibref/basic-streambuf.html: Same.
	* stdlibref/basic-ios.html: Same.
	* stdlibref/iscntrl.html: Same.
	* stdlibref/iosfwd-h.html: Same.
	* stdlibref/allocator.html: Same.
	* stdlibref/basic-istream.html: Same.
	* stdlibref/accumulate.html: Same.
	* stdlibref/strstream.html: Same.
	* stdlibref/streamiterators.html: Same.
	* stdlibref/complex-h.html: Same.
	* stdlibref/--iterator-category.html: Same.
	* stdlibref/functionobjects.html: Same.
	* stdlibref/1-3.html: Same.
	* stdlibref/basic-iostream.html: Same.
	* stdlibref/2-8.html: Same.
	* stdlibref/partition.html: Same.
	* stdlibref/III.html: Same.
	* stdlibref/wclog.html: Same.
	* stdlibref/IV.html: Same.
	* stdlibref/A-3.html: Same.
	* stdlibref/uninitialized-copy.html: Same.
	* stdlibref/predicates.html: Same.
	* stdlibref/ispunct.html: Same.
	* stdlibref/binary-negate.html: Same.
	* stdlibref/equal-to.html: Same.
	* stdlibref/swap-ranges.html: Same.
	* stdlibref/make-heap.html: Same.
	* stdlibref/istrstream.html: Same.
	* stdlibref/randomaccessiterators.html: Same.
	* stdlibref/ostream-h.html: Same.
	* stdlibref/stable-sort.html: Same.
	* stdlibref/forwarditerators.html: Same.
	* stdlibref/frames-classes-func.html: Same.
	* stdlibref/localedefutility.html: Same.
	* stdlibref/2-5.html: Same.
	* stdlibref/multiset.html: Same.
	* stdlibref/length-error.html: Same.
	* stdlibref/less-equal.html: Same.
	* stdlibref/operators.html: Same.
	* stdlibref/iomanip-h.html: Same.
	* stdlibref/heapoperations.html: Same.
	* stdlibref/set-union.html: Same.
	* stdlibref/exception-h.html: Same.
	* stdlibref/set-difference.html: Same.
	* stdlibref/limits-h.html: Same.
	* stdlibref/modulus.html: Same.
	* stdlibref/basic-ostream.html: Same.
	* stdlibref/frames-classes-alpha.html: Same.
	* stdlibref/memory-h.html: Same.
	* stdlibref/set-symmetric-difference.html: Same.
	* stdlibref/2-2.html: Same.
	* stdlibref/deque.html: Same.
	* stdlibref/mismatch.html: Same.
	* stdlibref/facets.html: Same.
	* stdlibref/unique.html: Same.
	* stdlibref/equal.html: Same.
	* stdlibref/iostream-h.html: Same.
	* stdlibref/cin.html: Same.
	* stdlibref/map.html: Same.
	* stdlibref/partial-sort.html: Same.
	* stdlibref/stable-partition.html: Same.
	* stdlibref/strstreambuf.html: Same.
	* stdlibref/typeinfo-h.html: Same.
	* stdlibref/multiplies.html: Same.
	* stdlibref/binary-search.html: Same.
	* stdlibref/istream-h.html: Same.
	* stdlibref/greater-equal.html: Same.
	* stdlibref/2.html: Same.
	* stdlibref/--distance-type.html: Same.
	* stdlibref/remove-copy.html: Same.
	* stdlibref/containers.html: Same.
	* stdlibref/stack.html: Same.
	* stdlibref/includes.html: Same.
	* stdlibref/replace-if.html: Same.
	* stdlibref/mask-array.html: Same.
	* stdlibref/pop-heap.html: Same.
	* stdlibref/copy.html: Same.

2007-05-06  Martin Sebor  <sebor@roguewave.com>

	* index.html: Removed executable property, set EOL style to native,
	and added the Id keyword.
	* stdlibref/find-end.html: Same.
	* stdlibref/bad-alloc.html: Same.
	* stdlibref/fstream-h.html: Same.
	* stdlibref/not-equal-to.html: Same.
	* stdlibref/iter-swap.html: Same.
	* stdlibref/stable-sort.html: Same.
	* stdlibref/collate.html: Same.
	* stdlibref/fill.html: Same.
	* stdlibref/bad-typeid.html: Same.
	* stdlibref/isgraph.html: Same.
	* stdlibref/IV.html: Same.
	* stdlibref/isupper.html: Same.
	* stdlibref/basic-stringstream.html: Same.
	* stdlibref/allocator.html: Same.
	* stdlibref/operators.html: Same.
	* stdlibref/wcin.html: Same.
	* stdlibref/basic-filebuf.html: Same.
	* stdlibref/isspace.html: Same.
	* stdlibref/frames-intro-text.html: Same.
	* stdlibref/logical-and.html: Same.
	* stdlibref/equal-to.html: Same.
	* stdlibref/auto-ptr.html: Same.
	* stdlibref/ptr-fun.html: Same.
	* stdlibref/isalnum.html: Same.
	* stdlibref/I.html: Same.
	* stdlibref/2-5.html: Same.
	* stdlibref/A.html: Same.
	* stdlibref/new-h.html: Same.
	* stdlibref/has-facet.html: Same.
	* stdlibref/sequences.html: Same.
	* stdlibref/containers.html: Same.
	* stdlibref/search.html: Same.
	* stdlibref/vector.html: Same.
	* stdlibref/isprint.html: Same.
	* stdlibref/islower.html: Same.
	* stdlibref/complex-h.html: Same.
	* stdlibref/remove-copy.html: Same.
	* stdlibref/bad-cast.html: Same.
	* stdlibref/nth-element.html: Same.
	* stdlibref/basic-ostream.html: Same.
	* stdlibref/set-intersection.html: Same.
	* stdlibref/istrstream.html: Same.
	* stdlibref/operatordelete.html: Same.
	* stdlibref/2-7.html: Same.
	* stdlibref/basic-fstream.html: Same.
	* stdlibref/sort-heap.html: Same.
	* stdlibref/set-symmetric-difference.html: Same.
	* stdlibref/strstream.html: Same.
	* stdlibref/adjacent-find.html: Same.
	* stdlibref/accumulate.html: Same.
	* stdlibref/clog.html: Same.
	* stdlibref/numeric-h.html: Same.
	* stdlibref/basic-ios.html: Same.
	* stdlibref/functionobjects.html: Same.
	* stdlibref/mismatch.html: Same.
	* stdlibref/reverse-iterator.html: Same.
	* stdlibref/time-get.html: Same.
	* stdlibref/lower-bound.html: Same.
	* stdlibref/time-put.html: Same.
	* stdlibref/istream-iterator.html: Same.
	* stdlibref/pointer-to-unary-function.html: Same.
	* stdlibref/map-h.html: Same.
	* stdlibref/list-h.html: Same.
	* stdlibref/basic-istream.html: Same.
	* stdlibref/basic-ifstream.html: Same.
	* stdlibref/pop-heap.html: Same.
	* stdlibref/plus.html: Same.
	* stdlibref/runtime-error.html: Same.
	* stdlibref/A-2.html: Same.
	* stdlibref/memory-h.html: Same.
	* stdlibref/bitmasktypes.html: Same.
	* stdlibref/binary-search.html: Same.
	* stdlibref/fpos.html: Same.
	* stdlibref/sort.html: Same.
	* stdlibref/moneypunct.html: Same.
	* stdlibref/acknow.html: Same.
	* stdlibref/basic-ostringstream.html: Same.
	* stdlibref/cin.html: Same.
	* stdlibref/char-traits.html: Same.
	* stdlibref/wclog.html: Same.
	* stdlibref/domain-error.html: Same.
	* stdlibref/compare.html: Same.
	* stdlibref/list.html: Same.
	* stdlibref/iterator-traits.html: Same.
	* stdlibref/pair.html: Same.
	* stdlibref/localeutility.html: Same.
	* stdlibref/A-3.html: Same.
	* stdlibref/rotate.html: Same.
	* stdlibref/set-union.html: Same.
	* stdlibref/1-1.html: Same.
	* stdlibref/sstream-h.html: Same.
	* stdlibref/2-3.html: Same.
	* stdlibref/front-insert-iterator.html: Same.
	* stdlibref/money-get.html: Same.
	* stdlibref/lexicographical-compare.html: Same.
	* stdlibref/ios-base--failure.html: Same.
	* stdlibref/numpunct.html: Same.
	* stdlibref/2-6.html: Same.
	* stdlibref/bitset.html: Same.
	* stdlibref/replace-if.html: Same.
	* stdlibref/greater.html: Same.
	* stdlibref/valarray.html: Same.
	* stdlibref/minus.html: Same.
	* stdlibref/2-8.html: Same.
	* stdlibref/basic-ofstream.html: Same.
	* stdlibref/max-element.html: Same.
	* stdlibref/overflow-error.html: Same.
	* stdlibref/wcout.html: Same.
	* stdlibref/binary-negate.html: Same.
	* stdlibref/stack.html: Same.
	* stdlibref/A-1.html: Same.
	* stdlibref/iostream-h.html: Same.
	* stdlibref/booktoc.html: Same.
	* stdlibref/facets.html: Same.
	* stdlibref/reverse.html: Same.
	* stdlibref/partial-sort-copy.html: Same.
	* stdlibref/wcerr.html: Same.
	* stdlibref/money-put.html: Same.
	* stdlibref/less-equal.html: Same.
	* stdlibref/insertiterators.html: Same.
	* stdlibref/contact.html: Same.
	* stdlibref/stable-partition.html: Same.
	* stdlibref/multiset.html: Same.
	* stdlibref/raw-storage-iterator.html: Same.
	* stdlibref/frames-classes-alpha.html: Same.
	* stdlibref/--iterator-category.html: Same.
	* stdlibref/find.html: Same.
	* stdlibref/time-put-byname.html: Same.
	* stdlibref/basic-istringstream.html: Same.
	* stdlibref/num-put.html: Same.
	* stdlibref/set-h.html: Same.
	* stdlibref/frames-displayarea.html: Same.
	* stdlibref/queue-h.html: Same.
	* stdlibref/min.html: Same.
	* stdlibref/swap-ranges.html: Same.
	* stdlibref/binary-function.html: Same.
	* stdlibref/2-10.html: Same.
	* stdlibref/iomanip-h.html: Same.
	* stdlibref/forwarditerators.html: Same.
	* stdlibref/bidirectionaliterators.html: Same.
	* stdlibref/transform.html: Same.
	* stdlibref/frames-tindex.html: Same.
	* stdlibref/strstreambuf.html: Same.
	* stdlibref/negate.html: Same.
	* stdlibref/slice-array.html: Same.
	* stdlibref/associativecontainers.html: Same.
	* stdlibref/basic-stringbuf.html: Same.
	* stdlibref/copy.html: Same.
	* stdlibref/valarray-h.html: Same.
	* stdlibref/ostream-h.html: Same.
	* stdlibref/equal-range.html: Same.
	* stdlibref/limits-h.html: Same.
	* stdlibref/replace-copy-if.html: Same.
	* stdlibref/exception-h.html: Same.
	* stdlibref/iscntrl.html: Same.
	* stdlibref/tolower.html: Same.
	* stdlibref/III.html: Same.
	* stdlibref/underflow-error.html: Same.
	* stdlibref/gslice-array.html: Same.
	* stdlibref/localedefutility.html: Same.
	* stdlibref/make-heap.html: Same.
	* stdlibref/outputiterators.html: Same.
	* stdlibref/unary-function.html: Same.
	* stdlibref/priority-queue.html: Same.
	* stdlibref/generate.html: Same.
	* stdlibref/streambuf-h.html: Same.
	* stdlibref/prev-permutation.html: Same.
	* stdlibref/push-heap.html: Same.
	* stdlibref/use-facet.html: Same.
	* stdlibref/logical-or.html: Same.
	* stdlibref/find-first-of.html: Same.
	* stdlibref/multimap.html: Same.
	* stdlibref/toupper.html: Same.
	* stdlibref/gslice.html: Same.
	* stdlibref/codecvt.html: Same.
	* stdlibref/string-h.html: Same.
	* stdlibref/find-if.html: Same.
	* stdlibref/1-2.html: Same.
	* stdlibref/cerr.html: Same.
	* stdlibref/index.html: Same.
	* stdlibref/ios-base.html: Same.
	* stdlibref/ostream-iterator.html: Same.
	* stdlibref/includes.html: Same.
	* stdlibref/messages.html: Same.
	* stdlibref/2-11.html: Same.
	* stdlibref/B.html: Same.
	* stdlibref/bind1st.html: Same.
	* stdlibref/logical-not.html: Same.
	* stdlibref/numeric-limits.html: Same.
	* stdlibref/inplace-merge.html: Same.
	* stdlibref/isxdigit.html: Same.
	* stdlibref/2-2.html: Same.
	* stdlibref/deque-h.html: Same.
	* stdlibref/slice.html: Same.
	* stdlibref/count.html: Same.
	* stdlibref/2-1.html: Same.
	* stdlibref/random-shuffle.html: Same.
	* stdlibref/for-each.html: Same.
	* stdlibref/functoc.html: Same.
	* stdlibref/max.html: Same.
	* stdlibref/partial-sum.html: Same.
	* stdlibref/streamiterators.html: Same.
	* stdlibref/indirect-array.html: Same.
	* stdlibref/algorithm-h.html: Same.
	* stdlibref/distance.html: Same.
	* stdlibref/queue.html: Same.
	* stdlibref/utility-h.html: Same.
	* stdlibref/basic-string.html: Same.
	* stdlibref/remove-if.html: Same.
	* stdlibref/exceptions.html: Same.
	* stdlibref/merge.html: Same.
	* stdlibref/partial-sort.html: Same.
	* stdlibref/vector-h.html: Same.
	* stdlibref/iterator-h.html: Same.
	* stdlibref/mask-array.html: Same.
	* stdlibref/cout.html: Same.
	* stdlibref/heapoperations.html: Same.
	* stdlibref/ostreambuf-iterator.html: Same.
	* stdlibref/uninitialized-copy.html: Same.
	* stdlibref/uninitialized-fill-n.html: Same.
	* stdlibref/length-error.html: Same.
	* stdlibref/reverse-copy.html: Same.
	* stdlibref/adjacent-difference.html: Same.
	* stdlibref/2-9.html: Same.
	* stdlibref/basic-iostream.html: Same.
	* stdlibref/exception.html: Same.
	* stdlibref/remove.html: Same.
	* stdlibref/less.html: Same.
	* stdlibref/typeinfo-h.html: Same.
	* stdlibref/locale-h.html: Same.
	* stdlibref/functional-h.html: Same.
	* stdlibref/isalpha.html: Same.
	* stdlibref/basic-streambuf.html: Same.
	* stdlibref/istream-h.html: Same.
	* stdlibref/iterator.html: Same.
	* stdlibref/lists.html: Same.
	* stdlibref/pointer-to-binary-function.html: Same.
	* stdlibref/not1.html: Same.
	* stdlibref/upper-bound.html: Same.
	* stdlibref/out-of-range.html: Same.
	* stdlibref/codecvt-byname.html: Same.
	* stdlibref/iosfwd-h.html: Same.
	* stdlibref/tindex.html: Same.
	* stdlibref/wstring.html: Same.
	* stdlibref/string.html: Same.
	* stdlibref/complex.html: Same.
	* stdlibref/1-3.html: Same.
	* stdlibref/greater-equal.html: Same.
	* stdlibref/ostrstream.html: Same.
	* stdlibref/2-4.html: Same.
	* stdlibref/copyright.html: Same.
	* stdlibref/frames-classes-func.html: Same.
	* stdlibref/remove-copy-if.html: Same.
	* stdlibref/ctype.html: Same.
	* stdlibref/isdigit.html: Same.
	* stdlibref/inputiterators.html: Same.
	* stdlibref/logic-error.html: Same.
	* stdlibref/equal.html: Same.
	* stdlibref/--distance-type.html: Same.
	* stdlibref/randomaccessiterators.html: Same.
	* stdlibref/deque.html: Same.
	* stdlibref/ispunct.html: Same.
	* stdlibref/return-temporary-buffer.html: Same.
	* stdlibref/set-difference.html: Same.
	* stdlibref/bad-exception.html: Same.
	* stdlibref/replace.html: Same.
	* stdlibref/map.html: Same.
	* stdlibref/unique.html: Same.
	* stdlibref/modulus.html: Same.
	* stdlibref/mem-fun.html: Same.
	* stdlibref/strstream-h.html: Same.
	* stdlibref/time-get-byname.html: Same.
	* stdlibref/unary-negate.html: Same.
	* stdlibref/advance.html: Same.
	* stdlibref/multiplies.html: Same.
	* stdlibref/set.html: Same.
	* stdlibref/get-temporary-buffer.html: Same.
	* stdlibref/II.html: Same.
	* stdlibref/replace-copy.html: Same.
	* stdlibref/num-get.html: Same.
	* stdlibref/frames-tindex-contents.html: Same.
	* stdlibref/invalid-argument.html: Same.
	* stdlibref/noframes.html: Same.
	* stdlibref/inner-product.html: Same.
	* stdlibref/istreambuf-iterator.html: Same.
	* stdlibref/frames-banner.html: Same.
	* stdlibref/uninitialized-fill.html: Same.
	* stdlibref/partition.html: Same.
	* stdlibref/predicates.html: Same.
	* stdlibref/stack-h.html: Same.
	* stdlibref/ctype-byname.html: Same.
	* stdlibref/1.html: Same.
	* stdlibref/min-element.html: Same.
	* stdlibref/operatornew.html: Same.
	* stdlibref/swap.html: Same.
	* stdlibref/insert-iterator.html: Same.
	* stdlibref/not2.html: Same.
	* stdlibref/iterators.html: Same.
	* stdlibref/2.html: Same.
	* stdlibref/stdexcept-h.html: Same.
	* stdlibref/next-permutation.html: Same.
	* stdlibref/divides.html: Same.
	* stdlibref/algorithms.html: Same.
	* stdlibref/back-insert-iterator.html: Same.
	* stdlibref/frames-intro-contents.html: Same.
	* stdlibref/locale.html: Same.
	* stdlibref/ios-h.html: Same.
	* stdlibref/range-error.html: Same.
	* stdlibref/negators.html: Same.
	* stdlibug/43-3.html: Same.
	* stdlibug/26-3.html: Same.
	* stdlibug/IV.html: Same.
	* stdlibug/8-2.html: Same.
	* stdlibug/4-2.html: Same.
	* stdlibug/28-3.html: Same.
	* stdlibug/VIII.html: Same.
	* stdlibug/42-3.html: Same.
	* stdlibug/18-1.html: Same.
	* stdlibug/8-3.html: Same.
	* stdlibug/26-7.html: Same.
	* stdlibug/31-3.html: Same.
	* stdlibug/27-4.html: Same.
	* stdlibug/1-6.html: Same.
	* stdlibug/frames-intro-text.html: Same.
	* stdlibug/45-3.html: Same.
	* stdlibug/5-3.html: Same.
	* stdlibug/23-2.html: Same.
	* stdlibug/6-2.html: Same.
	* stdlibug/24-4.html: Same.
	* stdlibug/I.html: Same.
	* stdlibug/38-3.html: Same.
	* stdlibug/38-4.html: Same.
	* stdlibug/43-4.html: Same.
	* stdlibug/12.html: Same.
	* stdlibug/2-5.html: Same.
	* stdlibug/22-3.html: Same.
	* stdlibug/45-5.html: Same.
	* stdlibug/10-3.html: Same.
	* stdlibug/26-1.html: Same.
	* stdlibug/45-1.html: Same.
	* stdlibug/27-1.html: Same.
	* stdlibug/5-1.html: Same.
	* stdlibug/38-5.html: Same.
	* stdlibug/15-2.html: Same.
	* stdlibug/3.html: Same.
	* stdlibug/26-6.html: Same.
	* stdlibug/37-2.html: Same.
	* stdlibug/43.html: Same.
	* stdlibug/22-5.html: Same.
	* stdlibug/3-3.html: Same.
	* stdlibug/32-4.html: Same.
	* stdlibug/26.html: Same.
	* stdlibug/13-4.html: Same.
	* stdlibug/23.html: Same.
	* stdlibug/19-2.html: Same.
	* stdlibug/29.html: Same.
	* stdlibug/19.html: Same.
	* stdlibug/14.html: Same.
	* stdlibug/33-1.html: Same.
	* stdlibug/7-2.html: Same.
	* stdlibug/5-4.html: Same.
	* stdlibug/40-5.html: Same.
	* stdlibug/34-3.html: Same.
	* stdlibug/24-2.html: Same.
	* stdlibug/41-2.html: Same.
	* stdlibug/11-3.html: Same.
	* stdlibug/10.html: Same.
	* stdlibug/14-7.html: Same.
	* stdlibug/8-1.html: Same.
	* stdlibug/VI.html: Same.
	* stdlibug/35.html: Same.
	* stdlibug/35-4.html: Same.
	* stdlibug/acknow.html: Same.
	* stdlibug/33-3.html: Same.
	* stdlibug/44.html: Same.
	* stdlibug/29-1.html: Same.
	* stdlibug/40-3.html: Same.
	* stdlibug/31-2.html: Same.
	* stdlibug/28.html: Same.
	* stdlibug/36.html: Same.
	* stdlibug/46-1.html: Same.
	* stdlibug/34-4.html: Same.
	* stdlibug/1-1.html: Same.
	* stdlibug/45-2.html: Same.
	* stdlibug/2-3.html: Same.
	* stdlibug/21-3.html: Same.
	* stdlibug/13-5.html: Same.
	* stdlibug/39-2.html: Same.
	* stdlibug/20-2.html: Same.
	* stdlibug/22-7.html: Same.
	* stdlibug/23-3.html: Same.
	* stdlibug/33-2.html: Same.
	* stdlibug/16-4.html: Same.
	* stdlibug/42.html: Same.
	* stdlibug/28-4.html: Same.
	* stdlibug/25-6.html: Same.
	* stdlibug/35-3.html: Same.
	* stdlibug/25.html: Same.
	* stdlibug/32-5.html: Same.
	* stdlibug/9-1.html: Same.
	* stdlibug/24-3.html: Same.
	* stdlibug/booktoc.html: Same.
	* stdlibug/39-1.html: Same.
	* stdlibug/14-3.html: Same.
	* stdlibug/26-5.html: Same.
	* stdlibug/contact.html: Same.
	* stdlibug/31-1.html: Same.
	* stdlibug/13-3.html: Same.
	* stdlibug/36-4.html: Same.
	* stdlibug/38-2.html: Same.
	* stdlibug/12-3.html: Same.
	* stdlibug/5.html: Same.
	* stdlibug/16-2.html: Same.
	* stdlibug/frames-displayarea.html: Same.
	* stdlibug/28-2.html: Same.
	* stdlibug/34-1.html: Same.
	* stdlibug/14-4.html: Same.
	* stdlibug/17.html: Same.
	* stdlibug/13-7.html: Same.
	* stdlibug/41-1.html: Same.
	* stdlibug/32.html: Same.
	* stdlibug/13-8.html: Same.
	* stdlibug/6.html: Same.
	* stdlibug/32-6.html: Same.
	* stdlibug/27-3.html: Same.
	* stdlibug/22-1.html: Same.
	* stdlibug/43-2.html: Same.
	* stdlibug/34.html: Same.
	* stdlibug/frames-tindex.html: Same.
	* stdlibug/13-6.html: Same.
	* stdlibug/24.html: Same.
	* stdlibug/21-1.html: Same.
	* stdlibug/40-1.html: Same.
	* stdlibug/38-1.html: Same.
	* stdlibug/45-4.html: Same.
	* stdlibug/34-2.html: Same.
	* stdlibug/10-1.html: Same.
	* stdlibug/39.html: Same.
	* stdlibug/24-1.html: Same.
	* stdlibug/15-1.html: Same.
	* stdlibug/11-2.html: Same.
	* stdlibug/35-1.html: Same.
	* stdlibug/III.html: Same.
	* stdlibug/9.html: Same.
	* stdlibug/22-6.html: Same.
	* stdlibug/3-5.html: Same.
	* stdlibug/5-2.html: Same.
	* stdlibug/3-4.html: Same.
	* stdlibug/43-1.html: Same.
	* stdlibug/V.html: Same.
	* stdlibug/22-2.html: Same.
	* stdlibug/41.html: Same.
	* stdlibug/38.html: Same.
	* stdlibug/13.html: Same.
	* stdlibug/41-3.html: Same.
	* stdlibug/39-3.html: Same.
	* stdlibug/20.html: Same.
	* stdlibug/14-5.html: Same.
	* stdlibug/40.html: Same.
	* stdlibug/3-2.html: Same.
	* stdlibug/26-2.html: Same.
	* stdlibug/20-3.html: Same.
	* stdlibug/1-2.html: Same.
	* stdlibug/30-2.html: Same.
	* stdlibug/7-1.html: Same.
	* stdlibug/18-4.html: Same.
	* stdlibug/index.html: Same.
	* stdlibug/32-2.html: Same.
	* stdlibug/25-2.html: Same.
	* stdlibug/29-3.html: Same.
	* stdlibug/21.html: Same.
	* stdlibug/33.html: Same.
	* stdlibug/2-2.html: Same.
	* stdlibug/8-4.html: Same.
	* stdlibug/45.html: Same.
	* stdlibug/2-1.html: Same.
	* stdlibug/14-1.html: Same.
	* stdlibug/42-1.html: Same.
	* stdlibug/11.html: Same.
	* stdlibug/13-2.html: Same.
	* stdlibug/15-3.html: Same.
	* stdlibug/frames-contents-chapter.html: Same.
	* stdlibug/7-3.html: Same.
	* stdlibug/36-3.html: Same.
	* stdlibug/35-6.html: Same.
	* stdlibug/37-1.html: Same.
	* stdlibug/7.html: Same.
	* stdlibug/11-1.html: Same.
	* stdlibug/18-2.html: Same.
	* stdlibug/18.html: Same.
	* stdlibug/26-9.html: Same.
	* stdlibug/28-1.html: Same.
	* stdlibug/30.html: Same.
	* stdlibug/30-3.html: Same.
	* stdlibug/40-2.html: Same.
	* stdlibug/17-1.html: Same.
	* stdlibug/20-1.html: Same.
	* stdlibug/14-2.html: Same.
	* stdlibug/6-3.html: Same.
	* stdlibug/10-2.html: Same.
	* stdlibug/32-1.html: Same.
	* stdlibug/23-1.html: Same.
	* stdlibug/25-1.html: Same.
	* stdlibug/1-5.html: Same.
	* stdlibug/22-4.html: Same.
	* stdlibug/35-5.html: Same.
	* stdlibug/22.html: Same.
	* stdlibug/VII.html: Same.
	* stdlibug/lists.html: Same.
	* stdlibug/27.html: Same.
	* stdlibug/21-2.html: Same.
	* stdlibug/4-1.html: Same.
	* stdlibug/tindex.html: Same.
	* stdlibug/frames-contents-all.html: Same.
	* stdlibug/1-7.html: Same.
	* stdlibug/1-3.html: Same.
	* stdlibug/2-4.html: Same.
	* stdlibug/copyright.html: Same.
	* stdlibug/13-1.html: Same.
	* stdlibug/25-5.html: Same.
	* stdlibug/16.html: Same.
	* stdlibug/36-2.html: Same.
	* stdlibug/46.html: Same.
	* stdlibug/37.html: Same.
	* stdlibug/4-3.html: Same.
	* stdlibug/30-4.html: Same.
	* stdlibug/4.html: Same.
	* stdlibug/44-2.html: Same.
	* stdlibug/17-2.html: Same.
	* stdlibug/26-8.html: Same.
	* stdlibug/30-1.html: Same.
	* stdlibug/29-2.html: Same.
	* stdlibug/8.html: Same.
	* stdlibug/40-4.html: Same.
	* stdlibug/36-1.html: Same.
	* stdlibug/14-6.html: Same.
	* stdlibug/9-2.html: Same.
	* stdlibug/18-3.html: Same.
	* stdlibug/32-3.html: Same.
	* stdlibug/42-2.html: Same.
	* stdlibug/31.html: Same.
	* stdlibug/30-5.html: Same.
	* stdlibug/II.html: Same.
	* stdlibug/9-3.html: Same.
	* stdlibug/frames-tindex-contents.html: Same.
	* stdlibug/12-2.html: Same.
	* stdlibug/noframes.html: Same.
	* stdlibug/4-4.html: Same.
	* stdlibug/6-1.html: Same.
	* stdlibug/frames-banner.html: Same.
	* stdlibug/25-4.html: Same.
	* stdlibug/16-1.html: Same.
	* stdlibug/26-4.html: Same.
	* stdlibug/3-1.html: Same.
	* stdlibug/1.html: Same.
	* stdlibug/1-4.html: Same.
	* stdlibug/35-2.html: Same.
	* stdlibug/16-3.html: Same.
	* stdlibug/2.html: Same.
	* stdlibug/28-5.html: Same.
	* stdlibug/23-4.html: Same.
	* stdlibug/25-3.html: Same.
	* stdlibug/27-2.html: Same.
	* stdlibug/12-1.html: Same.
	* stdlibug/frames-intro-contents.html: Same.
	* stdlibug/15.html: Same.
	* stdlibug/19-1.html: Same.
	* stdlibug/44-1.html: Same.

2007-05-05  Martin Sebor  <sebor@roguewave.com>

	* mbsrtowcs.cpp: New example program to demonstrate an implementation
	of the C Standard Library function mbsrtowcs() in terms of the C++
	Standard Library codecvt facet precipitated by the Usenet thread:
	http://groups.google.com/group/comp.lang.c++/browse_thread/thread/85ffe366e1d65734
	* mbsrtowcs.out: Expected output of the example program.

2007-05-03  Martin Sebor  <sebor@roguewave.com>

	* environ.cpp [FreeBSD] (rw_putenv): Ignored unsetenv() return
	value since the function is declared to return void on FreeBSD.

2007-05-03  Martin Sebor  <sebor@roguewave.com>

	* file.cpp (P_tmpdir): Added a comment.

2007-05-03  Martin Sebor  <sebor@roguewave.com>

	* index.html: Added Google Analytics tracking code and reformatted.
	* stdlibug/frames-banner.html: Same.
	* stdlibref/frames-banner.html: Same.
	* stdlibug/index.html: Reformatted.
	* stdlibref/index.html: Reformatted.

2007-05-02  Martin Sebor  <sebor@roguewave.com>

	STDCXX-338
	* _config-gcc.h [__CYGWIN__](_RWSTD_NO_EXCEPTION_WHAT): Undefined
	to prevent linker errors due to the symbol being multiply defined.

2007-05-02  Martin Sebor  <sebor@roguewave.com>

	* _config-msvc.h (_RWSTD_DLLIMPORT): Added comments.

2007-04-30  Martin Sebor  <sebor@roguewave.com>

	STDCXX-397
	* algorithm.cc (__introsort_loop): Reduced max_depth before each
	recursive call rather than after.

2007-04-30  Martin Sebor  <sebor@roguewave.com>

	STDCXX-399
	* codecvt.html: Zero-initialized mbstate_t variable in example code
	before passing it to codecvt::in() and codecvt::out() (as done in
	revision 533806. Replaced std::endl with '\n' for efficiency.

2007-04-30  Martin Sebor  <sebor@roguewave.com>

	* codecvt.cpp (main): Zero-initialized mbstate_t variable
	before passing it to codecvt::in() and codecvt::out().
	Replaced std::endl with '\n' for efficiency.

2007-04-26 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-220
	* collate.cpp (def::add_missing_values): Added checking of the
	iterator validity before use.

2007-04-26 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-398
	* projectdef.js (projectCreateVCProject): Added workarounds to build
	projects with ".obj" in name on MSVC 7.x

2007-04-24 Farid Zaripov <Farid_Zaripov@epam.com>

	* configure.wsf: "Checking" replaced with "checking" for consistency
	(checkHeaders): removed variable hdrname2.
	* utilities.js (stripTags): Rewritten to correctly extract text from Buildlog.htm.
	* build.wsf (event_ProjectBuildFinished): Removed invoking of the decodeHTML()
	because of this function invoked in stripTags().

2007-04-21 Farid Zaripov <Farid_Zaripov@epam.com>

	* runall.wsf (runAllExamples, parseStatus): Added handling
	of the status LINK.

2007-04-20 Farid Zaripov <Farid_Zaripov@epam.com>

	* runall.wsf: Added options /PRJDIR and /COMPAT, removed options /BUILDTYPE and /COPYDLL
	* projectdef.js: Add the library path to the PATH environment variable before
	invoking scripts or utilities (exec, localedef)
	* projects.js: Ditto. Removed copying libstdxx.dll to bin directory before invoking
	scripts or utilities

2007-04-16 Farid Zaripov <Farid_Zaripov@epam.com>

	* locale_stub.cpp (main): Corrected calculation of
	the command line length (arglen).

2007-04-13 Farid Zaripov <Farid_Zaripov@epam.com>

	* projects.js (CreateProjectsDefs): Corrected path to the
	shared library.

2007-04-12  Martin Sebor  <sebor@roguewave.com>

	* GNUmakefile.rwt (CXXPRELINK): Added LDLIBS to avoid IBM xlC link
	failures.

2007-04-11 Farid Zaripov <Farid_Zaripov@epam.com>

	* projects.js (localedef): Added a dependency on locale.cpp and
 	memchk.cpp.
 	(locale): Replaced all dependencies with one on locale_stub.cpp.

2007-04-11 Farid Zaripov <Farid_Zaripov@epam.com>

	* generate.wsf (Echo): New function to replace WScript.Echo().

2007-04-10  Martin Sebor  <sebor@roguewave.com>

	STDCXX-393
	* STRUCT_TM.cpp (OFF): #defined a helper macro when the offsetof()
	macro from <stddef.h> doesn't work (i.e., when _RWSTD_NO_OFFSETOF
	is #defined).

2007-04-10  Martin Sebor  <sebor@roguewave.com>

	* limits (_RWSTD_ROUND_STYLE): #defined to round_indeterminate
	when the configuration macro _RWSTD_FLT_ROUNDS is not #defined.

2007-04-10  Martin Sebor  <sebor@roguewave.com>

	* LIMITS.cpp (<limits.h>): Removed an unnecessary #include directive
	(causes compilation errors with EDG eccp -A on Linux due to the use
	of the gcc #include_next extension in system headers).

2007-04-10  Martin Sebor  <sebor@roguewave.com>

	* gcc.config (wide): Encoded the PID of the shell in a temporary file
	name to prevent collisions. Removed a stray $ from an invocation of
	the echo built-in.

2007-04-10  Martin Sebor  <sebor@roguewave.com>

	* _mbstate.h: Updated ASF license.

2007-04-10  Martin Sebor  <sebor@roguewave.com>

	STDCXX-392
	* _mbstate.h (_RWSTD_MBSTATE_T): #defined macro for generic OS.

2007-04-09  Martin Sebor  <sebor@roguewave.com>

	* 21.string.access.cpp (test_access): Cast an argument to
	a (potentially) wider type to silence the pesky HP aCC 3.73
	Warning (suggestion) 887: Type T is smaller than type U,
	unwanted widening in value may result.
	* 21.string.append.cpp (test_append): Same.

2007-04-09  Martin Sebor  <sebor@roguewave.com>

	STDCXX-390
	* _specialized.h (__rw_construct): Removed const qualification from
	second parameter and let the compiler deduce the cv-qualifier from
	the actual argument.

2007-04-07  Martin Sebor  <sebor@roguewave.com>

	STDCXX-387
	* DAYLIGHT.cpp: New config test to determine whether the system
	supports the XSI POSIX extension daylight.
	* time_put.cpp (daylight): #defined to 0 when _RWSTD_NO_DAYLIGHT
	is #defined.

2007-04-06  Martin Sebor  <sebor@roguewave.com>

	STDCXX-386
	* locale.cpp (main): Renamed...
	(locale_main): ...to this and removed exception handling.
	(print_mon): Added missing comma.
	* localedef.cpp (main): Renamed...
	(localedef_main): ...to this and removed exception handling.
	(main): Invoked locale_main() or localedef_main() depending on whether
	the first command line option is the special keyword "--locale-mode"
	or something else. Handled exceptions from either function.
	* locale_stub.cpp: New. Invokes localedef --locale-mode ...
	* GNUmakefile.bin (localedef): Added a dependency on locale.o and
	memchk.o.
	(locale): Replaced all dependencies with one on locale_stub.o so
	as to avoid linking the same object files into more than one program.

2007-04-06 Farid Zaripov <Farid_Zaripov@epam.com>

	* build.wsf: Rename stdlib to stdcxx.
	* generate.wsf: Ditto.
	* makelog.wsf: Ditto.
	* projects.js: Ditto. Rename out library name from
	stdlib.[lib|dll] to libstd.[lib|dll] to consistency
	with unix names
	* runall.wsf: The same.

2007-04-06 Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-352
	* gcc.config [Cygwin]: Set SHARED_SUFFIX = .dll

2007-04-05  Martin Sebor  <sebor@roguewave.com>

	* valcmp.cpp (rw_fltcmp): Corrected typos in preprocessor conditional.

2007-04-05 Farid Zaripov <Farid_Zaripov@epam.com>

	* build.wsf (BuildProject): Get real name of the project file
	instead of the predefined PrjName.vcproj.
	* generate.wsf (convertSolutions): New function to convert
	the solution(s) from MSVC to ICC format.
	(generate): Use convertSolutions() to convert the all
	created solutions.
	* summary.js (saveSummaryHeaderMulti): Close file to unlock
	it before delete.

2007-04-04  Martin Sebor  <sebor@roguewave.com>

	STDCXX-385
	* vector.cc (_C_insert_range): Renamed a loop control variable
	to prevent clashing with another, and to silence a bogus HP
	cadvise error #2101: variable has already been declared in the
	current scope.

2007-04-03  Martin Sebor  <sebor@roguewave.com>

	* GNUmakefile.tst (RWTESTDIR): Removed redundant variable.
	(INCLUDES): Removed $(RWTESTDIR)/include (a duplicate of
	$(TESTDIR)/include).
	* GNUmakefile.rwt (SRCDIRS, INCLUDE, VPATH): Removed redundant
	references to $(RWTESTDIR).
	(TARGET): Removed incorrect/unused variable.

2007-04-03  Martin Sebor  <sebor@roguewave.com>

	* 21.string.find.last.of.cpp (TEST): Replaced NPOS with -1 to silence
	(the justified) gcc warning: overflow in implicit constant conversion.

2007-04-02  Martin Sebor  <sebor@roguewave.com>

	* 27.ostream.cpp (test_formatted): Corrected wide character format
	directives.

2007-04-02  Martin Sebor  <sebor@roguewave.com>

	STDCXX-383
	* string (_C_off): Convenience functions to compute the unsigned
	distance between two iterators or the offset of an iterator from
	the beginning of the container.
	(insert, erase, replace): Used _C_off() to silence HP aCC 3.76
	remark #4271-D: type conversion may lose sign.

2007-04-02  Martin Sebor  <sebor@roguewave.com>

	STDCXX-382
	* limits (_RWSTD_DIGITS): Cast a Boolean expression to int to silence
	many HP aCC 3.76 remarks #4296-D: arithmetic operation on boolean type.

2007-03-30  Martin Sebor  <sebor@roguewave.com>

	STDCXX-379
	* _config-xlc.h (_RWSTD_NO_EXTERN_TEMPLATE): Hardcoded macro
	for XLC++ 8.0 and prior to work around a compiler bug.

2007-03-29  Martin Sebor  <sebor@roguewave.com>

	* process.cpp (<signal.h>, <sys/types.h>): Included for kill(), pid_t.
	(E2BIG, SIGCHLD, SIGHUP, SIGQUIT, SIGKILL): Defined if not defined by
	system headers.
	(kill): Declared for EDG eccp demo.

2007-03-29  Farid Zaripov <Farid_Zaripov@epam.com>

	* 21.string.io.cpp: Used std::size_t instead of size_t.

2007-03-29  Farid Zaripov <Farid_Zaripov@epam.com>

	* 23.list.assign.cpp: Used std::size_t instead of size_t.
	* 23.list.capacity.cpp: Ditto.
	* 23.list.cons.cpp: Ditto.
	* 23.list.erase.cpp: Ditto.
	* 23.list.insert.cpp: Ditto.
	* 23.list.iterators.cpp: Ditto.

2007-03-28  Martin Sebor  <sebor@roguewave.com>

	* GNUmakefile (CXXFLAGS.narrow, LDFLAGS.narrow, LDSOFLAGS.narrow,
	ARFLAGS.narrow): Added options to BUILDMODE whenever a "narrow"
	BUILDTYPE (i.e., one of { 8s, 11s, 12s, and 15s } is specified.
	* acc.config (CXXFLAGS.narrow, LDFLAGS.narrow, LDSOFLAGS.narrow,
	ARFLAGS.narrow): Commented out options implicit in the default
	invocation of the compiler.
	* mipspro.config: Ditto.
	* vacpp.config: Ditto.
	* gcc.config (CXXFLAGS.narrow, LDFLAGS.narrow, LDSOFLAGS.narrow,
	ARFLAGS.narrow, CXXFLAGS.wide, LDFLAGS.wide, LDSOFLAGS.wide,
	ARFLAGS.wide): Autodetected whether the default invocation of
	the compiler produces narrow (32-bit) or wide (64-bit) code and
	set options accordingly, avoiding specifying redundant options.

2007-03-28  Martin Sebor  <sebor@roguewave.com>

	* sunpro.config: Added a Makefile file type tag for emacs.

2007-03-28  Martin Sebor  <sebor@roguewave.com>

	* ctype.cpp (ctype_byname ctor): Asserted a precondition.
	(_RWSTD_NO_V3_LOCALE, _V3_LOCALE): Removed/replaced obsolete macros.

2007-03-28  Farid Zaripov <Farid_Zaripov@epam.com>

	* 23.list.assign.cpp (_rw_advance): Removed static keyword.
	* 23.list.cons.cpp (_rw_advance): Ditto.
	* 23.list.erase.cpp (_rw_advance, _rw_distance): Ditto.
	* 23.list.insert.cpp (_rw_advance, _rw_distance): Ditto.

2007-03-27  Martin Sebor  <sebor@roguewave.com>

	STDCXX-112
	* etc/config/README: Moved to...
	* README: ...here.

2007-03-27  Martin Sebor  <sebor@roguewave.com>

	STDCXX-134
	* driver.cpp (rw_vtest): Extended column width to accommodate very
	large values.

	STDCXX-376
	* driver.cpp (rw_vtest): Used floating point arithmetic to avoid
	integer overflow on very large values.

2007-03-27  Martin Sebor  <sebor@roguewave.com>

	* driver.cpp (_rw_setopt_ulimit): Silenced gcc warning: missing
	initializer for member.
	(rw_vtest): Allowed test source file name to be null.

2007-03-27  Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-364
	* STRUCT_TM_IN_WCHAR_H.cpp: Removed struct keyword.

2007-03-27  Farid Zaripov <Farid_Zaripov@epam.com>

	* 23.list.assign.cpp: New test exercising [lib.list.assign].
	* 23.list.capacity.cpp: New test exercising [lib.list.capacity].
	* 23.list.cons.cpp: New test exercising [lib.list.cons].
	* 23.list.erase.cpp: New test exercising [lib.list.,erase].
	* 23.list.insert.cpp: New test exercising [lib.list.insert].
	* 23.list.iterators.cpp: New test exercising [lib.list.iterators].
	* 23.list.special.cpp: New test exercising [lib.list.special].

2007-03-26  Martin Sebor  <sebor@roguewave.com>

	STDCXX-62
	* _money_get.cc (_C_get): Checked for iterator equality to end before
	dereferencing it.

2007-03-26  Martin Sebor  <sebor@roguewave.com>

	* GNUmakefile.tst (INCLUDES): Removed an unneeded directory from
	the preprocessor search path.

2007-03-26  Martin Sebor  <sebor@roguewave.com>

	* algorithm.cc: Removed a stray backtick.

2007-03-26  Anton Pevtsov  <antonp@moscow.vdiweb.com>

	STDCXX-131
	* algorithm.cc (__stable_partition): Corrected an off-by-one error.

2007-03-26  Martin Sebor  <sebor@roguewave.com>

	STDCXX-371
	* locale.cpp (print_currency_symbol): Corrected indices (regression
	introduced in http://svn.apache.org/viewvc?view=rev&revision=448754).

2007-03-26  Martin Sebor  <sebor@roguewave.com>

	STDCXX-370
	* def.cpp (convert_string): Removed the assumption that a string
	that begins with the less-than sign also ends with a greater-than
	sign.

2007-03-23  Martin Sebor  <sebor@roguewave.com>

	* 27.stringbuf.virtuals.cpp (test_virtual): Introduced a cast to silence
	gcc warning: comparison between signed and unsigned integer expressions.

2007-03-23  Martin Sebor  <sebor@roguewave.com>

	* _basic_ios.h (~basic_ios): Removed protected declaration accidentally
	introduced in http://svn.apache.org/viewvc?view=rev&revision=519751.

2007-03-23  Martin Sebor  <sebor@roguewave.com>

	* 22.locale.money.put.cpp (type_test): Silenced gcc warning:
	comparison between signed and unsigned.

2007-03-23  Martin Sebor  <sebor@roguewave.com>

	* 21.cwctype.cpp (run_test): Explicitly cast the result of wctrans()
	to ptrdiff_t in case the function's return type is a pointer as is
	the case in GNU glibc.

2007-03-23  Martin Sebor  <sebor@roguewave.com>

	STDCXX-364
	* STRUCT_TM_IN_WCHAR_H.cpp: Checked only for the declaration of struct
	tm, not its definition (according to 7.24.1, p2 of C99, struct tm is
	required to declared as an incomplete type in <wchar.h>).

2007-03-23  Martin Sebor  <sebor@roguewave.com>

	STDCXX-368
	* string (ctor): Removed unused function formal arguments
	from function declaration to silence gcc 3.2.3 warnings.

2007-03-23  Farid Zaripov <Farid_Zaripov@epam.com>

	* msvc-7.0.config: Added variable CLVARSBAT (path to the iclvars.bat for ICC)
	* icc-9.0.config: Ditto.
	* icc-9.1.config: Ditto.
	* utilities.js: Added support of the variable CLVARSBAT
	* projects.js: Call iclvars.bat before invoking the confirure.wsf script.

2007-03-22  Martin Sebor  <sebor@roguewave.com>

	* vector (_C_construct): Eliminated first argument (is always end())
	and replaced with _C_push_back() for efficiency.
	(_C_destroy): Removed an un unnecessary argument (is always end())
	and outlined.
	(_C_unsafe_swap): New function defined out of line.
	(insert): Added an assertion.
	(erase): Simplified and optimized a wee bit.
	(clear): Defined in terms of _C_destroy() outside the body
	of the class template.
	(swap): Optimized, called _C_unsafe_swap() for unequal allocators.
	(dtor): Called _C_destroy() with a single argument for efficiency.
	(assign): Called clear() instead of erase() for better efficiency.
	* vector.cc (_C_realloc): Passed this to Allocator::allocate()
	instead of begin() and called _C_push_back() instead of _C_construct().
	(_C_unsafe_swap): Implements swap for objects with unequal allocators.
	(_C_assign_n, _C_insert_1, _C_assign_range, _C_insert_range): Called
	_C_push_back() instead of _C_construct() for efficiency.

2007-03-22  Martin Sebor  <sebor@roguewave.com>

	* vector (ctors): Removed extraneous zeros from initializers.

2007-03-22  Martin Sebor  <sebor@roguewave.com>

	* vector (ctors): Removed extraneous zeros from initializers.

2007-03-21  Martin Sebor  <sebor@roguewave.com>

	* GNUmakefile.tst (RUNFLAGS): Appended new options instead of straight
	out setting the variable to keep its value (such as the timeout set in
	makefile.in).

2007-03-20  Martin Sebor  <sebor@roguewave.com>

	* istream: Used _RWSTD_DEFINE_TEMPLATE_{FIRST,LAST} instead
	of just plain _RWSTD_DEFINE_TEMPLATE (_BASIC_ISTREAM).

2007-03-20  Martin Sebor  <sebor@roguewave.com>

	STDCXX-286
	* vacpp.config (PRELINKFLAGS): Avoided appending flags when the
	variable is empty to prevent trying to prelink with the wrong
	options (i.e., without -qmkshrobj). This should complete the
	change started in rev 515423:
	http://svn.apache.org/viewvc?view=rev&revision=515423

2007-03-19  Martin Sebor  <sebor@roguewave.com>

	STDCXX-300
	* _config-xlc.h (_RWSTD_NO_EXPLICIT_INSTANTIATION_BEFORE_DEFINITION,
	_RWSTD_NO_EXTERN_TEMPLATE_BEFORE_DEFINITION): Defined for IBM XLC++
	8.0 when _RWSTD_NO_INSTANTIATE_DEFAULT_ARGS is also #defined.

2007-03-18  Martin Sebor  <sebor@roguewave.com>

	* _basic_ios.h: Used _RWSTD_DEFINE_TEMPLATE_FIRST and _LAST instead of
	just _RWSTD_DEFINE_TEMPLATE, and corrected the spelling of _BASIC_IOS.

2007-03-16  Martin Sebor  <sebor@roguewave.com>

	* INSTANTIATE_DEFAULT_ARGS.cpp (bar): Removed a duplicate definition.	

2007-03-16  Martin Sebor  <sebor@roguewave.com>

	* INSTANTIATE_DEFAULT_ARGS.cpp: Exercised the ability to explicitly
	instantiate class templates whose member functions declare default
	arguments referring to static member functions of the template
	parameter that aren't declared (or well-formed) for the argument
	used in the instantiation directive. Reveals compiler bugs such as
	IBM XLC++ 8.0 STDCXX-363.

2007-03-16  Martin Sebor  <sebor@roguewave.com>

	* EXPLICIT_INSTANTIATION.cpp: Added comments.

2007-03-16  Farid Zaripov <Farid_Zaripov@epam.com>

	* configure.wsf (configure): Removed empty string from array initializer.

2007-03-15  Martin Sebor  <sebor@roguewave.com>

	STDCXX-97
	* xlC_version.sh: Corrected output for XLC/C++ 6.0, 7.0 (including
	patches), and 8.0.

2007-03-14  Eric Lemings  <lemings@roguewave.com>

	STDCXX-359
	* printf.cpp (_rw_vasnprintf_ext): Replaced the use of operator!
	on an enum with operator== to prevent a gcc error on Mac OS X.

2007-03-08  Martin Sebor  <sebor@roguewave.com>

	* GNUmakefile (CPPFLAGS): Removed -D_RWSTD_USE_CONFIG.

2007-03-14  Farid Zaripov <Farid_Zaripov@epam.com>

	STDCXX-16
	* _tree.cc (operator=): Added missing assignment of the _C_cmp member.

2007-03-14  Martin Sebor  <sebor@roguewave.com>

	STDCXX-356
	* GNUmakefile.bin (INCLUDES): Removed inlcude/loc from preprocessor
	search path.

2007-03-13  Eric Lemmings  <lemmings@roguewave.com>

	STDCXX-262
	* gcc.config (LDSOFLAGS): Set to -dynamiclib for Mac OS X.

2007-03-12  Martin Sebor  <sebor@roguewave.com>

	STDCXX-354
	* makefile.common (LDFLAGS): Moved -l$(LIBBASE)...
	(LDLIBS): ...to here, prepending it to the variable to keep runtime
	libraries that are already there last in order to allow symbols
	referenced in the former library and defined in the latter to be
	resolved by UNIX linkers.

2007-03-12  Farid Zaripov <Farid_Zaripov@epam.com>

	* 23.list.h (_rw_equal): Declared extern in order to allow
	it to be found by argument dependent lookup.
	* 23.containers.cpp (enum OverloadId): Added dummy enumeration.

2007-03-09  Martin Sebor  <sebor@roguewave.com>

	STDCXX-4
	* 22.locale.codecvt.length.cpp: New test exercising the member function
	std::codecvt::length().

2007-03-09  Farid Zaripov <Farid_Zaripov@epam.com>

	* configure.sh: Added svn:executable property,
	svn:eol-style changed from native to LF.
	* fixtree.sh: The same.
	* run_locale_utils.sh: The same.
	* runall.sh: The same.
	* libc_decl.sh: The same.
	* xlC_version.sh: The same.
	* headers.inc: svn:eol-style changed from native to LF.

2007-03-08  Martin Sebor  <sebor@roguewave.com>

	* 27.istream.fmat.arith.cpp (make_locale): Hardcoded array size
	to UCHAR_MAX to work around a gcc 3.4 bug described in STDCXX-351.

2007-03-08  Martin Sebor  <sebor@roguewave.com>

	* 0.printf.cpp (TEST_SPEC): Introduced a local variable to silence
	compiler warnings about controlling expression being constant.

2007-03-07  Andrew Black  <ablack@roguewave.com>

	* util/output.cpp (check_compat_test): Rewrite FSM to eliminate seek 
	to near end (was causing parsing issues on tests with output 
	following result block).

2007-03-07  Martin Sebor  <sebor@roguewave.com>

	* locale.cpp (_RWSTD_USE_CONFIG): Removed references to macro.
	* driver.cpp (_RWSTD_USE_CONFIG): Ditto.
	* _config-gcc.h (_RWSTD_USE_CONFIG): Ditto.
	* _config-xlc.h (_RWSTD_USE_CONFIG): Ditto.
	* configure.wsf (_RWSTD_USE_CONFIG): Ditto.
	* projects.js (_RWSTD_USE_CONFIG): Ditto.
	* README (_RWSTD_USE_CONFIG): Ditto.

2007-03-07  Martin Sebor  <sebor@roguewave.com>

	STDCXX-349
	* iostore.cpp (_C_copyfmt): Zeroed out a_size array to prevent
	(bogus) gcc warnings about the variable being used uninitialized.

2007-03-07  Martin Sebor  <sebor@roguewave.com>

	STDCXX-346
	* gcc.config (PICFLAGS): Corrected a typo inadvertently introduced
	in r514256: http://svn.apache.org/viewcvs?view=rev&rev=514256.

2007-03-07  Martin Sebor  <sebor@roguewave.com>

	* ABS_OVERLOADS.cpp: Removed all references to the (no longer
	necessary) _RWSTD_USE_CONFIG macro.
	* ATOMIC_OPS.cpp: Same.
	* BAD_ALLOC_ASSIGNMENT.cpp: Same.
	* BAD_ALLOC_COPY_CTOR.cpp: Same.
	* BAD_ALLOC_DEFAULT_CTOR.cpp: Same.
	* BAD_ALLOC_DTOR.cpp: Same.
	* BAD_ALLOC_WHAT.cpp: Same.
	* BAD_CAST_ASSIGNMENT.cpp: Same.
	* BAD_CAST_COPY_CTOR.cpp: Same.
	* BAD_CAST_DEFAULT_CTOR.cpp: Same.
	* BAD_CAST_DTOR.cpp: Same.
	* BAD_CAST_WHAT.cpp: Same.
	* BAD_EXCEPTION_ASSIGNMENT.cpp: Same.
	* BAD_EXCEPTION_COPY_CTOR.cpp: Same.
	* BAD_EXCEPTION_DEFAULT_CTOR.cpp: Same.
	* BAD_EXCEPTION_DTOR.cpp: Same.
	* BAD_EXCEPTION_WHAT.cpp: Same.
	* BAD_TYPEID_ASSIGNMENT.cpp: Same.
	* BAD_TYPEID_COPY_CTOR.cpp: Same.
	* BAD_TYPEID_DEFAULT_CTOR.cpp: Same.
	* BAD_TYPEID_DTOR.cpp: Same.
	* BAD_TYPEID_WHAT.cpp: Same.
	* CLASS_PARTIAL_SPEC.cpp: Same.
	* CONST_CAST.cpp: Same.
	* CTYPE_BITS.cpp: Same.
	* DIV_OVERLOADS.cpp: Same.
	* DUMMY_DEFAULT_ARG.cpp: Same.
	* DYNAMIC_CAST.cpp: Same.
	* EXCEPTION_ASSIGNMENT.cpp: Same.
	* EXCEPTION_COPY_CTOR.cpp: Same.
	* EXCEPTION_DEFAULT_CTOR.cpp: Same.
	* EXCEPTION_DTOR.cpp: Same.
	* EXCEPTION_SPECIFICATION.cpp: Same.
	* EXCEPTION_WHAT.cpp: Same.
	* EXPLICIT_CTOR_INSTANTIATION.cpp: Same.
	* EXPLICIT_INSTANTIATION.cpp: Same.
	* EXPLICIT_INSTANTIATION_BEFORE_DEFINITION.cpp: Same.
	* EXPLICIT_MEMBER_INSTANTIATION.cpp: Same.
	* EXPORT.cpp: Same.
	* EXTERN_FUNCTION_TEMPLATE.cpp: Same.
	* EXTERN_MEMBER_TEMPLATE.cpp: Same.
	* EXTERN_TEMPLATE.cpp: Same.
	* EXTERN_TEMPLATE_BEFORE_DEFINITION.cpp: Same.
	* FLOAT.cpp: Same.
	* FRIEND_TEMPLATE.cpp: Same.
	* FUNCTION_TRY_BLOCK.cpp: Same.
	* GLOBAL_BAD_ALLOC.cpp: Same.
	* GLOBAL_BAD_CAST.cpp: Same.
	* GLOBAL_BAD_EXCEPTION.cpp: Same.
	* GLOBAL_BAD_TYPEID.cpp: Same.
	* GLOBAL_EXCEPTION.cpp: Same.
	* GLOBAL_NOTHROW.cpp: Same.
	* GLOBAL_NOTHROW_T.cpp: Same.
	* GLOBAL_SET_NEW_HANDLER.cpp: Same.
	* GLOBAL_SET_TERMINATE.cpp: Same.
	* GLOBAL_SET_UNEXPECTED.cpp: Same.
	* GLOBAL_TERMINATE.cpp: Same.
	* GLOBAL_TYPE_INFO.cpp: Same.
	* GLOBAL_UNCAUGHT_EXCEPTION.cpp: Same.
	* GLOBAL_UNEXPECTED.cpp: Same.
	* HONOR_STD.cpp: Same.
	* ICONV.cpp: Same.
	* IMPLICIT_INSTANTIATION.cpp: Same.
	* INFINITY.cpp: Same.
	* INSTANTIATE_DEFAULT_ARGS.cpp: Same.
	* LDBL_PRINTF_PREFIX.cpp: Same.
	* LIMITS.cpp: Same.
	* LLONG_PRINTF_PREFIX.cpp: Same.
	* LOCALE_NAME_FMAT.cpp: Same.
	* LONG_LONG.cpp: Same.
	* MATH_OVERLOADS.cpp: Same.
	* MBSTATE_T.cpp: Same.
	* MUNMAP.cpp: Same.
	* NEWLINE.cpp: Same.
	* NEW_FUNC_TEMPLATE_SYNTAX.cpp: Same.
	* NEW_THROWS.cpp: Same.
	* NONDEDUCED_CONTEXT.cpp: Same.
	* NO_DBL_TRAPS.cpp: Same.
	* NO_INT_TRAPS.cpp: Same.
	* NO_SIGNALING_NAN.cpp: Same.
	* OPERATOR_DELETE_ARRAY.cpp: Same.
	* OPERATOR_DELETE_ARRAY_PLACEMENT.cpp: Same.
	* OPERATOR_DELETE_PLACEMENT.cpp: Same.
	* OPERATOR_NEW_ARRAY.cpp: Same.
	* OPERATOR_NEW_ARRAY_NOTHROW.cpp: Same.
	* OPERATOR_NEW_ARRAY_PLACEMENT.cpp: Same.
	* OPERATOR_NEW_NOTHROW.cpp: Same.
	* OPERATOR_NEW_PLACEMENT.cpp: Same.
	* OVERLOAD_OF_TEMPLATE_FUNCTION.cpp: Same.
	* POD_ZERO_INIT.cpp: Same.
	* PUTENV_CONST_CHAR.cpp: Same.
	* QUIET_NAN.cpp: Same.
	* REINTERPRET_CAST.cpp: Same.
	* RUNTIME_IN_STD.cpp: Same.
	* SIG_ATOMIC_T.cpp: Same.
	* SIZE_T.cpp: Same.
	* SPECIALIZATION_ON_RETURN_TYPE.cpp: Same.
	* STATIC_CAST.cpp: Same.
	* STATIC_CONST_MEMBER_EXPR_CONST.cpp: Same.
	* STD_BAD_ALLOC.cpp: Same.
	* STD_BAD_CAST.cpp: Same.
	* STD_BAD_EXCEPTION.cpp: Same.
	* STD_BAD_TYPEID.cpp: Same.
	* STD_EXCEPTION.cpp: Same.
	* STD_MBSTATE_T.cpp: Same.
	* STD_NOTHROW.cpp: Same.
	* STD_NOTHROW_T.cpp: Same.
	* STD_SET_NEW_HANDLER.cpp: Same.
	* STD_SET_TERMINATE.cpp: Same.
	* STD_SET_UNEXPECTED.cpp: Same.
	* STD_TERMINATE.cpp: Same.
	* STD_TYPE_INFO.cpp: Same.
	* STD_UNCAUGHT_EXCEPTION.cpp: Same.
	* STD_UNEXPECTED.cpp: Same.
	* TEMPLATE_DEFAULT_ARG_CONVERSION.cpp: Same.
	* TEMPLATE_ON_RETURN_TYPE.cpp: Same.
	* TYPENAME.cpp: Same.
	* TYPE_INFO_BEFORE.cpp: Same.
	* TYPE_INFO_DTOR.cpp: Same.
	* TYPE_INFO_EQUALITY.cpp: Same.
	* TYPE_INFO_INEQUALITY.cpp: Same.
	* TYPE_INFO_NAME.cpp: Same.
	* UNAME.cpp: Same.
	* UNISTD_DECL.cpp: Same.
	* VA_LIST.cpp: Same.
	* VSNPRINTF_RETURN.cpp: Same.
	* WCSFTIME_WCHAR_T_FMAT.cpp: Same.
	* WINT_T.cpp: Same.
	* extern_template_before_definition_imp.cpp: Same.

2007-03-07  Martin Sebor  <sebor@roguewave.com>

	* wstringstream.out: Added a missing example output file.

2007-03-07  Martin Sebor  <sebor@roguewave.com>

	* GNUmakefile (RUNFLAGS): Bumped up exec timeout from 180 seconds
	to 300 to allow long-running tests (such as those exercising UTF-8
	locales) to finish.

2007-03-07  Martin Sebor  <sebor@roguewave.com>

	* time_put.cpp (main): Silenced the bogus HP aCC Warning 578: A class
	member may not be a const array since there is no way to initialize
	such a member (see STDCXX-347).

2007-03-07  Farid Zaripov <Farid_Zaripov@epam.com>

	* alloc.cpp: fixed typo (removed comma);
	* 0.alloc.cpp: use setjmp() instead sigsetjmp() on Cygwin

2007-03-06  Martin Sebor  <sebor@roguewave.com>

	STDCXX-286
	* vacpp.config (PRELINKFLAGS): Used -qmkshrobj only when building
	a shared library (including a shared archive), and not an ordinary
	archive.
	(DEFAULT_SHROBJ): Set only when using -qmkshrobj.
	(use_tempinc): Removed a temporary file when done.

2007-03-05  Andrew Black  <ablack@roguewave.com>

	* tests/src/driver.cpp (_rw_setopt_output_file): Add logic to treat 
	the magic file name of '-' as a reference to stdout.
	* etc/config/GNUmakefile.tst (RUNFLAGS): Specify compatibility mode 
	flags to enable parsing of legacy tests.
	* util/output.cpp (check_compat_test): Adjust seek position to avoid 
	false format errors when an executable contains a very small number 
	of tests.

2007-03-06  Martin Sebor  <sebor@roguewave.com>

	* 18.limits.traps.cpp (try_trap): Renamed from test_trap and declared
	extern in order to allow it to be found by argument dependent lookup.

2007-03-03  Mark Brown  <mbrown@inbox.com>

	STDCXX-337
	* gcc.config (LDLIBS): Used -lcatgets, not -catgets, to link with
	libcatgets on Cygwin.

2007-03-03  Mark Brown  <mbrown@inbox.com>

	STDCXX-346
	* gcc.config (PICFLAGS): Avoided using -fPIC for Cygwin in addition
	to AIX since gcc generated code is always position independent there.

2007-03-02  Martin Sebor  <sebor@roguewave.com>

	* 27.istream.fmat.arith.cpp (make_locale): Worked around a Sun
        C++ 5.8 bug described in STDCXX-345.

2007-03-02  Martin Sebor  <sebor@roguewave.com>

	* 0.outputiter.cpp: New test exercising the helper class template
	OutputIter.

2007-03-01  Martin Sebor  <sebor@roguewave.com>

	STDCXX-92
	* GNUmakefile.cfg (.NOTPARALLEL): Defined target to disable parallel
	builds until we figure out how to get them to work correctly.

2007-03-01  Martin Sebor  <sebor@roguewave.com>

	STDCXX-214
	* _traits.h (lt): Cast char arguments to unsigned char to
	yield results consistent with compare (and with memcmp).

2007-03-01  Farid Zaripov <FaridZ@kyiv.vdiweb.com>

	* 18.limits.traps.cpp (test_trap): New function to avoid MSVC error C2712:
	Cannot use __try in functions that require object unwinding;
	(test_traps) Used test_trap() function.

2007-02-27  Martin Sebor  <sebor@roguewave.com>

	* time_put.cpp: Added descriptions of ordinary (unmodified) conversion
	specifiers and printed out the "base" format specifier string for %c,
	%r, %x, and %X. Changed the date to demonstrate the formatting of %e
	formats (space followed by a digit for single-digit days of month).
	Treated the first command line argument as the name of the locale to
	format output in (including "" for the locale specified by the
	environment).
	* time_put.out: Adjusted accordingly.

2007-02-23 Farid Zaripov <faridz@kyiv.vdiweb.com>

	ChangeLog:
	* 23.list.h: New file with definitions of helpers used in
	clause 23.list tests.
	* 23.containers.cpp: #included 23.list.h; removed definition
	of the temporary struct ListIds; _rw_list_sigcat filled by code.

2007-02-23 Farid Zaripov <faridz@kyiv.vdiweb.com>

	ChangeLog:
	* 21.strings.h: #included 23.containers.h;
	struct StringIds inherited from struct ContainerIds;
	removed definitions of the AllocId and IteratorId.
	* 23.containers.h: New file with definitions of helpers used
	in clause 23 tests.
	* 23.containers.cpp: Ditto.

2007-02-23 Farid Zaripov <faridz@kyiv.vdiweb.com>

	ChangeLog:
	* rw_value.h (struct UserData): new common structure holding
	value for UserPOD and UserClass types;
	(UserPOD): New user type to be used in tests as POD type
	* value.cpp: Use UserClass::data_.val_ instead of UserClass::val_;
	(__rw_from_char): new function to create array of the UserXXX type
	from string;
	(_rw_mismatch): new function compare the array of the UserXXX type
	and string.
	* 25.binary.search.cpp: Use UserClass::data_.val_ instead of UserClass::val_.
	* 25.copy.cpp: The same.
	* 25.equal.range.cpp: The same.
	* 25.fill.cpp: The same.
	* 25.find.cpp: The same.
	* 25.find.end.cpp: The same.
	* 25.for.each.cpp: The same.
	* 25.generate.cpp: The same.
	* 25.heap.cpp: The same.
	* 25.includes.cpp: The same.
	* 25.lex.comparison.cpp: The same.
	* 25.libc.cpp: The same.
	* 25.lower.bound.cpp: The same.
	* 25.merge.cpp: The same.
	* 25.min.max.cpp: The same.
	* 25.mismatch.cpp: The same.
	* 25.nth.element.cpp: The same.
	* 25.partial.sort.cpp: The same.
	* 25.partitions.cpp: The same.
	* 25.permutation.cpp: The same.
	* 25.random.shuffle.cpp: The same.
	* 25.remove.cpp: The same.
	* 25.replace.cpp: The same.
	* 25.reverse.cpp: The same.
	* 25.rotate.cpp: The same.
	* 25.search.cpp: The same.
	* 25.set.difference.cpp: The same.
	* 25.set.intersection.cpp: The same.
	* 25.set.sym.difference.cpp: The same.
	* 25.set.union.cpp: The same.
	* 25.sort.cpp: The same.
	* 25.swap.cpp: The same.
	* 25.transform.cpp: The same.
	* 25.upper.bound.cpp: The same.
	* 23.deque.modifiers.cpp: The same.
	* 23.vector.modifiers.cpp: The same.
	* 26.accumulate.cpp: The same.
	* 26.adjacent.diff.cpp: The same.
	* 26.inner.product.cpp: The same.
	* 26.partial.sum.cpp: The same.
	* 26.valarray.cons.cpp: The same.
	* 0.inputiter.cpp: The same.
	* 20.pairs.cpp: The same.

2007-02-23 Farid Zaripov <faridz@kyiv.vdiweb.com>

	ChangeLog:
	* rw_value.h (_rw_user_class_fmat_init): New static variable
	to install the formatting callback function for UserClass type.
	* value.cpp (_rw_fmtxarray): Removed prototype of the function.
	Installation of the formatting callback function moved from
	UserClass ctor to UserClassFmatInit ctor.

2007-02-21 Farid Zaripov <faridz@kyiv.vdiweb.com>

	ChangeLog:
	* rw_value.h (struct X): Renamed to struct UserClass.
	* value.cpp: The same.
	* 25.adjacent.find.cpp: Updated copyright notice.
	#included rw_value.h; used struct UserClass instead of struct X.
	* 25.binary.search.cpp: The same.
	* 25.copy.cpp: The same.
	* 25.equal.cpp: The same.
	* 25.equal.range.cpp: The same.
	* 25.fill.cpp: The same.
	* 25.find.cpp: The same.
	* 25.find.end.cpp: The same.
	* 25.find.first.cpp: The same.
	* 25.for.each.cpp: The same.
	* 25.generate.cpp: The same.
	* 25.heap.cpp: The same.
	* 25.includes.cpp: The same.
	* 25.lex.comparison.cpp: The same.
	* 25.libc.cpp: The same.
	* 25.lower.bound.cpp: The same.
	* 25.merge.cpp: The same.
	* 25.min.max.cpp: The same.
	* 25.mismatch.cpp: The same.
	* 25.nth.element.cpp: The same.
	* 25.partial.sort.cpp: The same.
	* 25.partitions.cpp: The same.
	* 25.permutation.cpp: The same.
	* 25.random.shuffle.cpp: The same.
	* 25.remove.cpp: The same.
	* 25.replace.cpp: The same.
	* 25.reverse.cpp: The same.
	* 25.rotate.cpp: The same.
	* 25.search.cpp: The same.
	* 25.set.difference.cpp: The same.
	* 25.set.intersection.cpp: The same.
	* 25.set.sym.difference.cpp: The same.
	* 25.set.union.cpp: The same.
	* 25.sort.cpp: The same.
	* 25.swap.cpp: The same.
	* 25.transform.cpp: The same.
	* 25.unique.cpp: The same.
	* 25.upper.bound.cpp: The same.
	* 23.deque.modifiers.cpp: The same.
	* 23.deque.special.cpp: The same.
	* 23.vector.capacity.cpp: The same.
	* 23.vector.cons.cpp: The same.
	* 23.vector.modifiers.cpp: The same.
	* 26.accumulate.cpp: The same.
	* 26.adjacent.diff.cpp: The same.
	* 26.inner.product.cpp: The same.
	* 26.partial.sum.cpp: The same.
	* 26.valarray.cons.cpp: The same.
	* 0.inputiter.cpp: The same.
	* 20.pairs.cpp: The same.

2007-02-21  lnicoara  <nicoara@roguewave.com>

     * etc/config/icc.config
       Changed build process for post-8.1 compilers to
       use the yet undocumented -cxxlib-nostd option. 

2007-02-21 Farid Zaripov <faridz@kyiv.vdiweb.com>

	ChangeLog:
	* rw_sigdefs.h: New file with definitions of helpers macros
	to define member and non-member functions overload id's
	* 21.strings.h: Helper macros moved from here to rw_sigdefs.h

2007-02-21 Farid Zaripov <faridz@kyiv.vdiweb.com>

	ChangeLog:
	STDCXX-341
	* alg_test.h: ConstFwdIter<T> inherited from FwdIter<const T>.
	ConstBidirIter<T> inherited from BidirIter<const T>.
	ConstRandomAccessIter<T> inherited from RandomAccessIter<const T>.
	(make_iter): type of the last parameter changed to const reference

2007-02-21 Farid Zaripov <faridz@kyiv.vdiweb.com>

	ChangeLog:
	* alg_test.h (struct X, struct UnaryPredicate,
	struct BinaryPredicate): Declarations moved from here ...
	* rw_value.h: ... to here (new header file).
	* alg_test.cpp: Updated copyright notice;
	(struct X, struct UnaryPredicate, struct BinaryPredicate,
	_rw_fmtxarrayv, _rw_fmtxarray): Definitions moved from here ...
	* value.cpp: ... to here (new source file).

2007-02-19  Mark Brown  <mbrown@inbox.com>

	STDCXX-340
	* aliases.cpp (get_installed_locales): Avoided aborting on locale
	(or system) error and instead just issued a warning and continued.

2007-02-15  Martin Sebor  <sebor@roguewave.com>

	* printf.cpp (VarArgs): Made pargs_ non-const.
	(VA_ARG): Removed a const cast obviated by the above.
	(_rw_fmtexp): Simplified/corrected the uses of VA_ARG.

2007-02-15 Farid Zaripov <faridz@kyiv.vdiweb.com>

	STDCXX-268
	STDCXX-331
	* list (_RWSTD_LIST_SAFE_INSERT_RANGE): New macro for exception
	safe inserting the range into the list.
	(_C_insert (bidirectional_iterator_tag, input_iterator_tag)):
	Removed.
	(_C_insert): Used _RWSTD_LIST_SAFE_INSERT_RANGE macro.
	(_C_insert): Added try/catch with removing the inserted elements
	if exception was thrown.

2007-02-15 Farid Zaripov <faridz@kyiv.vdiweb.com>

	* deque: The swap method moved from here ...
	* deque.cc: ... to here

2007-02-15 Farid Zaripov <faridz@kyiv.vdiweb.com>

	STDCXX-127
	* deque (swap): Corrected _C_beg._C_node and _C_end._C_node
	after swap operation for empty container.

2007-02-13  Martin Sebor  <sebor@roguewave.com>

	* src/printf.cpp (_rw_fmtnested): New function to handle nested
	formatting directives (%{@} et al) extended to format arrays of
	values of arbitrary types, including structures.
	(VarArgs): New stuct to encapsulate variable arguments and arrays.
	(VA_ARG): New macro to extract arguments from VarArgs.
	(_rw_fmtinteger, _rw_vasnprintf_ext, _rw_fmtspec): Used VarArgs.
	(PARAM): Changed it to use VarArgs.
	* test/printf.cpp (test_nested_format): Exercised the above.

2007-02-11  Martin Sebor  <sebor@apache.org>

	* exception.cpp: Updated copyright notice.

2007-02-11  Martin Sebor  <sebor@apache.org>

	* except.cpp: Renamed...
	* exception.cpp: ...to this.

2007-02-11  Mark Brown  <mbrown@inbox.com>

	STDCXX-40
	STDCXX-337
	* gcc.config [Cygwin](LDLIBS): Added libcatgets and libiconv.

2007-02-07  Martin Sebor  <sebor@roguewave.com>

	* GNUmakefile.bin (localedb.d): Gracefully handled empty/undefined
	LOCALES variable.

2007-02-07 Farid Zaripov <faridz@kyiv.vdiweb.com>

	STDCXX-334
	* list (swap): Fixed bug: used reference instead of the temporary object.

2007-02-05  Martin Sebor  <sebor@roguewave.com>

	STDCXX-230
	STDCXX-329
	* istream.cc (__rw_extract): Added comment.
	(_C_ipfx): Avoided resetting gcount().
	(_C_ipfx): Guarded body in a try/catch block and set badbit when
	an exception occurs.
	[_RWSTD_NO_OPTIMIZE_SPEED](_C_ipfx): Removed conditionally compiled
	block (and instead used the "optimized" branch unconditionally).
	(_C_get, read, readsome, get, getline, operator>>): Explicitly
	reset gcount.

2007-02-05  Martin Sebor  <sebor@roguewave.com>

	STDCXX-4
	* 27.istream.readsome.cpp: New test exercising the member function
	readsome() of basic_istream.

2007-02-05  Martin Sebor  <sebor@roguewave.com>

	* 27.istream_sentry.cpp (memfun_info): Renamed from just info.
	(test_ok): Called memfun_info w/o "%{$SENTRY}::" (the string
	is prepended by the callee).

2007-02-05  Martin Sebor  <sebor@roguewave.com>

	* istream_sentry.cpp (Streambuf, test_ctor, test_ok): Added
